2009-03-04  Aaron Bockover  <abock@gnome.org>

	Banshee 1.4.3 Released

2009-03-04  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Core/Banshee.CollectionIndexer/Banshee.Collection.Indexer.RemoteHelper/IndexerClient.cs:
	Fix bug with getting into a loop, constantly trying to reconnect to an
	indexer while in the middle of connecting to it.

2009-03-04  Eoin Hennessy <eoin@randomrules.org>

	* src/Libraries/Mono.Media/Media.Playlists.Xspf/Playlist.cs: The current
	path is not gauranteed to be a valid Uri (especially when running from a
	bundle on OSX). If creating the default base Uri from the current path
	fails, set it to Location.

2009-03-04  Bertrand Lorentz  <bertrand.lorentz@gmail.com>

	* src/Libraries/Migo/Migo.Syndication/Rfc822DateTime.cs: patch from
	Christian Krause fixing the timezone handling (BGO #570721).

	* src/Libraries/Migo/Migo.Syndication/Tests/XmlTests.cs: Update the 
	tests for the above fix.

2009-02-25  Gabriel Burt  <gabriel.burt@gmail.com>

	* configure.ac:
	* NEWS: Update for upcoming 1.4.3 release

2009-02-25  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Libraries/Hyena.Gui/Hyena.Data.Gui/ListView/ListView_Header.cs:
	* src/Libraries/Hyena/Hyena.Data/ColumnDescription.cs: Fix another freeze
	in the RecalculateColumnSize code due to some values getting set to NaN.

2009-02-20  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Core/Banshee.Widgets/Banshee.Widgets/Tile.cs:
	* src/Extensions/Banshee.Lastfm/Banshee.Lastfm.Recommendations/RecommendationPane.cs:
	Patch from Chris Jones fixing theming issue (BGO #558656)

2009-02-18  Bertrand Lorentz  <bertrand.lorentz@gmail.com>

	* src/Extensions/Banshee.Lastfm/Banshee.Lastfm.Recommendations/RecommendationActions.cs:
	Properly set the state of the Show Recommandations check box on startup
	(BGO #572204).

2009-02-10  Gabriel Burt  <gabriel.burt@gmail.com>

	Patch from John Millikin fixing issue with downloading some podcasts.

	* Core/Banshee.Core/Banshee.Base/FileNamePattern.cs:
	* Libraries/Hyena/Hyena/StringUtil.cs: Move Escape method to Hyena so
	reusable in Migo, and mark the Regex it uses as Compiled.

	* Libraries/Migo/Migo.DownloadCore/DownloadManager.cs:
	* Libraries/Migo/Migo.Syndication/Feed.cs: Use Hyena's new EscapeFilename
	method to fix bug with downloading podcasts with special characters in
	their title (BGO #567293).

2009-02-10  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Libraries/Mtp/Mtp/MtpDevice.cs:
	* src/Libraries/Mtp/Mtp/Track.cs: Modified patch from William Pettersson
	fixing NRE with transferring song to MTP devices (BGO #571023)

2009-02-10  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Dap/Banshee.Dap.Mtp/Banshee.Dap.Mtp/MtpSource.cs: Patch from William
	Pettersson catching exceptions thrown when trying to get the battery level
	(BGO #571022)

2009-02-09  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Libraries/Hyena.Gui/Hyena.Data.Gui/ListView/ListView_Header.cs:
	Check for a very small change in the remaining width in the column size
	calculation to avoid an infinite loop.

2009-02-03  Gabriel Burt  <gabriel.burt@gmail.com>

	This patch fixes issues with adding tracks to a MTP device, the symptoms
	of which are Banshee freezing and files not getting added (BGO #567093)

	* Dap/Banshee.Dap.Mtp/Banshee.Dap.Mtp/MtpSource.cs: Do a better job of
	locking various MTP functions.

	* Dap/Banshee.Dap.Mtp/Banshee.Dap.Mtp/MtpTrackInfo.cs: Fix bug where we
	set the filesize of the Mtp.Track to the TrackInfo's FileSize, when it
	should be set to the file size of the passed in track URI (which might be
	different than track.Uri if it was transcoded).

	* Libraries/Mtp/Mtp/Error.cs: Style fix.

	* Libraries/Mtp/Mtp/Track.cs: Treat any m4* extension as mp4.

2009-02-03  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Dap/Banshee.Dap/Banshee.Dap/DapLibrarySync.cs:
	* src/Dap/Banshee.Dap/Banshee.Dap/DapSync.cs: Patch from Andrés G.
	Aragoneses, moving the removal of DAP playlists from being called on each
	LibrarySync (eg once for Music, Video, etc) to the overall DapSync, fixing
	bug where playlists didn't sync to DAPs because they were deleted when the
	PodcastSource synced (BGO #560970)

2009-02-02  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Core/Banshee.Services/Banshee.MediaEngine/PlayerEngineService.cs:
	Fix bug I just introduced to TogglePlaying where if Paused we wouldn't
	start playing again when called (BGO #570051).

2009-01-30  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Core/Banshee.ThickClient/Banshee.Gui/PlaybackActions.cs: Show the
	pause/stop button when Loading/Loaded.

	* src/Core/Banshee.ThickClient/Banshee.Gui.Widgets/ConnectedSeekSlider.cs:
	Handle Loading player state, set Live property on the position label, and
	use the position label's enum state property instead of a handful of bools

	* src/Core/Banshee.Services/Banshee.Streaming/RadioTrackInfo.cs: Start
	playing internet radio playlists in a separate thread to avoid blocking
	the UI (BGO #548040, BNC #376532).  Handle the case where the user
	presses stop or switches to a different track while we're
	downloading/processing the playlist file (previously we would have started
	playing once ready, even if the user had already moved on).  Also, fix
	bug where errors reported by the MediaEngine (GStreamer) weren't shown to
	the user.

	* src/Core/Banshee.Services/Banshee.MediaEngine/PlayerEngine.cs: If the
	engine is in PlayerState.Contacting, don't Close/stop since this is a
	state we set in managed land for loading internet radio tracks.

	* src/Core/Banshee.Services/Banshee.MediaEngine/PlayerEngineService.cs:
	Add Start/EndSynthesizeContacting internal methods for use by
	RadioTrackInfo - basically a hack until we move the playlist loading logic
	from RadioTrackInfo to the PlayerENgine to get UI bits updated
	appropriately.  Fix IsPlaying to include Contacting/Loading/Loaded, so
	that TogglePlaying will Pause if in any of those states (not just if in
	the Playing state), and Play only when in Ready, Idle, or Paused.

	* src/Core/Banshee.Widgets/Banshee.Widgets/StreamPositionLabel.cs: Use an
	enum to track the player state instead of a handful of bools.  Show the
	"Contacting..." label when inthe Loading state (for now - will change to
	Loading... in a separate patch).

	* src/Core/Banshee.Widgets/Banshee.Widgets/SeekSlider.cs: If the new Value
	is more than the Duration, set the Duration to MaxValue so that the slider
	stays at the left side of the Range, avoiding the glitchy-looking UI going
	from Idle (where the slider is all the way left) to playing radio (where
	it was all the way right).

2009-01-30  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Libraries/Mtp/Mtp/File.cs:
	* src/Libraries/Mtp/Mtp/Playlist.cs:
	* src/Libraries/Mtp/Mtp/Track.cs: Fix up the libmtp8 support which was
	crashing on loading MTP devices due to playlists (BGO #542117, BNC #470722)

2009-01-29  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Dap/Banshee.Dap/Banshee.Dap/DapService.cs: Patch from Félix Velasco
	removing unnecessary lock that was causing some hangs (BGO #559479)

2009-01-27  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Extensions/Banshee.FileSystemQueue/Banshee.FileSystemQueue/FileSystemQueueSource.cs:
	Set CanDeleteTracks to false until we actually implement DeleteTrack.

2009-01-27  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Extensions/Banshee.FileSystemQueue/Banshee.FileSystemQueue/FileSystemQueueSource.cs:
	Fix crash on delete from FSQ (BNC #467377)

2009-01-20  Aaron Bockover  <abock@gnome.org>

	Banshee 1.4.2 Released

2009-01-20  Aaron Bockover  <abock@gnome.org>

	* configure.ac: Bump to 1.4.2, set vendor to svn or tarball automatically

	* NEWS: Updated

2009-01-20  Aaron Bockover  <abock@gnome.org>

	* src/AssemblyInfo.cs.in:
	* src/Core/Banshee.ThickClient/Banshee.Gui.Dialogs/AboutDialog.cs:
	Updated Copyright strings for 2009

2009-01-17  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Core/Banshee.ThickClient/Banshee.Collection.Gui/ColumnCellTrackNumber.cs:
	Patch from Christoph Burgdorf to right align this (BGO #553322)

	* src/Core/Banshee.ThickClient/Banshee.Collection.Gui/ColumnCellPositiveInt.cs:
	Apply the same fix for all int-based columns (bpm, play/skip count, etc)

2009-01-13  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Core/Banshee.ThickClient/Banshee.Gui.TrackEditor/RangeEntry.cs:
	Allow setting the track/disc number/counts to > 99 (up to 999 now).

2009-01-13  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Core/Banshee.Services/Banshee.Collection.Indexer/CollectionIndexerService.cs:
	Fix bug in logic of whether to raise a collection changed event.  We
	should have been ignoring all changes unless to a field other than
	LastPlayed/Skipped or Play/SkipCount but weren't (BGO #567552)

	* src/Core/Banshee.CollectionIndexer/Banshee.Collection.Indexer.RemoteHelper/IndexerClient.cs:
	* src/Core/Banshee.CollectionIndexer/Banshee.Collection.Indexer.RemoteHelper/SimpleIndexerClient.cs:
	Add IndexWhenCollectionChanged property to allow disabling the default
	behavior of retriggering a reindex on every collection change event.

2009-01-13  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Core/Banshee.Services/Banshee.Metadata/MetadataServiceJob.cs: Change
	the timeout to 10s to alleviate long waits from not-responding servers
	(BGO #540178).

2009-01-13  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Dap/Banshee.Dap.Karma/Banshee.Dap.Karma/KarmaSource.cs: Patch from
	Bob Copeland improving Karma detection and adding OnTracksAdded call (BGO
	#566205)

2009-01-13  Bertrand Lorentz  <bertrand.lorentz@gmail.com>

	* src/Extensions/Banshee.Lastfm/Banshee.Lastfm.csproj:
	* src/Extensions/Banshee.Podcasting/Banshee.Podcasting.csproj:
	* src/Core/Banshee.Services/Banshee.Services.csproj:
	* src/Backends/Banshee.Gnome/Banshee.Gnome.csproj:
	* src/Backends/Banshee.GStreamer/Banshee.GStreamer.csproj: Various fixes and 
	updates.

	* src/Libraries/Lastfm/Lastfm.csproj:
	* src/Libraries/Lastfm.Gui/Lastfm.Gui.csproj: Enable Makefile integration.

	* src/Libraries/Lastfm/Makefile.am:
	* src/Libraries/Lastfm.Gui/Makefile.am: Whitespace changes and re-ordering,
	to keep MonoDevelop happy, now that Makefile integration is enabled for these
	projects.

2009-01-12  Aaron Bockover  <abock@gnome.org>

	* src/Core/Banshee.ThickClient/Banshee.Equalizer.Gui/EqualizerWindow.cs:
	Patch to fix unlocalised text on Equalizer (BNC #447606)

2009-01-11  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Extensions/Banshee.FileSystemQueue/Banshee.FileSystemQueue/FileSystemQueueSource.cs:
	Use SafeUri to unescape and get the file://-less path if possible, fixes
	bug with Firefox launching us with a file:// playlist URI (BNC #456120)

2009-11-01  Eoin Hennessy <eoin@randomrules.org>
	* build/osx/targets/bundle-30-gstreamer.targets: Re-add gst-plugins-ugly 
	to OSX build dependecies. The m3parse element is required for mp3 playback 
	with qtwrapper. We don't build *any* other elements from -ugly.

2009-01-11  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Libraries/Lastfm/Lastfm/AudioscrobblerConnection.cs: Fix recently
	introduced bug that hung Banshee when Last.fm submitted Now Playing
	information (BNC #465215) 

2009-01-11  Aaron Bockover  <abock@gnome.org>

	This commit addresses BNC #461677, allowing device commands to be sent
	to a new or existing process. Device commands allow Banshee to perform
	actions against a device, such as activating the source in the UI or 
	starting playback of an Audio CD. Two .desktop files exist for Nautilus/GIO
	to use to activate device commands on Banshee.

	* src/Core/Banshee.Services/Banshee.Hardware/DeviceCommand.cs: Simple
	structure that parses device action arguments such as --device-activate=x
	or --device-activate-play=y

	* src/Core/Banshee.Services/Banshee.Hardware/HardwareManager.cs: Provide
	a DeviceCommand event which is raised whenever a DeviceCommand argument
	described above is passed; this provides a simple facility for services
	to listen to actions to be applied against devices (e.g. the play CD
	action from Nautilus)

	* src/Extensions/Banshee.AudioCd/Banshee.AudioCd/AudioCdService.cs: 
	Listen to the HW manager's DeviceCommand event and handle cdda actions

	* src/Dap/Banshee.Dap/Banshee.Dap/DapService.cs: Listen to the HW
	manager's DeviceCommand and pass them off to children DapSources at the
	right time for actual handling

	* src/Dap/Banshee.Dap/Banshee.Dap/DapSource.cs:
	* src/Dap/Banshee.Dap.MassStorage/Banshee.Dap.MassStorage/MassStorageSource.cs:
	* src/Dap/Banshee.Dap.Ipod/Banshee.Dap.Ipod/IpodSource.cs:
	Added/implemented CanHandleDeviceCommand so the DapService can know if
	a DeviceCommand action applies to the DAP

	* src/Core/Banshee.Services/Banshee.MediaEngine/PlayerEngineService.cs:
	Fix a race where services may try to play a stream before the player
	engine has entered the READY state; this happens for example when Banshee
	is started with a --device-play or --device-activate-play command that
	may be handled before the player engine READYs

2009-01-11  Aaron Bockover  <abock@gnome.org>

	* src/Extensions/Banshee.Daap/Banshee.Daap/DaapService.cs: Add null checks
	around the source_map and its children when disposing since it won't be
	initialized if dispose is called before delayed initialize (BNC #465159)

	* src/Core/Banshee.Services/Banshee.ServiceStack/ServiceManager.cs: As
	an extra precaution, wrap all service disposals in an exception handling
	block and just report the exception in the log

2009-01-11  Aaron Bockover  <abock@gnome.org>

	* src/Clients/Booter/banshee-1.in: Use XDG_CONFIG_HOME instead of an
	explicit ~/.config; do not allow --redirect-log if another banshee-1
	process is running (this overwrites the original log); and allow for
	a special file ~/.config/banshee-1/always-debug that if present always
	will turn on debug mode, useful for when launched from a desktop file/GUI

2009-01-11  Aaron Bockover  <abock@gnome.org>

	* src/Clients/Booter/banshee-1.in: Output the exec line when 
	the log is being redirected

2009-01-11  Aaron Bockover  <abock@gnome.org>

	ATTENTION PACKAGERS: This is a VERY important commit; please read this
	ChangeLog message as it applies to YOU :). Conforming to this will
	help with bug reports.

	* configure.ac: Accept --with-vendor-build-id=<foo> for packagers to use.
	This string should always be set by packagers and detail the distro 
	name and version (e.g. openSUSE 11.1), and the repository origin, such
	as 'Banshee Team PPA'; for example, the %distribution macro is used in
	the openSUSE Build Service, which expands to something like this:
	'home:gabrielburt:branches:Banshee / openSUSE_Factory'; also the
	build/configure time is stored along with the host OS and CPU

	* src/Core/Banshee.ThickClient/Banshee.Gui/GtkBaseClient.cs: Print all
	build metadata at startup so it hits the log file, should be very helpful
	for bug reports, especially when debugging against patched builds

	* src/AssemblyInfo.cs.in: Store build metadata from configure in assembly
	attributes (vendor, build time, host os/cpu)

	* src/Core/Banshee.Services/Banshee.ServiceStack/Application.cs: Added
	APIs for accessing the build metadata

2009-01-10  Aaron Bockover  <abock@gnome.org>

	* libbanshee/banshee-ripper.c: Second pass at the mime type detection
	without typefind, better mime type prioritization, and use the new 
	BANSHEE_GST_ITERATOR_ITERATE macro instead of the bulky functions I 
	wrote last night (BGO #558526, BNC #464889)

	* libbanshee/banshee-gst.h: Implement BANSHEE_GST_ITERATOR_ITERATE, 
	a macro that handles the typical implementation of walking a GstIterator

2009-01-10  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Extensions/Banshee.Podcasting/Banshee.Podcasting/PodcastService.cs:
	* src/Extensions/Banshee.Podcasting/Banshee.Podcasting/ItmsPodcast.cs:
	* src/Extensions/Banshee.Podcasting/Makefile.am: Add support for itms://
	podcast links that you see on many podcast websites (BNC #465149).
	I think setting Banshee as the app Firefox (etc) uses when they are
	clicked has to be done manually, unfortunately

	* src/Core/Banshee.Services/Banshee.Web/HttpRequest.cs: Transparently
	support gzip'd responses, add ResponseBody property.

2009-01-10  Aaron Bockover  <abock@gnome.org>

	* src/Extensions/Banshee.Podcasting/Banshee.Podcasting.Gui/PodcastManager/Dialog/PodcastSubscribeDialog.cs:
	* src/Core/Banshee.ThickClient/Banshee.MediaProfiles.Gui/ProfileConfigurationDialog.cs:
	Call PackStart (w, b, b, u) instead of the deprecated default (BGO #567154)

2009-01-09  Aaron Bockover  <abock@gnome.org>

	* src/Backends/Banshee.GStreamer/Banshee.GStreamer/AudioCdRipper.cs:
	Handle the new mimetype callback and set it on the track (BGO #558526,
	BNC #464889)

	* libbanshee/banshee-ripper.c: Implemented support for the typefind
	element in the pipeline after the encoder to query a proper mime type
	for the encoded and muxed content

	* libbanshee/banshee-gst.h:
	* libbanshee/banshee-gst.c: Factored out a generic callback invoking
	version of gst_bin_iterate_recurse and gst_bin_iterate_all_by_interface
	to avoid duplicating a lot of iterator boilerplate code

2009-01-09  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Extensions/Banshee.FileSystemQueue/Banshee.FileSystemQueue/FileSystemQueueSource.cs:
	If passed a playlist file from /tmp, try to load/play it as a radio
	station (BNC #456120).  Also, clear/delete playlists when Cleared.

	* src/Core/Banshee.Services/Banshee.Playlist/PlaylistFileUtil.cs: Avoid
	bug where duplicate playlists were created.

	* src/Core/Banshee.Core/Banshee.Base/Paths.cs: Add SystemTempDir property.

2009-01-09  Aaron Bockover  <abock@gnome.org>

	* src/Core/Banshee.Services/Banshee.Streaming/RadioTrackInfo.cs: Added
	Open/OpenPlay helper methods that handle the typical case of simply 
	opening a stream/playlist, connecting to error/event handling, and 
	playing the stream

	* src/Core/Banshee.ThickClient/Banshee.Gui/GlobalActions.cs: Use the
	new RadioTrackInfo.OpenPlay method, moved the original code into that
	new API implementation; no functional change

2009-01-08  Aaron Bockover  <abock@gnome.org>

	* src/Extensions/Banshee.AudioCd/Banshee.AudioCd/AudioCdSource.cs:
	Implement IImportSource so the disc shows up in the Import Media dialog,
	fixing a functional regression from legacy 0.13.x (BNC #457918)

2009-01-08  Aaron Bockover  <abock@gnome.org>

	* src/Core/Banshee.Core/Banshee.Base/Localization.cs: Look for xml:lang
	nodes with lang codes in the form of xx_YY not xx-YY; intltool should be 
	using xx-YY per xml:lang convention, but we'll bend for now (BNC #449788)

2009-01-07  Aaron Bockover  <abock@gnome.org>

	* build/m4/banshee/libbanshee.m4: If the gtk+-2.0 target check fails,
	explicitly check for gtk+-2.0 as an entire module to show the standard
	missing devel package error message from pkg-config

2009-01-07  Gabriel Burt  <gabriel.burt@gmail.com>

	* data/desktop-files/*: Make banshee-1-subscription.desktop, handling RSS,
	OPML, and Miro's OPML subscription mimetypes.

2009-01-07  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Extensions/Banshee.Podcasting/Banshee.Podcasting/PodcastService.cs:
	* src/Core/Banshee.Services/Banshee.Collection/RescanPipeline.cs: Avoid
	dealing with Podcast files at all (BGO #552976).

	* src/Core/Banshee.Core/Banshee.Streaming/StreamTagger.cs: Add another
	TrackInfoMerge override, avoid a NRE.

2009-01-07  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Core/Banshee.Services/Banshee.Collection/RescanPipeline.cs: Fix
	issue with the Rescan tool where it popped up/removed lots and lots of
	progress bars (UserJobs) during a given import, which caused a ton of
	unnecessary CPU usage (BGO #552561).

2009-01-07  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Libraries/Migo/Migo.Net/AsyncWebClient.cs: Patch from Benjamín
	Valero Espinosa fixing bug with not handling the XML encoding attribute
	properly; RSS feeds in non-UTF-8 should now parse correctly (BGO #538224)

2009-01-01  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Libraries/Hyena.Gui/Hyena.Gui/GtkUtilities.cs: Add both upper and
	lowercase versions of file extensions to the file chooser filter, so that
	my.MP3 will appear in the Local Files import dialog (BGO #566224).

2008-12-29  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Libraries/Migo/Migo.Syndication/RssParser.cs: If RFC 822 datetime
	parsing fails, try falling back to parsing the pubDate etc with
	DateTime.TryParse (BGO #561381)

2008-12-29  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Core/Banshee.Services/Banshee.Collection.Database/DatabaseQueryFilterModel.cs:
	Update to new QueryField api - will probably need some work when we
	re-enable other filters (genre browser, etc).

	* src/Libraries/Hyena/Hyena.Query/QueryField.cs: Based on patch from
	Félix Velasco, fix case-sensitivity bug with genre and other string
	matching (BGO #555120)

2008-12-29  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Libraries/Lastfm/Lastfm/AudioscrobblerConnection.cs: Patch from John
	Millikin fixing bug encoding/scrobbling non-ASCII info (BGO #539963)

2008-12-29  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Libraries/Hyena.Gui/Hyena.Widgets/ImageButton.cs: Patch from Wouter
	Bolsterlee fixing mnemonic support (BGO #557880)

2008-12-29  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Extensions/Banshee.Podcasting/Banshee.Podcasting.Data/PodcastTrackInfo.cs:
	Fix bug with the published date of a playing podcast episode not getting
	loaded/displayed properly (BGO #565863)

2008-12-29  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Core/Banshee.Services/Banshee.Collection.Database/DatabaseAlbumInfo.cs: 
	Patch from John Millikin fixing issue with an album sometimes being listed
	twice, once as a compilation album and once not (BGO #557313)

	* src/Core/Banshee.Core/Banshee.Streaming/StreamTagger.cs: Add some notes
	in a comment.

2008-12-29  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Core/Banshee.ThickClient/Banshee.Gui.Widgets/BasicTrackDetailsPage.cs:
	Patch from Ivan Zlatev, fixing bug where the first track's TrackCount
	value wasn't set properly when using the automagic-button (BGO #561083)

2008-12-26  Eoin Hennessy <eoin@randomrules.org>

	* build/osx/targets/bundle-30-gstreamer.targets: We can't ship anything from 
	gst-plugins-ugly, so remove it from dependencies.

2008-12-26  Aaron Bockover  <abock@gnome.org>

	* src/Core/Banshee.Services/Banshee.Services.addins: Remove /tmp from
	the list of paths to scan for addins (BGO #556656)

2008-12-19  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Core/Banshee.Services/Banshee.Collection/SelectAllSelection.cs: Fix
	a bug with determining if a selection (of podcasts, etc) was 'all'; this
	prevented users who had only one subscription from deleting it (BGO
	#560210)

2008-12-19  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Extensions/Banshee.Daap/Banshee.Daap/DaapService.cs: Delay the
	initialization of the DAAP plugin for 3 seconds in an attempt to avoid the
	lock-related freezes (BNC #450125)

2008-12-19  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Extensions/Banshee.AudioCd/Banshee.AudioCd/AudioCdSource.cs: Fix
	crasher bug with using Banshee in a language that has a non-ASCII
	character in "Audio CD" (BGO #565059).

	* src/Core/Banshee.Services/Banshee.Collection.Database/DatabaseTrackInfo.cs:
	Prevent NRE.

2008-12-19  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Extensions/Banshee.Podcasting/Banshee.Podcasting.Data/PodcastTrackListModel.cs:
	* src/Dap/Banshee.Dap.Ipod/Banshee.Dap.Ipod/IpodSource.cs:
	* src/Dap/Banshee.Dap.Mtp/Banshee.Dap.Mtp/MtpSource.cs:
	* src/Dap/Banshee.Dap/Banshee.Dap/DapLibrarySync.cs:
	* src/Core/Banshee.Services/Banshee.Collection.Database/DatabaseTrackListModel.cs:
	Fix crash that happened toward the end of syncing a DAP device, caused by
	not including in the FROM clause all the tables needed for the WHERE
	conditions of podcast-related playlists (BGO #558662)

2008-12-02  Eoin Hennessy <eoin@randomrules.org>

	* build/osx/targets/bundle-30-gstreamer.targets: Added gst-plugins-ugly to
	osx dependency targets. The mp3parse element is necessary for duration queries 
	to work on mp3 audio pipelines.

	* build/osx/targets/bundle-10-xiph-libs.target: Readded FLAC support to 
	osx dependencies. 

2008-12-04  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Backends/Banshee.Hal/Banshee.HalBackend/DeviceMediaCapabilities.cs:
	Fix bug that prevents 'portable_audio_player.cover_art_file_type' property
	from being used (BGO #563290)

2008-12-04  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Core/Banshee.ThickClient/Banshee.Sources.Gui/FilteredListSourceContents.cs:
	Use Pack instead of Add when adding items to Panes, so that the min-size
	of children is respected and they can't be practically hidden - fixes bug
	with podcasts list being zero height and therefore not visible on small
	screens (BGO #560675)

2008-11-24  Aaron Bockover  <abock@gnome.org>

	* src/Clients/Booter/banshee-1.in: Fixed quoting in wrapper script so
	filenames with spaces work; especially important since Dolphin/Konqueror do
	not use URIs for local file paths even though %U is specified in the 
	.desktop file (BNC #440883)

	* src/Core/Banshee.ThickClient/Banshee.Gui.TrackEditor/TrackEditorDialog.cs:
	* src/Libraries/Hyena.Gui/Hyena.Gui/GtkUtilities.cs: Moved ForeachWidget
	method into GtkUtilities so it can be reused by third party extensions,
	which is particularly useful (BGO #562151)

2008-11-21  Aaron Bockover  <abock@gnome.org>

	* src/Core/Banshee.ThickClient/Banshee.Preferences.Gui/DefaultPreferenceWidgets.cs:
	Create the muisc directory before setting it on the FileChooserButton
	to prevent GTK from wigging out and then setting the directory to
	$HOME, causing the preference to save; if the music directory we create
	here ends up not being chosen by the user, try to remove it (if it is
	empty, which it should be since we created it) (BNC #432754)

2008-11-21  Aaron Bockover  <abock@gnome.org>

	* data/banshee-1.desktop.in.in:
	* data/mimetypes.txt: Remove Real Audio/Video mime types (BNC #440615)

2008-11-18  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Libraries/Hyena.Gui/Hyena.Data.Gui/ListView/ListView_Interaction.cs:
	Patch from Brandon Perry fixing warning that mono svn raises (BGO #561392)

2008-11-17  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Core/Banshee.ThickClient/Banshee.Equalizer.Gui/EqualizerWindow.cs:
	Patch from Erik Schmidt adding support for hitting Esc to close the
	equalizer dialog (BGO #552818).

2008-11-12  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Dap/Banshee.Dap.MassStorage/Banshee.Dap.MassStorage/MassStorageSource.cs:
	Patch from Benjamín Valero Espinosa fixing bug that prevented the last
	tracks in a folder from being deleted (BGO #560550).

2008-11-10  Aaron Bockover  <abock@gnome.org>

	Banshee 1.4.1 Released

2008-11-10  Aaron Bockover  <abock@gnome.org>

	* configure.ac:
	* src/AssemblyInfo.cs.in:
	* src/Core/Banshee.Services/Banshee.ServiceStack/Application.cs: Added a
	third version concept, since we need the assembly version to stay the
	same to reflect the stable API version

2008-11-10  Aaron Bockover  <abock@gnome.org>

	* src/Dap/Banshee.Dap.MassStorage/Banshee.Dap.MassStorage/AndroidDevice.cs:
	Return the device name simply as what's in the VendorProductInfo
	object

	* src/Dap/Banshee.Dap.MassStorage/Banshee.Dap.MassStorage.addin.xml:
	Change to Android G1 Phone, detaching from T-Mobile

2008-11-10  Aaron Bockover  <abock@gnome.org>

	* src/Dap/Banshee.Dap/Banshee.Dap.Gui/DapPropertiesDisplay.cs: Extend
	Gtk.Alignment and render the frame manually so content can be
	centered

	* src/Dap/Banshee.Dap/Banshee.Dap.Gui/DapContent.cs: Reworked content
	layout to be more visually appealing and space optimizing

	* src/Dap/Banshee.Dap.MassStorage/ThemeIcons/16x16/categories/amazon-mp3-source.png:
	* src/Dap/Banshee.Dap.MassStorage/ThemeIcons/22x22/categories/amazon-mp3-source.png:
	Super hot new store icon from jimmac

2008-11-10  Aaron Bockover  <abock@gnome.org>

	* src/Dap/Banshee.Dap.MassStorage/ThemeIcons/32x32/devices/phone-htc-g1-white.png:
	* src/Dap/Banshee.Dap.MassStorage/ThemeIcons/16x16/devices/phone-htc-g1-white.png:
	* src/Dap/Banshee.Dap.MassStorage/ThemeIcons/22x22/devices/phone-htc-g1-white.png:
	* src/Dap/Banshee.Dap.MassStorage/ThemeIcons/48x48/devices/phone-htc-g1-white.png:
	* src/Dap/Banshee.Dap.MassStorage/ThemeIcons/128x128/devices/phone-htc-g1-white.png:
	Awesome G1 icons from jimmac

	* src/Dap/Banshee.Dap/Banshee.Dap/DapSource.cs: Make FallbackIcon public
	and static so other DapSources can use it

	* src/Dap/Banshee.Dap.MassStorage/Banshee.Dap.MassStorage/AndroidDevice.cs:
	Use jimmac's awesome G1 icons

	* src/Dap/Banshee.Dap.MassStorage/Banshee.Dap.MassStorage/MassStorageSource.cs:
	* src/Dap/Banshee.Dap.MassStorage/Banshee.Dap.MassStorage/MassStorageDevice.cs:
	Allow devices to override the source icon; set the G1 source 

2008-11-10  Aaron Bockover  <abock@gnome.org>

	* src/Dap/Banshee.Dap.MassStorage/Banshee.Dap.MassStorage/MassStorageDevice.cs:
	Don't use var because gmcs 1.2.5 sucks more than I thought it did

	* src/Dap/Banshee.Dap.MassStorage/Banshee.Dap.MassStorage/DeviceMapper.cs:
	Unbreak the build

2008-11-10  Aaron Bockover  <abock@gnome.org>

	* src/Core/Banshee.Services/Banshee.Hardware/VendorProductDeviceNode.cs:
	Custom Mono.Addins extension node that allows targeting device class
	definitions as extensions

	* src/Dap/Banshee.Dap.MassStorage/Banshee.Dap.MassStorage.addin.xml:
	Defined a MassStorageDevice extension point and custom node; added
	the T-Mobile G1 devices as extensions using new node support

	* src/Dap/Banshee.Dap.MassStorage/Banshee.Dap.MassStorage/DeviceMapper.cs:
	Use Mono.Addins and the new extension node to load custom devices, so
	other devices can be supported in the future without requiring
	modifications to Banshee

	* src/Dap/Banshee.Dap.MassStorage/Banshee.Dap.MassStorage/AndroidDevice.cs:
	* src/Dap/Banshee.Dap.MassStorage/Banshee.Dap.MassStorage/MassStorageDevice.cs:
	* src/Dap/Banshee.Dap.MassStorage/Banshee.Dap.MassStorage/CustomMassStorageDevice.cs:
	Updated API to ensure everything works well with Mono.Addins'
	TypeExtensionNode instantiation

2008-11-09  Eoin Hennessy <eoin@randomrules.org>

	* src/Backends/Banshee.Osx/Banshee.OsxBackend/OsxBackend.cs: Fixed issue 
	with dock events being ignored due to change in ige-mac-integration api.
	Disabled quitting via dock item menu until BGO #560108 is fixed. 

2008-11-09  Sandy Armstrong  <sanfordarmstrong@gmail.com>

	* src/Dap/Banshee.Dap.MassStorage/Banshee.Dap.MassStorage/DeviceMapper.cs:
	Add support for T-Mobile G1 with USB Debugging enabled (product_id
	changes to 0x0c02).  Fixes BGO #560096.

2008-11-10  Ivan N. Zlatev  <contact@i-nz.net>

	* src/Clients/Booter/Booter/Entry.cs:
	* src/Core/Banshee.ThickClient/Banshee.Gui.Widgets/TrackInfoDisplay.cs:
	* src/Core/Banshee.ThickClient/Banshee.Sources.Gui/SourceView.cs:
	* src/Core/Banshee.Services/Banshee.Collection.Database/DatabaseTrackInfo.cs:
	* src/Core/Banshee.Services/Banshee.Collection.Database/DatabaseTrackListModel.cs:
	* src/Core/Banshee.Services/Banshee.Playlist/AbstractPlaylistSource.cs:
	* src/Core/Banshee.Services/Banshee.Sources/DatabaseSource.cs:
	* src/Core/Banshee.Services/Banshee.Sources/Source.cs:
	* src/Core/Banshee.Services/Banshee.Collection/BansheeListModel.cs:
	* src/Core/Banshee.Services/Banshee.Library/LibrarySource.cs:
	* src/Backends/Banshee.Hal/Banshee.HalBackend/Device.cs:
	* src/Libraries/MusicBrainz/MusicBrainz/LocalDisc.cs:
	* src/Libraries/Migo/Migo.Syndication/FeedEnclosure.cs:  Fix missing () 
	in ?? operator usage. Fixes compilation with gmcs HEAD (BGO #559616).

2008-11-10  Bertrand Lorentz  <bertrand.lorentz@gmail.com>

	* src/Core/Banshee.ThickClient/Banshee.Gui.Dialogs/FileChooserDialog.cs:
	Patch from Cosmin Banu to prevent a crash when importing a file from
	recent items (BGO #559823).

2008-11-09  Alan McGovern <alan.mcgovern@gmail.com>

	* src/Extensions/Banshee.Torrent/Banshee.Torrent/TorrentService.cs: If the
	service is not already running when banshee calls it, we need to ping it a
	second time to see if it auto-started.

2008-11-09  Alan McGovern <alan.mcgovern@gmail.com>

	* src/Extensions/Banshee.Torrent/Banshee.Torrent/TorrentService.cs:
	* src/Extensions/Banshee.Torrent/Banshee.Torrent/TorrentFileDownloadTask.cs:
	Update to work with the latest monotorrent.dbus

2008-11-09  Bertrand Lorentz  <bertrand.lorentz@gmail.com>

	* src/Dap/Banshee.Dap.MassStorage/Banshee.Dap.MassStorage/MassStorageDevice.cs:
	Patch from Florent Thoumie to fix compilation with mono 1.2.5 and 1.2.6
	(BGO #559776).

2008-11-08  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Extensions/Banshee.Torrent/Banshee.Torrent/TorrentService.cs: Add
	explicit private.

	* src/Extensions/Banshee.Torrent/Makefile.am:
	* build/m4/banshee/torrent.m4: Install and uninstall the MonoTorrent
	assemblies.

2008-11-07  Eoin Hennessy <eoin@randomrules.org>

	* build/osx/build.env: Added CXX_FLAGS to build env so that C++ gstreamer
	plugins are compiled with -mmacosx-version-min. Was the cause of various
	crashes on OSX 10.4. 

2008-11-07  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Core/Banshee.ThickClient/Banshee.Gui.TrackEditor/StatisticsPage.cs:
	Fix the build, broken by the last commit.

2008-11-07  Alexandre Prokoudine  <alexandre.prokoudine@gmail.org>

	* src/Core/Banshee.ThickClient/Banshee.Gui.TrackEditor/StatisticsPage.cs:
	Somebody forgot to mark this message for translation, and there are even 
	more in this file.

2008-11-07  Aaron Bockover  <abock@gnome.org>

	Banshee 1.4.0.1 Released

2008-11-07  Aaron Bockover  <abock@gnome.org>

	* src/Dap/Banshee.Dap.MassStorage/Banshee.Dap.MassStorage/AndroidDevice.cs:
	Ensure a proper folder depth and path layout

	* src/Dap/Banshee.Dap/Banshee.Dap/MediaGroupSource.cs: Removed some
	overhead do to reworking of the PurchasedMusicActions

	* src/Dap/Banshee.Dap.MassStorage/Banshee.Dap.MassStorage/MassStorageSource.cs:
	See if the device provides its own track path and use it if so,
	otherwise create one

	* src/Core/Banshee.Services/Banshee.Collection/ImportManager.cs: Do not
	use number formatting on what will always be integers; copy and paste
	failbaug

	* src/Dap/Banshee.Dap/Banshee.Dap.Gui/PurchasedMusicActions.cs: Fixed
	bug where only one device per instance would show up due to the UI
	actions already being registered

	* src/Dap/Banshee.Dap.MassStorage/Banshee.Dap.MassStorage/MassStorageDevice.cs:
	Allow the device to provide a preferred path layout

2008-11-07  Aaron Bockover  <abock@gnome.org>

	Banshee 1.4.0 Released

2008-11-07  Aaron Bockover  <abock@gnome.org>

	* src/Dap/Banshee.Dap/Banshee.Dap.Gui/PurchasedMusicActions.cs: UI
	actions for IPurchasedMusicSource

	* src/Dap/Banshee.Dap/Resources/PurchasedMusicSourceUI.xml: UI for
	importing purchased music

	* src/Dap/Banshee.Dap/Banshee.Dap/IPurchasedMusicSource.cs: Interface
	for advertising that the purchased music UI should be connected

	* src/Dap/Banshee.Dap/Banshee.Dap/MediaGroupSource.cs: If self
	implements IPurchasedMusicSource, connect that UI

	* src/Dap/Banshee.Dap.MassStorage/Banshee.Dap.MassStorage/AndroidDevice.cs:
	Implement IPurchasedMusicSource

2008-11-07  Aaron Bockover  <abock@gnome.org>

	* src/Dap/Banshee.Dap.MassStorage/Banshee.Dap.MassStorage/AndroidDevice.cs:
	Implemented special support for grouping tracks purchased from the
	Amazon MP3 store on the G1 into their own source; also do not allow
	deleting these tracks in the main Music source on the device; they
	can only be deleted from the Purchased Music source

	* src/Dap/Banshee.Dap.MassStorage/Banshee.Dap.MassStorage/MassStorageDevice.cs:
	Implemented SourceInitialize and DeleteTrackHook methods

	* src/Dap/Banshee.Dap/Banshee.Dap/VideoGroupSource.cs:
	* src/Dap/Banshee.Dap/Banshee.Dap/PodcastGroupSource.cs: Set AutoHide to
	true so these sources will only show up if there is content in them

	* src/Dap/Banshee.Dap.MassStorage/Banshee.Dap.MassStorage/MassStorageSource.cs:
	Call SourceInitialize on the MassStorageDevice if we have one and
	after the source itself is initialized; call DeleteTrackHook on the
	MassStorageDevice if we have one and return false if the hook returns
	false, effectively voiding the track deletion from both the disk and
	the database

	* src/Core/Banshee.Services/Banshee.Sources/PrimarySource.cs: Make
	DeleteTrack return bool; in DeleteTrackList, cache the track against
	which DeleteTrack returns false in a skip list and when the cache
	iteration is complete, remove any skip list tracks from the cache
	list before executing the database purge against the cache list.
	Phew.

	* src/Dap/Banshee.Dap/Banshee.Dap/DapSource.cs: Do not add the video and
	podcasts group sources since they are now AutoHide and will manage
	that on their own

	* src/Dap/Banshee.Dap/Banshee.Dap/MediaGroupSource.cs: Implemented an
	AutoHide feature that will only show items when the feature is on if
	there are actually items in the source

	* src/Dap/Banshee.Dap.Mtp/Banshee.Dap.Mtp/MtpSource.cs:
	* src/Dap/Banshee.Dap.Ipod/Banshee.Dap.Ipod/IpodSource.cs:
	* src/Core/Banshee.Services/Banshee.Library/LibrarySource.cs:
	* src/Dap/Banshee.Dap.Karma/Banshee.Dap.Karma/KarmaSource.cs: Updated to
	reflect API change in PrimarySource

	* src/Core/Banshee.Services/Banshee.Collection.Database/CachedList.cs:
	Implement a Remove method that allows trimming the cache

	* src/Core/Banshee.Services/Banshee.Sources/Source.cs: Implemented
	ContainsChildSource method

2008-11-06  Aaron Bockover  <abock@gnome.org>

	This commit provides my first pass at allowing for custom USB mass storage
	device profiles. It allows writing customized classes to special case
	certain devices that are just USB mass storage where extra features and
	polish are desired. As an example, basic out of the box support for the
	T-Mobile G1/Android Phone is implemented. This means the G1 should work
	out of the box with no .is_audio_player necessary or any changes to HAL

	It supports reading/syncing music purchased through the Amazon MP3 store
	on the G1 and syncing cover art along with music.

	* src/Dap/Banshee.Dap.MassStorage/Banshee.Dap.MassStorage/MassStorageDevice.cs:
	Moved the is_audio_player reader into new base device properties class

	* src/Dap/Banshee.Dap.MassStorage/Banshee.Dap.MassStorage/KeyValueParser.cs:
	Lots of fixes for parsing the key/value file for is_audio_player

	* src/Dap/Banshee.Dap.MassStorage/Banshee.Dap.MassStorage/CustomMassStorageDevice.cs:
	MassStorageDevice class that custom device support classes should derive

	* src/Dap/Banshee.Dap.MassStorage/Banshee.Dap.MassStorage/AndroidDevice.cs:
	An implementation of a custom device for the T-Mobile G1/Android phone

	* src/Dap/Banshee.Dap.MassStorage/Banshee.Dap.MassStorage/DeviceMapper.cs:
	Given a USB Device, find out what kind of device profile to create, 
	checking a table of custom supported devices (e.g. Android devices), and
	falling back to the base MassStorageDevice that supports reading 
	is_audio_player

	* src/Dap/Banshee.Dap.MassStorage/Banshee.Dap.MassStorage/MassStorageSource.cs:
	Use the new MassStorageDevice class for reading customized properties
	that are not part of DeviceMediaCapabilities (e.g. from HAL); also when
	deleting tracks, check to see if the directory will become empty after
	removing the track, and if so, also remove the cover art file if one
	exists.

	* src/Core/Banshee.Services/Banshee.Hardware/IUsbDevice.cs: New interface
	for USB specific device properties

	* src/Core/Banshee.Services/Banshee.Hardware/IDevice.cs: Defined
	ResolveRootUsbDevice which is to return the top level USB device
	as an IUsbDevice

	* src/Core/Banshee.Services/Banshee.Hardware/VendorProductInfo.cs: 
	Struct to define USB devices through vendor/product IDs

	* src/Backends/Banshee.Hal/Banshee.HalBackend/Device.cs:
	* src/Backends/Banshee.Hal/Banshee.HalBackend/UsbDevice.cs: Implement the
	new IUsbDevice support against HAL

	* src/Dap/Banshee.Dap.Ipod/Banshee.Dap.Ipod/PodSleuthDevice.cs: Proxy
	the ResolveRootUsbDevice method now defined on IDevice

2008-11-05  Eoin Hennessy <eoin@randomrules.org>

	* build/osx/targets/gst-plugins-bad-qtwrapper-fixes.patch:
	Added a patch containing a number of fixes for qtwrapper issues in 
	gst-plugins-bad 0.10.9 backported from current cvs. Makes playback on 
	OSX considerably more stable.

2008-11-05  Bertrand Lorentz  <bertrand.lorentz@gmail.com>

	* src/Core/Banshee.ThickClient/Banshee.Gui/GlobalActions.cs:
	* src/Core/Banshee.ThickClient/Banshee.Gui.Dialogs/AboutDialog.cs: Patch
	from Maxim Ermilov to make the about dialog not modal (BGO #558050).

2008-11-04  Aaron Bockover  <abock@gnome.org>

	* configure.ac: Automatically --enable-release if there is
	no .svn directory (this is for you, packagers)

	* src/Libraries/Hyena.Gui/Hyena.Gui.dll.config: linux->osx

2008-11-04  Aaron Bockover  <abock@gnome.org>

	* build/build.rules.mk:
	* configure.ac: Do not run the DllImport verification when 
	configured as a release build

2008-11-04  Aaron Bockover  <abock@gnome.org>

	* build/Makefile.am:
	* build/DllMapVerifier.cs:
	* build/dll-map-makefile-verifier:
	* build/build.rules.mk: Wrote a DllImport and config file map verifier
	tool that analyzes source code and the build to ensure that any DllImport
	reference in the code must have a map in the config file or an explicit
	ignore in the build; also ensures that if a config file exists, it is
	included in module_SCRIPTS so it gets installed in the system

	* src/Clients/Booter/Makefile.am:
	* src/Clients/Booter/Banshee.exe.config:
	* src/Clients/Booter/Booter/Entry.cs: 
	* src/Backends/Banshee.Unix/Banshee.Unix.dll.config:
	* src/Backends/Banshee.Unix/Makefile.am:
	* src/Libraries/Hyena.Gui/Hyena.Gui.dll.config: Fixed up more DLL maps

2008-10-31  Sandy Armstrong  <sanfordarmstrong@gmail.com>

	* src/Extensions/Banshee.PlayQueue/Banshee.PlayQueue/PlayQueueSource.cs:
	Remove unneeded "using System.Linq;" that was breaking the build on
	older Mono installations.

2008-10-31  Bertrand Lorentz  <bertrand.lorentz@gmail.com>

	* src/Core/Banshee.Core/Banshee.Base/SafeUri.cs:
	* src/Core/Banshee.Core/Banshee.Base/Localization.cs:
	* src/Backends/Banshee.Unix/Banshee.IO.Unix/Directory.cs:
	* src/Libraries/Hyena.Gui/Hyena.Gui.dll.config:
	* src/Libraries/Hyena.Gui/Hyena.Gui/PangoCairoHelper.cs: Fix a 
	DllNotFoundException by making the DllImport statements match the dllmap
	in the .config files (BGO #557868).

2008-10-29  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Clients/Nereid/Nereid/PlayerInterface.cs: Use a method instead of an
	anonymous delegate to handle a ButtonPress event, fixing a strange crash
	that I think is probably an issue in Mono (BGO #556573).

2008-10-27  Aaron Bockover  <abock@gnome.org>

	* src/Core/Banshee.ThickClient/Banshee.Gui.TrackEditor/FieldPage.cs:
	* src/Core/Banshee.ThickClient/Banshee.Gui.TrackEditor/HelpPage.cs:
	* src/Core/Banshee.ThickClient/Banshee.Gui.TrackEditor/ITrackEditorPage.cs:
	* src/Core/Banshee.ThickClient/Banshee.Gui.TrackEditor/StatisticsPage.cs:
	Removed Changed, not needed

	* src/Extensions/Banshee.PlayQueue/Banshee.PlayQueue/PlayQueueSource.cs:
	Add EnqueueTrack, generalize the other Enqueue methods to use EnqueueId

2008-10-27  Gabriel Burt  <gabriel.burt@gmail.com>

	* libbanshee/libbanshee.cproj:
	* *.csproj: Add custom make and make run commands for build/execute

	* Banshee.sln: Remove Torrent and MediaWeb projects from the build

	* build/build.rules.mk: Add run target that does make run in the top dir

2008-10-26  Aaron Bockover  <abock@gnome.org>
	
	* src/Core/Banshee.ThickClient/Banshee.Gui.TrackEditor/EditorTrackInfo.cs:
	Implemented a GenerateDiff method and DiffCount property returning the
	number of changed fields on the track; this ensures the confirm changes
	dialog only shows up when something actually changes; before the dialog
	was based on some hacked GUI change tracking, which could easily be fooled

	* src/Core/Banshee.ThickClient/Banshee.Gui.TrackEditor/FieldPage.cs:
	* src/Core/Banshee.ThickClient/Banshee.Gui.TrackEditor/TrackEditorDialog.cs:
	Updated to use the new track diffing logic

	* src/Core/Banshee.ThickClient/Banshee.Gui.TrackEditor/BasicTrackDetailsPage.cs:
	Implemented the auto-order range closure for track number/count

	* src/Core/Banshee.ThickClient/Banshee.Gui.TrackEditor/RangeEntry.cs:
	Implemented an auto-order UI action (optional)

	* src/Core/Banshee.ThickClient/Banshee.Gui.TrackEditor/PageNavigationEntry.cs:
	Make the navigatable text entry generic since we need to use it for
	the track artist if we are editing a compilation album

	* src/Core/Banshee.ThickClient/Banshee.Gui.TrackEditor/AlbumArtistEntry.cs: 
	Control the two navigation entries

	* src/Core/Banshee.ThickClient/Banshee.ThickClient.addin.xml: Removed
	the help page for now since it only has a picture of jcastro

2008-10-25  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Core/Banshee.ThickClient/Banshee.Gui.Widgets/TrackInfoDisplay.cs:
	Patch from Cosmin Banu to prevent NRE (BGO #557867).

2008-10-25  Wouter Bolsterlee  <wbolster@svn.gnome.org>

	* src/Core/Banshee.ThickClient/Banshee.Gui.TrackEditor/BasicTrackDetailsPage.cs:
	* src/Core/Banshee.ThickClient/Banshee.Gui.TrackEditor/StatisticsPage.cs:
	* src/Dap/Banshee.Dap.Mtp/Banshee.Dap.Mtp/MtpSource.cs:
	* src/Dap/Banshee.Dap/Banshee.Dap.Gui/DapActions.cs:

	Added/updated translator comments.

2008-10-25  Wouter Bolsterlee  <wbolster@svn.gnome.org>

	* src/Core/Banshee.Services/Banshee.Query/BansheeQuery.cs:
	Corrected translator comments.

2008-10-25  Aaron Bockover  <abock@gnome.org>

	Banshee 1.3.3 Released

2008-10-24  Aaron Bockover  <abock@gnome.org>

	* Makefile.am: Patch from patch-master-organizer Bertrand Lorentz
	to allow localized uninstalled instances ala 'make run'; his make foo
	is strong (BGO #393046)

2008-10-24  Aaron Bockover  <abock@gnome.org>

	* src/Extensions/Banshee.PlayQueue/Banshee.PlayQueue/IPlayQueue.cs:
	DBus doesn't allow overriding methods, so remove the convenience/default

2008-10-23  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Extensions/Banshee.PlayQueue/Banshee.PlayQueue/PlayQueueSource.cs:
	* src/Extensions/Banshee.PlayQueue/Banshee.PlayQueue/IPlayQueue.cs: Patch
	from Alex Launi and myself adding the ability to prepend a track to the
	Play Queue (BGO #557526).

2008-10-22  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Extensions/Banshee.PlayQueue/Banshee.PlayQueue/PlayQueueSource.cs:
	Fix bug with Play Queue stopping after every song (BGO #557386).

2008-10-22  Aaron Bockover  <abock@gnome.org>

	Patch from Eoin Hennessy <eoin@randomrules.org> (BGO #557190)

	* src/Backends/Banshee.OSX: Added OSX backend. Consists of a service 
	that uses ige-mac-integration-sharp to bind the gtk menu to the 
	global menu, make menus more osx-like etc.. and a hardware manager, 
	which rigth now, doesn't do anything

	* src/Extensions/Banshee.NotificationArea/Makefile.am: Disable the 
	NotificationArea extension on OSX as the 'close-to-tray' behaviour it adds 
	doesn't really make sense on OSX.
	
	* src/Core/Banshee.ThickClient/Banshee.Sources.Gui/SourceRowRenderer.cs:
	Swapping the rendering order of source icon and title fixes a 
	rendering glitch on OSX where the icon for a source's first child is 
	not rendered. 
	
2008-10-22  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Backends/Banshee.Gnome/Banshee.Gnome.addin.xml: Comment out the
	DefaultApplicationHelper extension.

	* src/Backends/Banshee.Gnome/Makefile.am: Remove the commented out
	DefaultApplicationHelper.cs line.

	* gstreamer/equalizer/gstiirequalizer.c: Patch from Sebastian Dröge, see
	BGO #557260.

2008-10-22  Aaron Bockover  <abock@gnome.org>

	This commit fixes a number of OS X build issues and eliminates all 
	dependencies on macports. It is now possible to build Banshee simply by
	installing Xcode and the Mono 2.0 SDK

	* build/osx/build.env: No longer require macports to bootstrap the 
	bundle dependencies

	* build/osx/oss-00-base-libs.targets: New targets, including intltool and
	gettext so we can fully host the dependency build environment; no longer
	do we require pieces from macports

	* build/osx/build-deps.sh: Use curl instead of wget (provided by macports)

	* build/m4/shamrock/i18n.m4:
	* configure.ac:
	* autogen.sh: Use only intltool, not a mix of gettext and intltool, which
	we've used for quite some time and I'm not sure why

2008-10-21  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Backends/Banshee.Gnome/Makefile.am: Remove the
	DefaultApplicationHelper from the build because it needs more work;
	it should probably be using GIO/g_app_info to set itself as the default,
	and it shouldn't cause the "Want to set Banshee as the default?" dialog to
	appear on distros where it's already the default.

2008-10-21  Aaron Bockover  <abock@gnome.org>

	This is round one of Eoin's core fixes for OS X support. This commit
	yields an almost running Banshee. Getting very close. (BGO #557190)

	* src/Extensions/Banshee.MultimediaKeys/Makefile.am: Only enable if 
	we are on GNOME

	* src/Dap/Banshee.Dap/Banshee.Dap/DapService.cs: Don't initialize DAP
	service without a HardwareManager instance. Necessary on OS X until we
	have a backend implemented

	* src/Core/Banshee.Widgets/Banshee.Widgets/VolumeButton.cs:
	* src/Core/Banshee.Core/Banshee.Base/SafeUri.cs:
	* src/Core/Banshee.Core/Banshee.Base/Localization.cs:
	* src/Backends/Banshee.Unix/Banshee.IO.Unix/Directory.cs:
	* src/Libraries/Hyena.Gui/Hyena.Gui/CairoExtensions.cs:
	* src/Libraries/Hyena.Gui/Hyena.Gui/PangoCairoHelper.cs:
	* src/Libraries/Hyena.Gui/Hyena.Gui/CompositeUtils.cs:
	* src/Libraries/Hyena.Gui/Hyena.Gui/PixbufImageSurface.cs: Fixed up all
	DllImport attributes to import directly against the Win32 target, to be
	remapped to proper libraries on linux or osx through the newly fixed
	dll map config files

	* src/Core/Banshee.Widgets/Banshee.Widgets.dll.config:
	* src/Core/Banshee.Core/Banshee.Core.dll.config:
	* src/Libraries/Hyena.Gui/Hyena.Gui.dll.config: Made sure all dll maps
	will work on Win32 without a .config, map these fixed up names to proper
	.so or .dylib targets depending on whether the os is linux or osx
	
	* src/Core/Banshee.Core/Makefile.am: Include the new .config file

	* build/m4/banshee/osx.m4: OS X specific check

	* build/m4/banshee/dap-njb.m4: Removed, obsolete
	
	* build/osx/build.env: Fix up ACLOCAL_FLAGS
	
	* build/osx/autogen.sh: Pass --enable-osx 

	* build/osx/oss-40-managed-libs.targets: Added ige-mac-integration-sharp,
	removed mono-addins since that's part of the Mono 2.0 SDK
	
	* configure.ac: Added --enable-osx configure option, currently just 
	makes sure we have ige-mac-integration-sharp. It should also check that we
	actually have OS X

2008-10-19  Gabriel Burt  <gabriel.burt@gmail.com>

	* configure.ac: Fix typo, text => test.

2008-10-19  Aaron Bockover  <abock@gnome.org>

	* build/osx/collect-deps.sh: Script to collect all the privately built
	dependencies for bundling

	* build/osx/build-deps.sh: Call collect (har har har)

2008-10-19  Aaron Bockover  <abock@gnome.org>

	* build/m4/banshee/libbanshee.m4: Require either the x11 or quartz backend
	in GDK depending on the target from GTK (based on Eoin's patch)

	* configure.ac: Show what graphics backend we'll be building against

	* build/osx/autogen.sh: Pass --disable-boo, and always restore the orignal
	configure.ac after the script runs

	* build/osx/build-deps.sh: Pull in ndesk-dbus, ndesk-dbus-glib, taglib-sharp
	and mono-addins as bundle dependencies

2008-10-19  Aaron Bockover  <abock@gnome.org>

	This commit adds preliminary build scripts/environment/directions for
	building Banshee on OS X, based heavily on Eoin's great work on porting
	Banshee to OS X. Banshee does not actually build yet on OS X with this
	commit, so don't try. This is phase one of merging Eoin's great work 
	into our trunk.

	* build/osx/*: Scripts and an awesome README for building on OS X

	* autogen.osx.sh: Helper to call into the real OS X autogen wrapper

2008-10-13  Aaron Bockover  <abock@gnome.org>

	* configure.ac: Support --disable-gnome, should make building on OS X
	a lot nicer; also support --enable-release, which sets the RELEASE
	define in gmcs and also turns off -warnaserror; pass --enable-release
	when we run distcheck

	* build/build.rules.mk: Use the new GMCS_FLAGS generated by configure

	* src/Backends/Banshee.Gnome/Makefile.am:
	* build/Makefile.am: Respect GCONF_SCHEMAS_INSTALL and ENABLE_GNOME

	* src/Core/Banshee.Core/Resources/translators.xml: Updated

2008-10-12  Aaron Bockover  <abock@gnome.org>

	* src/Core/Banshee.Core/Banshee.Collection/TrackInfo.cs: Made ArtworkId
	exportable for the collection indexer

2008-10-11  Aaron Bockover  <abock@gnome.org>

	Banshee 1.3.2 Released

2008-10-11  Aaron Bockover  <abock@gnome.org>

	* src/Core/Banshee.CollectionIndexer/Banshee.Collection.Indexer.RemoteHelper/SimpleIndexerClient.cs:
	Implement virtual hook functions (OnStarted, OnBeginUpdateIndex, 
	OnEndUpdateIndex); only call OnShutDownWhileIndexing if indeed we were
	shutdown while indexing

	* build/pkg-config/banshee-1-collection-indexer.pc.in: A separate 
	pkg-config file for the standalone and bundleable collection indexer
	helper libary 

	* NEWS: Small fixes

2008-10-10  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Extensions/Banshee.InternetRadio/Banshee.InternetRadio/InternetRadioSource.cs:
	Don't accept input from any source.

2008-10-09  Aaron Bockover  <abock@gnome.org>

	* src/Clients/Beroe/Beroe/IndexerClient.cs: 
	* src/Clients/Beroe/Beroe/RemoteClient.cs: Remove the client from the 
	indexer server

	* src/Core/Banshee.Services/Banshee.Collection.Indexer/ICollectionIndexer.cs:
	* src/Core/Banshee.Services/Banshee.Collection.Indexer/CollectionIndexer.cs:
	Fix standalone API issues

	* src/Core/Banshee.CollectionIndexer/Hyena/ConsoleCrayon.cs:
	* src/Core/Banshee.CollectionIndexer/Hyena/Log.cs:
	* src/Core/Banshee.CollectionIndexer/Hyena/DateTimeUtil.cs: Synced from
	Hyena

	* src/Core/Banshee.CollectionIndexer/Demo/RemoteClient.cs: Moved the 
	demo indexer client into its own assembly with simple build

	* src/Core/Banshee.CollectionIndexer/update-includes: Script to sync
	the stuff from hyena and the indexer dbus interfaces that we need

2008-10-09  Aaron Bockover  <abock@gnome.org>

	* src/Core/Banshee.Services/Banshee.Collection.Indexer/CollectionIndexerService.cs:
	Update to reflect clensing of the interfaces

	* src/Core/Banshee.CollectionIndexer/Banshee.Collection.Indexer.RemoteHelper:
	Moved the collection indexer remote helper into a standalone assembly
	suitable for including in other projects

	* src/Core/Banshee.Services/Banshee.Collection.Indexer/CollectionIndexer.cs:
	Fix indexing bug, was using the wrong index for fetching items from
	the model

	* src/Core/Banshee.Services/Banshee.Collection.Indexer/IIndexerClient.cs:
	* src/Core/Banshee.Services/Banshee.Collection.Indexer/ICollectionIndexer.cs:
	* src/Core/Banshee.Services/Banshee.Collection.Indexer/ICollectionIndexerService.cs:
	Ensure the interfaces are fully standalone and do not depend on any
	Banshee API

	* Banshee.sln:
	* configure.ac:
	* build/build.environment.mk:
	* src/Core/Banshee.CollectionIndexer/Makefile.am:
	* src/Core/Banshee.CollectionIndexer/Banshee.CollectionIndexer.csproj:
	Build stuff for moving the collection indexer helper API into its own
	light weight and standalone assembly

2008-10-09  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Extensions/Banshee.PlayQueue/Banshee.PlayQueue/PlayQueueSource.cs:
	Keep track of the track that was playing (if any) before the play queue
	took over so we can return playback to the song after it (BGO #547213).

	* src/Core/Banshee.Services/Banshee.PlaybackController/PlaybackControllerService.cs:
	Add a public PriorTrack property that outside code can use to make the
	QueryLinear code grab the next track after the one set, instead of the one
	after the 'CurrentTrack' (eg the last one played).  Used to return
	playback to the right spot in a source after the queue is finished.

2008-10-09  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Extensions/Banshee.PlayQueue/Banshee.PlayQueue/PlayQueueSource.cs:
	When finished playing from the play queue, don't play from the prior
	source if it wasn't playing when the play queue took over.  Partially
	fixes BGO #547213.

2008-10-09  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Core/Banshee.ThickClient/Banshee.Gui.TrackEditor/TrackEditorDialog.cs:
	Clarify the logging we do when a track editor page fails to initialize -
	it's not necessarily b/c it doesn't implement ITrackEditorPage.

	* src/Core/Banshee.ThickClient/Banshee.Gui.TrackEditor/AlbumArtistEntry.cs:
	Fix regression where the basic editor page wouldn't load when editing a
	single item.

2008-10-08  Gabriel Burt  <gabriel.burt@gmail.com>

	This patch refactors the Podcast code so that it can have playlists and
	smart playlists.

	* src/Extensions/Banshee.Podcasting/Banshee.Podcasting/PodcastImageFetchJob.cs:
	Don't assume the PodcastSource is the only podcast-containing source since
	we now have playlists too.

	* src/Core/Banshee.Services/Banshee.Sources/Source.cs: 
	* src/Clients/Nereid/Nereid/PlayerInterface.cs: Add and use new
	Source#GetProperty convenience method.

	* src/Core/Banshee.ThickClient/Banshee.Gui/InterfaceActionService.cs:
	Support propagation of ActiveSource properties, so that podcast playlists
	can have the same actions as the Podcasts source.

	* src/Core/Banshee.ThickClient/Banshee.Gui/BansheeActionGroup.cs: Change
	Add to accept params.

	* src/Libraries/Hyena.Gui/Hyena.Data.Gui/Column.cs: Get rid of cruft, and
	take the Id for a column from the sub-property if it exists, otherwise
	from the Property (as before).

	* src/Extensions/Banshee.Podcasting/Banshee.Podcasting.Gui/PodcastItemView.cs:
	* src/Extensions/Banshee.Podcasting/Banshee.Podcasting.Data/PodcastTrackInfo.cs:
	* src/Extensions/Banshee.Podcasting/Banshee.Podcasting/PodcastService.cs:
	* src/Extensions/Banshee.Podcasting/Banshee.Podcasting.Gui/ColumnCellPodcastStatusIndicator.cs:
	* src/Extensions/Banshee.Podcasting/Banshee.Podcasting.Gui/PodcastActions.cs:
	* src/Extensions/Banshee.Podcasting/Banshee.Podcasting.Gui/PodcastManager/Dialog/PodcastPropertiesDialog.cs:
	PodcastTrackInfo no longer subclasses from DatabaseTrackInfo - instead its
	the ExternalObject to the TrackInfos that are under the PodcastSource.
	Change code accessing the PodcastTrackInfo propeties to get to them via
	the PodcastTrackInfo.From (track_info) helper.

	* src/Extensions/Banshee.Podcasting/Banshee.Podcasting.Gui/ColumnCellPodcast.cs:
	Don't dispose images after rendering them the first time.

	* src/Extensions/Banshee.Podcasting/Banshee.Podcasting.Gui/PodcastSourceContents.cs:
	Allow other DatabaseSources (eg PlaylistSources) to be used in this view.

	* src/Extensions/Banshee.Podcasting/Banshee.Podcasting.Data/PodcastSource.cs:
	Allow playlists, set Artwork and ExternalObject handlers, clean up, change
	to reflect PodcastTrackInfo changes, etc.

	* src/Extensions/Banshee.Podcasting/Banshee.Podcasting.Data/PodcastTrackListModel.cs:
	Subclass only to set add some default conditions/FROM tables, but no
	longer is a model for/returns PodcastTrackInfo objects.

	* src/Extensions/Banshee.Podcasting/Banshee.Podcasting.Data/PodcastFeedModel.cs:
	Change the reload fragment to work with playlists.

	* src/Core/Banshee.Services/Banshee.Sources/DatabaseSource.cs:
	* src/Extensions/Banshee.InternetRadio/Banshee.InternetRadio/InternetRadioSource.cs:
	New (overridable) DatabaseSource API for creating the TrackModel and
	default Filters for a DatabaseSource.  Child DatabaseSource objects use
	their parent's Create methods so that they get any customizations they
	might have (like Podcasts pulling in other tables/conditions).

	* src/Core/Banshee.Services/Banshee.Collection.Database/DatabaseTrackInfo.cs:
	Override ArtworkId and ExternalObject to use the PrimarySource's handlers,
	if any, to return these values.  Allows us to customize the ArtworkId for
	podcast episodes to be "podcast-$podcasttitle", for instance.

	* src/Core/Banshee.Services/Banshee.Collection.Database/DatabaseTrackListModel.cs:
	Allow overriding the default string of table names to select from.

	* src/Core/Banshee.Services/Banshee.Playlist/PlaylistSource.cs: Don't
	accept DnD input from the Play Queue (or any parentless
	non-PrimarySource).

	* src/Core/Banshee.Services/Banshee.Sources/PrimarySource.cs: Add
	ExternalObject and ArtworkId delegates that will change the default
	behavior for tracks within this source.

	* src/Core/Banshee.Core/Banshee.Collection/TrackInfo.cs: Add a static
	PlaybackFinished event that is fired after play/skip counts are
	incremented.  Used by PodcastTrackInfo to set the Item as not new once
	it's been played.  Add a default (returning null) implementation of
	ExternalObject property.

	* src/Libraries/Hyena/Hyena.Query/RelativeTimeSpanQueryValue.cs: Call
	DetermineFactor in the static helper so that the factor is set
	appropriately; wasn't called anymore after my recent fix to remember the
	unit the user entered.

	* src/Libraries/Hyena.Gui/Hyena.Data.Gui/ColumnCell.cs: Allow setting a
	sub-property, either with SubProperty = or by setting Property to a value
	containing a period.  So setting Property to "Foo.Bar" would call the Bar
	getter on the object returning from the Foo getter (called on the object
	bound to the cell, usually a DatabaseTrackInfo in Banshee).  This lets us
	have columns based on properties of, say, the TrackInfo#ExternalObject,
	which we do for Podcasts for Description, PublishedDate, etc.

	* src/Libraries/Hyena/Hyena.Collections/Selection.cs: Expose the
	RangeCollection in a protected getter.

	* src/Core/Banshee.Services/Banshee.Collection/SelectAllSelection.cs: Fix
	bug where we considered any selection of Count 2 that contained the 1st
	item to be 'all'.

2008-10-08  Aaron Bockover  <abock@gnome.org>

	* src/Clients/Beroe/Beroe/RemoteClient.cs: Updated for
	SimpleIndexerClient API changes

2008-10-08  Aaron Bockover  <abock@gnome.org>

	* src/Core/Banshee.Services/Banshee.Collection.Indexer/CollectionIndexerService.cs:
	* src/Core/Banshee.Services/Banshee.Collection.Indexer/ICollectionIndexerService.cs:
	Make time a long, since it's time_t

	* src/Core/Banshee.Services/Banshee.Collection.Indexer.RemoteHelper/SimpleIndexerClient.cs:
	Support getting available export fields, and setting which fields you
	want exported to you; abstract the HasCollectionChanged by adding
	CollectionCount and CollectionLastModified abstract members that make
	the API a little less confusing

2008-10-08  Aaron Bockover  <abock@gnome.org>

	* src/Clients/Beroe/Beroe/RemoteClient.cs: Whitespace; stupid MD

	* src/Core/Banshee.Services/Banshee.Collection.Indexer.RemoteHelper/SimpleIndexerClient.cs:
	More abstraction to make remote clients easier, but I'm mainly just
	playing around and seeing what sticks right now

	* src/Core/Banshee.Services/Banshee.Collection.Indexer/CollectionIndexer.cs:
	Add a lame temporary debug line

	* src/Core/Banshee.Services/Banshee.Collection.Indexer.RemoteHelper/IndexerClient.cs:
	Fix some raciness; I completely forgot that the remote Index call was
	async

2008-10-08  Aaron Bockover  <abock@gnome.org>

	* src/Core/Banshee.Services/Banshee.Collection.Indexer.RemoteHelper/SimpleIndexerClient.cs:
	Pulled out the implementation from the Beroe remote client example
	into a further encapsulation

	* src/Clients/Beroe/Beroe/RemoteClient.cs: Now extend the new
	SimpleIndexerClient

2008-10-08  Aaron Bockover  <abock@gnome.org>

	* src/Clients/Beroe/Beroe/RemoteClient.cs: Check for Shutdown when
	processing the index

2008-10-08  Aaron Bockover  <abock@gnome.org>

	* src/Core/Banshee.ThickClient/Banshee.Gui.TrackEditor/TrackEditorDialog.cs:
	Only click sync buttons when they are sensitive

	* src/Core/Banshee.ThickClient/Banshee.Gui.TrackEditor/BasicTrackDetailsPage.cs:
	Save the field slot for the track artist and pass it to the album
	artist field

	* src/Libraries/Hyena.Gui/Hyena.Widgets/PulsingButton.cs: Stop pulsing
	when the widget goes to the insensitive state

	* src/Core/Banshee.ThickClient/Banshee.Gui.TrackEditor/FieldPage.cs:
	Return the FieldSlot when adding a field

	* src/Core/Banshee.ThickClient/Banshee.Gui.TrackEditor/AlbumArtistEntry.cs:
	When the compilation button is checked, disable the sync button for
	the track artist; that is, if a selection sets album
	artist/compilation, track artist will no longer sync, since that
	would suck

2008-10-08  Aaron Bockover  <abock@gnome.org>

	* src/Core/Banshee.ThickClient/Banshee.Gui.TrackEditor/TextEntry.cs:
	* src/Core/Banshee.ThickClient/Banshee.Gui.TrackEditor/GenreEntry.cs:
	* src/Core/Banshee.ThickClient/Banshee.Gui.TrackEditor/EditorEditableUndoAdapter.cs:
	Updated to use the now generic EditableUndoAdapter

	* src/Core/Banshee.ThickClient/Banshee.Gui.TrackEditor/TextViewEntry.cs:
	Use the new TextViewEditable, implement ICanUndo

	* src/Libraries/Hyena.Gui/Hyena.Gui/EditableUndoAdapter.cs:
	* src/Libraries/Hyena.Gui/Hyena.Gui/EditableEraseAction.cs:
	* src/Libraries/Hyena.Gui/Hyena.Gui/EditableInsertAction.cs: Make
	generic, adapting widgets implementing Gtk.Editable instead of only
	against Gtk.Entry

	* src/Libraries/Hyena/Hyena/IUndoAction.cs: Whitespace

	* src/Libraries/Hyena.Gui/Hyena.Widgets/TextViewEditable.cs: A
	Gtk.TextView that implements Gtk.Editable

2008-10-08  Aaron Bockover  <abock@gnome.org>

	* src/Core/Banshee.ThickClient/Banshee.Gui.Widgets/LargeTrackInfoDisplay.cs:
	* src/Core/Banshee.ThickClient/Banshee.Gui.Widgets/ClassicTrackInfoDisplay.cs:
	Like I fixed for the ListView yesterday, do not recreate the pango
	layouts on each expose; this is a slight perf improvement, but mostly,
	it stops a huge leak (BGO #555365). Thanks to Michael Monreal for
	helping to track this one down!

	* src/Libraries/Hyena.Gui/Hyena.Gui/CairoExtensions.cs: Always create a
	new layout and return it instead of accepting it as a ref parameter;
	dispose the context after we request it from PangoCairoHelper

	* src/Libraries/Hyena.Gui/Hyena.Data.Gui/ListView/ListView_Rendering.cs:
	Updated to reflect API change of CairoExtensions.CreateLayout

	* src/Core/Banshee.ThickClient/Banshee.Gui.Widgets/TrackInfoDisplay.cs:
	Added a virtual OnThemeChanged to simplify things for sub classes so
	they don't have to worry about awkward logic often necessary with
	OnStyleSet

2008-10-08  Aaron Bockover  <abock@gnome.org>

	* src/Core/Banshee.Services/Banshee.Collection.Indexer/CollectionIndexer.cs:
	Add a missing lock, which was causing a crash+race

	* src/Clients/Beroe/Beroe/RemoteClient.cs: Add missing call to Index so
	we actually can get results from the server

2008-10-06  Aaron Bockover  <abock@gnome.org>

	* src/Libraries/Hyena.Gui/Hyena.Data.Gui/ListView/ListView_Rendering.cs:
	Do not re-create the layout on every expose; this fixes a pretty bad leak
	and possibly speeds up rendering

2008-10-06  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Core/Banshee.ThickClient/Banshee.Query.Gui/RatingQueryValueEntry.cs:
	Always show stars in the Rating widget shown in the smart playlist editor.

2008-10-06  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Libraries/Hyena/Hyena.csproj: Ref System.Xml

	* src/Libraries/Hyena/Hyena.Query/FileSizeQueryValue.cs:
	* src/Libraries/Hyena/Hyena.Query/RelativeTimeSpanQueryValue.cs:
	* src/Libraries/Hyena/Hyena.Query/TimeSpanQueryValue.cs:  Persist and read
	the factor to/from XML, so we remember if the user chose '45 days' and
	no longer turn it into 1.5 months the next time they edit a smart
	playlist (BGO #545887).

2008-10-06  Aaron Bockover  <abock@gnome.org>

	This commit finishes the port to using Cairo surface in almost all places
	where we do rendering, and adds a surface cache system for improving 
	performance in some places.

	* src/Core/Banshee.ThickClient/Banshee.Collection.Gui/ColumnCellAlbum.cs:
	* src/Extensions/Banshee.Podcasting/Banshee.Podcasting.Gui/ColumnCellPodcast.cs:
	Use the new surface methods from artwork manager to directly render
	surfaces as stored in the LRU cache

	* src/Core/Banshee.ThickClient/Banshee.Collection.Gui/ArtworkManager.cs:
	Implement a surface caching system that should help improve the rendering
	speed of the album browser. Tuned to never grow beyond 1MB of image data
	per cache.

	* src/Core/Banshee.ThickClient/Banshee.Collection.Gui/ArtworkRenderer.cs:
	Accept surfaces as input instead of pixbufs. Yay.

	* src/Core/Banshee.ThickClient/Banshee.Gui.Widgets/TrackInfoDisplay.cs:
	Port the beast to use cairo image surfaces directly intead of pixbufs,
	get rid of the surface cache hack

	* src/Core/Banshee.ThickClient/Banshee.Gui.Widgets/LargeTrackInfoDisplay.cs:
	Updated to reflect the surface changes in base class, cache the scene
	surfaces to avoid re-rendering on each pass (was cached before, but using
	a different mechanism)

	* src/Core/Banshee.ThickClient/Banshee.Gui.Widgets/ClassicTrackInfoDisplay.cs:
	* src/Clients/Muinshee/Muinshee/MuinsheeTrackInfoDisplay.cs:
	Updated to reflect surface changes in the base class
		
	* src/Libraries/Hyena/Hyena.Collections/LruCache.cs: Implement a somewhat
	lame generic LRU cache collection

	* src/Libraries/Hyena.Gui/Hyena.Gui/PixbufImageSurface.cs: Add a new 
	ctor that disposes the input pixbuf when done with it, nice for 
	inlining pixbuf->surface without temporary variables or leaking

	* src/Dap/Banshee.Dap.MassStorage/Banshee.Dap.MassStorage/MassStorageSource.cs:
	* src/Dap/Banshee.Dap.Mtp/Banshee.Dap.Mtp/MtpSource.cs:
	* src/Extensions/Banshee.NotificationArea/Banshee.NotificationArea/NotificationAreaService.cs:
	* src/Extensions/Banshee.Lastfm/Banshee.Lastfm.Radio/LastfmSourceContents.cs:
	* src/Core/Banshee.ThickClient/Banshee.Gui.TrackEditor/TrackEditorDialog.cs:
	Updated to reflect API rename in the artwork manager

2008-10-06  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Extensions/Banshee.Lastfm/Banshee.Lastfm.Radio/StationType.cs:
	Support for creating a station in the station dialog from a lastfm:// URL,
	based on a patch from Russ Smith, slightly modified by myself (BGO
	#554724).

2008-10-06  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Core/Banshee.ThickClient/Banshee.Gui.TrackEditor/GenreEntry.cs:
	Comment out Gtk+ 2.12 property (EntryCompletion#InlineSelection).

	* src/Core/Banshee.ThickClient/Banshee.Gui.TrackEditor/TextEntry.cs: Add
	another ctor to enable autocomplete.

	* src/Core/Banshee.ThickClient/Banshee.Gui.TrackEditor/BasicTrackDetailsPage.cs:
	* src/Core/Banshee.ThickClient/Banshee.Gui.TrackEditor/AlbumArtistEntry.cs:
	Use new TextEntry ctor to enable autocomplete for artist, album, and album
	artist (BGO #526014).

2008-10-06  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Core/Banshee.ThickClient/Banshee.Gui.TrackEditor/GenreEntry.cs:
	Implement IEditorField so that changes are noticed and saved (BGO
	#553555).  Also create/set an EntryCompletion so that autocomplete works.

2008-10-06  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Core/Banshee.Services/Banshee.Collection.Database/DatabaseTrackInfo.cs:
	Change way in which we mark the album or artist as changed (and therefore
	know to save it) to account for splitting the load-from-db properties out
	from the public properties used by the editor etc.  Fixes issue with the
	artist info not getting saved in the editor (BGO #555111).

2008-10-06  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Extensions/Banshee.CoverArt/Banshee.CoverArt/CoverArtJob.cs: When
	cancelled make the UserJob go away immediately (BGO #555197).

2008-10-05  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Clients/Nereid/Nereid/ViewContainer.cs: Change "All Columns" in the
	search menu to "Artist, Album, or Title" since it does in fact only search
	those columns, not all of them (BGO #555122).

	* src/Core/Banshee.Core/Banshee.Collection/TrackInfo.cs: Apply the same
	fix as before, suggested by Benoit Boissinot, if the disc_count is zero,
	don't do the trick where we return the DiscNumber

2008-10-03  Aaron Bockover  <abock@gnome.org>

	* src/Core/Banshee.ThickClient/Banshee.Collection.Gui/ArtworkManager.cs:
	Implement Surface lookup methods

	* src/Core/Banshee.ThickClient/Banshee.Gui.Widgets/LargeTrackInfoDisplay.cs:
	Use PixbufImageSurface

	* src/Libraries/Hyena.Gui/Hyena.Gui/CairoExtensions.cs: Use Paint instead 
	of Rectangle+Fill, slight perf improvement

	* src/Libraries/Hyena.Gui/Hyena.Gui/PixbufImageSurface.cs: A new Cairo 
	ImageSurface that directly blits pixel data from a GdkPixbuf; better than 
	using Gdk.CairoHelper since this does not require a context (direct 
	pixbuf->surface instead of pixbuf->(internal surface)->context->
	pattern->surface)

2008-10-03  Gabriel Burt  <gabriel.burt@gmail.com>

	This patch adds support for importing all white-listed file formats, even
	if TagLib# can't process them.  That includes mov, flv, mkv, divx, and
	more (BGO #524595).

	* src/Core/Banshee.ThickClient/Banshee.Library.Gui/FileImportSource.cs:
	Update to use new ExtensionSet class.

	* src/Core/Banshee.Services/Banshee.Collection.Database/DatabaseImportManager.cs:
	Use ExtensionSet class, move the IsWhiteListedFile check to the actual
	ImportTrack method because its public and we don't want API-consumers to
	be able to bypass the whitelist check.

	* src/Core/Banshee.Services/Banshee.Metadata.Embedded/EmbeddedQueryJob.cs:
	* src/Core/Banshee.Core/Banshee.Streaming/SaveTrackMetadataJob.cs:
	StreamTagger.ProcessUri will return null now if TagLib# can't process a
	file, instead of throwing an exception.  Adjust users of that method
	accordingly.

	* src/Core/Banshee.Core/Makefile.am:
	* src/Core/Banshee.Core/Banshee.Core.csproj:
	* src/Core/Banshee.Core/Banshee.IO/ExtensionSet.cs: New simple class that
	takes an array of strings/extensions and can tell you if a give file
	has one of the extensions in the set.

	* src/Core/Banshee.Core/Banshee.Streaming/StreamTagger.cs: Catch TagLib#'s
	exceptions in ProcessUri and return null.  Change MergeTrackInfo to accept
	a null TagLib.File argument, and use a ExtensionSet of several video
	extensions that might not work in taglib#, so we can properly mark such
	files as videos.

	* src/Libraries/Hyena.Gui/Hyena.Gui/GtkUtilities.cs: Change GetFileFilter
	helper to take an IEnumerable<string> intead of a string array.

2008-10-03  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Core/Banshee.ThickClient/Banshee.Gui.TrackEditor/ExtraTrackDetailsPage.cs:
	* src/Core/Banshee.ThickClient/Banshee.Gui.TrackEditor/BasicTrackDetailsPage.cs:
	Use ValueAsInt instead of casting Value.

	* src/Core/Banshee.ThickClient/Banshee.Gui.TrackEditor/RangeEntry.cs:
	* src/Core/Banshee.ThickClient/Banshee.Gui.TrackEditor/SpinButtonEntry.cs:
	Instead of listening for the Changed event on SpinButtons, listen for the
	ValueChanged.  Fixes issue with not saving any spin-entry values unless
	you clicked the up/down arrows (BGO #552698).

2008-10-03  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Dap/Banshee.Dap.MassStorage/Banshee.Dap.MassStorage/MassStorageSource.cs:
	Add TODO about writing metadata to the DAP file to make sure its
	MetadataHash will match that of the in-Library track when we load the DAP
	next time.

2008-10-03  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Extensions/Banshee.Daap/Banshee.Daap/DaapSource.cs: Add TODO to use
	transactions when loading tracks and use slightly better TrackCount method
	instead of accessing Tracks.Count twice.

	* src/Extensions/Banshee.Daap/Banshee.Daap/DaapTrackInfo.cs: Set BitRate
	as well.

	* src/Libraries/Hyena/Hyena.Data.Sqlite/HyenaSqliteConnection.cs: Add
	thoughts on how to fix the transaction bug so we can bring back the
	transaction methods.  Not going to do it now, too fundamental of a change
	too close to 1.4.

2008-10-03  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Dap/Banshee.Dap.Ipod/Banshee.Dap.Ipod/IpodTrackInfo.cs: Optimize
	cover art setting so that we only create a Pixbuf of the track's cover art
	if it's not already set.

	* src/Core/Banshee.ThickClient/Banshee.Gui.TrackEditor/BasicTrackDetailsPage.cs:
	Reconnect the height of the year label to the height of the album artist
	label, and make the minimum for the year entry 0 not 1000 so that for
	tracks without a year set, it shows up as 0 not 1000.

	* src/Core/Banshee.ThickClient/Banshee.Gui.TrackEditor/AlbumArtistEntry.cs:
	Expose the LabelWidget (the checkbox, actually) so the year label's height
	can be set off it.

2008-10-02  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Core/Banshee.ThickClient/Banshee.Gui.TrackEditor/FieldPage.cs: Don't
	assume a slot has a Label or a LabelClosure.

	* src/Core/Banshee.ThickClient/Banshee.Gui.TrackEditor/BasicTrackDetailsPage.cs: 
	Instead of creating the Is Compilation checkbox here and setting that as
	the label for Album Artist, move it and its logic into a dedicated
	AlbumArtistEntry widget.  Net effect is you can now sync the Is
	Compilation checkbox and the Album Artist value via the single sync
	button.

	* src/Core/Banshee.ThickClient/Makefile.am:
	* src/Core/Banshee.ThickClient/Banshee.ThickClient.csproj:
	* src/Core/Banshee.ThickClient/Banshee.Gui.TrackEditor/AlbumArtistEntry.cs:
	New editor widget that has a checkbox and a text entry.  Add tooltips to
	the checkbox and entry to explain what these values are.

	* src/Core/Banshee.Services/Banshee.Collection.Database/DatabaseTrackInfo.cs:
	Add *Field properties for actually loading/saving field values from/to the
	database - avoiding the checks and such that happen when you use the
	AlbumTitle et al setters.  Based on patch from Benoit Boissinot, remove
	the restrictions on setting the AlbumArtist based on IsCompilation to avoid
	race condition with whether the IsCompilation bool was set true before
	trying to set the AlbumArtist value (BGO #554723).

	* src/Core/Banshee.Core/Banshee.Collection/TrackInfo.cs: Also based on 
	the same patch from Benoit, is IsCompilation is false, in the AlbumArtist
	getter always return ArtistName, otherwise return the value of the album
	artist or Various Artists if its not set.

2008-10-02  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Core/Banshee.Core/Banshee.Collection/TrackInfo.cs: Patch from Benoit
	Boissinot. If the track_count is zero, don't do the trick where we return
	the TrackNumber (BGO #554720).

2008-10-02  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Libraries/Migo/Migo.Syndication/FeedUpdateTask.cs:
	* src/Libraries/Migo/Migo.TaskCore/Migo.TaskCore.Collections/TaskList.cs:
	Style fixes.

2008-10-01  Gabriel Burt  <gabriel.burt@gmail.com>

	This commit fixes jump-to-playing for podcasts and radio, avoids some
	hangs when loading playlists from the command line or Media menu.

	* src/Extensions/Banshee.Lastfm/Banshee.Lastfm.Radio/StationSource.cs:
	* src/Extensions/Banshee.PlayQueue/Banshee.PlayQueue/PlayQueueSource.cs:
	* src/Core/Banshee.Services/Banshee.PlaybackController/ICanonicalPlaybackController.cs:
	* src/Core/Banshee.Services/Banshee.PlaybackController/PlaybackControllerService.cs:
	* src/Core/Banshee.Services/Banshee.PlaybackController/IBasicPlaybackController.cs:
	Change the Next/Previos/First methods to return a bool saying whether they
	handled the action.  So sources can implement IBasicPlaybackController and
	return false if they want the normal controller to handle that action.

	* src/Extensions/Banshee.FileSystemQueue/Banshee.FileSystemQueue/FileSystemQueueSource.cs:
	* src/Core/Banshee.ThickClient/Banshee.Gui/GlobalActions.cs:
	Make sure playlist parsing (which could involved network access) is done
	not on the GUI thread.

	* src/Extensions/Banshee.Podcasting/Banshee.Podcasting/PodcastImageFetchJob.cs:
	Reload the whole source when done fetching podcast artwork.

	* src/Extensions/Banshee.Podcasting/Banshee.Podcasting.Gui/PodcastSourceContents.cs:
	* src/Extensions/Banshee.InternetRadio/Banshee.InternetRadio/InternetRadioSourceContents.cs:
	Implement ITrackModelSourceContents so jump-to-playing track works for
	podcasts and radio.

	* src/Extensions/Banshee.InternetRadio/Banshee.InternetRadio/InternetRadioSource.cs:
	Implement IBasicPlaybackController, and play the next/previous stream
	within the station (if any) when Next/Previous are called.

	* src/Core/Banshee.Services/Banshee.Playlists.Formats/PlaylistParser.cs:
	Add AssertNotInMainThread to help identify places we call this from the
	GUI thread.

	* src/Core/Banshee.Services/Banshee.Collection.Database/DatabaseTrackListModel.cs:
	In IndexOf method, if the track is a RadioTrackInfo, lookup the IndexOf
	its parent track, since RadioTrackInfo is a wrapper.

	* src/Core/Banshee.Services/Banshee.Streaming/RadioTrackInfo.cs: Add
	PlayPreviousStream method, and return whether able to play next/previous
	in those methods, so we can fall back on the normal playback controller if
	not.

2008-10-01  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Dap/Banshee.Dap.Mtp/Banshee.Dap.Mtp/MtpSource.cs: Use
	track.ArtworkId instead of explicitly calling CreateArtistAlbumId.

	* src/Core/Banshee.ThickClient/Banshee.Collection.Gui/ArtworkManager.cs:
	Remove unused override.

	* src/Core/Banshee.Services/Banshee.Metadata/MetadataService.cs: Don't
	lookup a track if its ArtworkId is null.

	* src/Core/Banshee.Services/Banshee.Collection.Database/DatabaseTrackInfo.cs:
	Don't set the AlbumArtist value if IsCompilation is false.

	* src/Core/Banshee.Core/Banshee.Base/CoverArtSpec.cs: Set null ArtworkId
	if either the artist or album is unknown (BGO #549320).

2008-10-01  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Core/Banshee.Services/Banshee.Metadata/MetadataServiceJob.cs: Factor
	out the save-to-temp-file-then-move logic into a method, SaveAtomically,
	that takes any input Stream and saves it to a file with that save
	strategy.

	* src/Core/Banshee.Services/Banshee.Metadata.Embedded/EmbeddedQueryJob.cs:
	If the file is already a JPG, save it directly as a JPG but using the new
	SaveAtomically method.  If it's not a JPG, save it with .cover extension
	as before.

	* src/Core/Banshee.Services/Banshee.Metadata.FileSystem/FileSystemQueryJob.cs:
	Look for PNG and BMP files too (BGO #547841), and save as .cover if not
	JPG, and use SaveAtomically method to avoid race.  Also, increase to 30
	the threshold number of files in a folder above which we don't take any
	image from it.

2008-10-01  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Clients/Nereid/Nereid/PlayerInterface.cs:
	* src/Core/Banshee.ThickClient/Banshee.Gui/BaseClientWindow.cs: Add stupid
	protected IntPtr ctors.

	* src/Dap/Banshee.Dap/Banshee.Dap/DapSource.cs: Set the transcoder
	ErrorHandler and add an entry to the ErrorSource when there is a transcode
	error.

	* src/Core/Banshee.Services/Banshee.MediaEngine/TranscoderService.cs:
	Instead of popping up a dialog with a transode error and cancelling all
	other queued transcodes, simply call the error handler for the track and
	move on.

2008-09-30  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Core/Banshee.ThickClient/Banshee.Collection.Gui/ArtworkManager.cs:
	We allow putting files with extension .cover in the ~/.cache/album-art
	folder, which means we should, on a later pass, cover them to jpeg if
	necessary.  That code path was broken, which also broke embedded cover art
	fetching because it always names the files it fetches with a .cover
	extension (BGO #388162).

2008-09-30  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Extensions/Banshee.Podcasting/Banshee.Podcasting/PodcastService.cs:
	Every 10 minutes refresh any podcasts that haven't been updated in over an
	hour (BGO #508418).

2008-09-30  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Dap/Banshee.Dap/Banshee.Dap/DapSync.cs: Ensure that the Sync happens
	not on the main thread.  If you changed the Automatic Sync option, it
	woudl trigger a sync immediately, but that sync was happening on the GUI
	thread.

	* src/Dap/Banshee.Dap/Banshee.Dap.Gui/DapActions.cs: DapSync takes care of
	threading now, remove SpawnFromMain call here.

	* src/Core/Banshee.Services/Banshee.Base/ThreadAssist.cs: Add helper
	method AssertNotInMainThread useful for debugging.

2008-09-29  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Dap/Banshee.Dap/Banshee.Dap/DapSource.cs: Add SupportsVideo and
	SupportsPodcast bools with protected setters so subclasses can turn off
	the Video and Podcast child sources.

	* src/Dap/Banshee.Dap.Ipod/Banshee.Dap.Ipod/IpodSource.cs: Only enable
	video support (syncing and the child source) for devices that support it.
	Also don't sync playlists to iPod shuffle devices.  Give feedback about
	out-of-space errors.

	* src/Dap/Banshee.Dap/Banshee.Dap/DapSync.cs: Don't show/sync video if not
	supported.  Sync Music library first.  Improve/fix auto-syncing when you
	change your libraries it should work better now.

	* src/Dap/Banshee.Dap/Banshee.Dap/DapLibrarySync.cs: Delete playlists if
	they end up having no tracks when put on the device.

2008-09-29  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Core/Banshee.ThickClient/Banshee.Collection.Gui/XmlColumnController.cs:
	Allow setting the LongTitle in the xml.

	* src/Extensions/Banshee.Podcasting/Banshee.Podcasting.Data/PodcastSource.cs:
	* src/Extensions/Banshee.InternetRadio/Banshee.InternetRadio/InternetRadioSource.cs:
	* src/Core/Banshee.Services/Banshee.Library/VideoLibrarySource.cs:
	Override the long-title too so that the column names in the context menu
	are changed appropriately.

2008-09-29  Aaron Bockover  <abock@gnome.org>

	* src/Core/Banshee.ThickClient/Banshee.MediaProfiles.Gui/ProfileComboBox.cs:
	Ensure that if there's a mimetype restriction filter and no profiles 
	exist to match that filter that the combo box becomes insensitive and
	displays 'no profiles'

	* src/Core/Banshee.ThickClient/Banshee.MediaProfiles.Gui/ProfileComboBoxConfigurable.cs:
	Do not show the profile description box if the combo is insensitive

	* src/Core/Banshee.Services/Banshee.MediaProfiles/MediaProfileManager.cs:
	When loading profile configurations, re-run the mimetype check to ensure
	that the profile is actually valid for the request

2008-09-29  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Core/Banshee.ThickClient/Banshee.Gui.TrackEditor/ExtraTrackDetailsPage.cs:
	Set some properties on the BPM spin entry - 3 chars max, 0 decimal digits,
	and numeric = true.  Also, it shouldn't be syncable.

	* src/Libraries/Hyena.Gui/Hyena.Data.Gui/ColumnCellText.cs: Comment out
	Gtk# 2.12-dependent features; only used in commented out tooltip code
	anyway.

2008-09-29  Aaron Bockover  <abock@gnome.org>

	* src/Clients/Beroe/Beroe/IndexerClient.cs: Log when the client has started

	* src/Clients/Beroe/Beroe/RemoteClient.cs: Stubbed out some more 
	example client indexer stuff
	
	* src/Core/Banshee.Services/Banshee.Collection.Indexer.RemoteHelper/IndexerClient.cs:
	Add a helper method for creating indexers; fix a small race bug

	* src/Core/Banshee.ThickClient/Banshee.Collection.Gui/ColumnCellLocation.cs:
	* src/Core/Banshee.ThickClient/Banshee.Collection.Gui/DefaultColumnController.cs:
	Added a new location cell to show local paths as paths and not URIs

2008-09-29  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Libraries/Hyena.Gui/Hyena.Data.Gui/ListView/ListView_Interaction.cs:
	Ignore 0169 warning.

2008-09-29  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Extensions/Banshee.Podcasting/Banshee.Podcasting.Data/PodcastTrackInfo.cs:
	Remove a bunch of old, commented-out code.

	* src/Libraries/Hyena.Gui/Hyena.Data.Gui/ColumnCellRating.cs:
	* src/Libraries/Hyena.Gui/Hyena.Data.Gui/IInteractiveCell.cs: Whitespace

	* src/Libraries/Hyena.Gui/Hyena.Data.Gui/ListView/ListView_Interaction.cs:
	Factor some useful bits out of ProxyEventToCell that can be reused for
	tooltip code.

	* src/Libraries/Hyena.Gui/Hyena.Data.Gui/ListView/ListView.cs: Implement
	tooltips for ListView for ellipsized ColumnCellText cells, but comment it
	out for now because there is a segfault bug in Gtk+ or Gtk# that rears its
	head once in a while.

	* src/Libraries/Hyena.Gui/Hyena.Data.Gui/ColumnCellText.cs: Add public
	UpdateText method and IsEllipsized and Text properties.

2008-09-26  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Core/Banshee.Widgets/Banshee.Widgets/SeekSlider.cs: We were calling
	base.OnButtonPressEvent instead of base.OnButtonReleaseEvent in our
	ButtonReleaseEvent override -- whoops!  Somehow this used to work with
	older Gtk#s, but no longer; anyway, fixed (BGO #536397).

2008-09-25  Gabriel Burt  <gabriel.burt@gmail.com>

	This patch adds a Description column to podcasts.

	* src/Extensions/Banshee.Podcasting/Banshee.Podcasting/PodcastService.cs:
	Fix newline removing migration (remove \r\n first then \n), and add a new
	migration to initialize the new Item.StrippedDescription property.

	* src/Extensions/Banshee.Podcasting/Banshee.Podcasting.Data/PodcastSource.cs:
	Add a Description column that is stripped of HTML and newlines and
	HtmlDecoded (BGO #503481).

	* src/Extensions/Banshee.Podcasting/Banshee.Podcasting.Data/PodcastTrackInfo.cs:
	Add a Description property, proxying the item.StrippedDescription.

	* src/Extensions/Banshee.Podcasting/Banshee.Podcasting.Data/PodcastTrackListModel.cs:
	Handle sorting by description.

	* src/Libraries/Hyena/Hyena/Tests/StringUtilTests.cs: Test the new
	RemoveHtml method.

	* src/Libraries/Hyena/Hyena/StringUtil.cs: Add RemoveHtml method, very
	simple, removes anything that looks like a tag, eg <*>.

	* src/Libraries/Hyena.Gui/Hyena.Data.Gui/ColumnHeaderCellText.cs:
	* src/Libraries/Hyena.Gui/Hyena.Data.Gui/ColumnCellText.cs: Move the
	clipping to the ColumnCellText itself so that all text columns get
	properly clipped (was an issue for very long descriptions).

	* src/Libraries/Migo/Migo.csproj: Reference System.Web.

	* src/Libraries/Migo/Migo.Syndication/FeedItem.cs: Add StrippedDescription
	property and UpdateStrippedDescription that handles removing the HTML and
	HtmlDecoding.

	* src/Libraries/Migo/Migo.Syndication/RssParser.cs: Call
	StringUtil.RemoveNewlines here when setting item and feed
	title/descriptions.

	* src/Libraries/Migo/Migo.Syndication/Feed.cs: The RemoveNewlines call is
	now done in RssParser.

2008-09-25  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Libraries/Mtp/Mtp/MtpDevice.cs: Prevent NRE (BGO #552428).

2008-09-25  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Extensions/Banshee.Podcasting/Makefile.am:
	* src/Extensions/Banshee.Podcasting/Banshee.Podcasting.csproj:
	* src/Extensions/Banshee.Podcasting/Banshee.Podcasting.Gui/ColumnCellYesNo.cs:
	New cell for bools that renders yes/no.

	* src/Extensions/Banshee.Podcasting/Banshee.Podcasting.Data/PodcastSource.cs:
	Get rid of old combined status column, and add downloaded and new columns
	that are sortable.

	* src/Extensions/Banshee.Podcasting/Banshee.Podcasting.Data/PodcastTrackListModel.cs:
	Implement sorting for IsNew/IsDownloaded.

	* src/Libraries/Hyena.Gui/Hyena.Data.Gui/ColumnCellText.cs: Whitespace.

2008-09-25  Marek Habersack  <mhabersack@novell.com>

	* src/Libraries/Migo/Migo.Syndication/MigoModelProvider.cs: newer
	versions of gmcs enforce ordering of 'where' constraints from less
	concrete to more concrete types (i.e. interface constraints must
	go last).

2008-09-25  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Dap/Banshee.Dap.Ipod/Banshee.Dap.Ipod/IpodSource.cs: Don't sync on
	eject if the device IsReadOnly, and consider the device to be readonly if
	the database isn't supported.

2008-09-24  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Extensions/Banshee.Podcasting/Banshee.Podcasting/PodcastService.cs:
	Run UPDATE queries against CoreTracks and PodcastItems to remove any
	newlines.

	* src/Libraries/Hyena/Hyena/Tests/StringUtilTests.cs:
	* src/Libraries/Hyena/Hyena/StringUtil.cs: Add and test new method for
	removing all newlines from a string.

	* src/Libraries/Migo/Migo.Syndication/Feed.cs: Remove newlines from title
	and description when setting them (BGO #550008).

2008-09-24  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Core/Banshee.ThickClient/Banshee.Gui.TrackEditor/TrackEditorDialog.cs:
	Fix another NRE.

2008-09-24  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Core/Banshee.Services/Banshee.Collection.Database/DatabaseTrackInfo.cs:
	Fix NRE (BGO #553665) when editing audio cd tracks.

2008-09-24  Bertrand Lorentz  <bertrand.lorentz@gmail.com>

	* src/Extensions/Banshee.Sample/Banshee.Sample/SampleSource.cs: Update
	the sample extension so that it compiles again (BGO #551860).

2008-09-24  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Backends/Banshee.Hal/Banshee.HalBackend/DeviceMediaCapabilities.cs:
	Catch exceptions thrown by managed dbus (BGO #551311).

2008-09-24  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Dap/Banshee.Dap/Banshee.Dap/DapSync.cs: Call OnUpdated when the
	auto-sync pref changes too.

2008-09-24  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Libraries/Hyena/Hyena/StringUtil.cs: Use the invariant culture to
	avoid invalid gconf keys (BGO #548144).

2008-09-24  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Extensions/Banshee.NowPlaying/Banshee.NowPlaying/FullscreenWindow.cs:
	* src/Clients/Nereid/Nereid/PlayerInterface.cs: Make F11 work to
	fullscreen/unfullscreen Banshee too (BGO #553440).

2008-09-24  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Dap/Banshee.Dap.Ipod/Banshee.Dap.Ipod/IpodSource.cs: Instead of
	calling QueueSync after every added or deleted track call it only in
	OnTracksAdded/Deleted and when not syncing.  Should fix bug with 'Syncing
	iPod' showing up every 10 songs (BGO #552543).  Shorten the timeout till
	the actual sync since we no longer rely on it being long enough we'll
	add/remove a song and push it back before it goes off.  Could probably get
	rid of it altogther.

	* src/Core/Banshee.Services/Banshee.Sources/Source.cs: Add
	AcceptsUserInputFromSource method that returns the same value as
	AcceptsInputFromSource.

	* src/Core/Banshee.Services/Banshee.Sources/DatabaseSource.cs: Override
	AccepsUserInputFromSource to base && CanAddTracks - which is set to false
	if the user shouldn't be able to drag tracks from a source to this one, if
	the destination is readonly, or a not-manually-managed dap, say.

	* src/Dap/Banshee.Dap/Banshee.Dap/RemovableSource.cs: Fix bug with sync
	not working because AcceptsInputFromSource was returning false because
	sync was enabled;  added another AcceptsUserInputFromSource that is used
	to turn on/off DnD from SourceView etc and that returns false still.

	* src/Dap/Banshee.Dap/Banshee.Dap/DapSource.cs: Make sure the file we're
	talking about transferring is exists.

	* src/Dap/Banshee.Dap/Banshee.Dap/DapLibrarySync.cs: Remove some logging.

	* src/Core/Banshee.ThickClient/Banshee.Gui.Widgets/UserJobTile.cs: Don't
	hide the Status label iff it's ever been set to non-null/empty to avoid
	the height of the tile changing rapidly in some cases.

	* src/Core/Banshee.ThickClient/Banshee.Sources.Gui/SourceView_DragAndDrop.cs:
	Use new AccepsUserInputFromSource method.

	* src/Core/Banshee.Services/Banshee.Collection.Database/DatabaseTrackInfo.cs:
	Avoid NRE that was caught but spewed a lot of logging.

	* src/Core/Banshee.Services/Banshee.Sources/PrimarySource.cs: Style fixes,
	and don't set the AddTrackJob status to empty between tracks because that
	causes a strange height-change flicker.

2008-09-24  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Clients/Nereid/Nereid/PlayerInterface.cs:
	* src/Clients/Nereid/Nereid/ViewContainer.cs: Change the order of some
	hides so that the footer widget is hidden before changing the main source
	contents widget.

	* src/Libraries/Hyena.Gui/Hyena.Widgets/RoundedFrame.cs: Fix bug with
	SizeRequest handler that caused the DapInfoBar and the Recommendations
	pane to not show up.

2008-09-24  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Core/Banshee.ThickClient/Banshee.Gui/BaseClientWindow.cs: Add a
	SetVisible method to allow explicitly setting the state, as opposed to
	relying on the Toggle logic, which breaks alt-f4 closing because
	apparently the window !IsActive when that's pressed (BNC #257350).

	* src/Extensions/Banshee.NotificationArea/Banshee.NotificationArea/NotificationAreaService.cs:
	Call SetVisible (false) explicitly from the CloseWindow method.

2008-09-23  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Dap/Banshee.Dap/Banshee.Dap/DapSync.cs: Update the sensitivities of
	the library sync prefs when the Manual Sync pref changes, and raise
	Updated when that happens too so that the Sync action is immediately
	hidden/shown (BGO #552654).

	* src/Core/Banshee.ThickClient/Banshee.Preferences.Gui/WidgetFactory.cs:
	Fix listening to changes on the Preference and setting the sensitivity and
	visibility of the widgets.

2008-09-23  Aaron Bockover  <abock@gnome.org>

	* src/Libraries/Hyena.Gui/Hyena.Gui/GtkUtilities.cs: Do nothing if the
	theme is null

2008-09-23  Aaron Bockover  <abock@gnome.org>

	* src/Libraries/Hyena.Gui/Hyena.Data.Gui/ListView/ListView_Windowing.cs:
	Removed the old Style override that didn't even work and caused theme
	change breakage

	* src/Libraries/Hyena.Gui/Hyena.Data.Gui/ListView/ListView_Rendering.cs:
	Use the new and working AdaptGtkRcStyle utility 

	* src/Libraries/Hyena.Gui/Hyena.Gui/GtkUtilities.cs: Implement
	AdaptGtkRcStyle utility to look up colors through GtkRc and adapt 
	them to a given widget

2008-09-23  Aaron Bockover  <abock@gnome.org>

	* src/Extensions/Banshee.PlayQueue/Banshee.PlayQueue/PlayQueueSource.cs:
	Implement IPlayQueue

	* src/Extensions/Banshee.PlayQueue/Banshee.PlayQueue/IPlayQueue.cs:
	Basic interface for adding files that are already in the library to the
	play queue

	* src/Core/Banshee.Services/Banshee.Sources/SourceManager.cs: Implement
	IDBusExportable and automatically register and unregister sources on the
	bus that implement IDBusExportable as well

2008-09-23  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Libraries/Mtp/Mtp/Folder.cs:
	* src/Libraries/Mtp/Mtp/Album.cs:
	* src/Libraries/Mtp/Mtp/Track.cs: Patch from Salah Coronya adding support
	for libmtp >= 0.3.0 (aka libmtp8).  Modified by myself to #if/else the
	patch out if building against older versions of libmtp - so still
	compatible with libmtp >= 0.2.0 (BGO #542117).

	* src/Libraries/Mtp/Makefile.am: Set the define appropriately based on the
	version of libmtp we're building against.

	* build/m4/banshee/dap-mtp.m4: Allow libmtp >= 0.30.

	* build/build.rules.mk: Pass the BUILD_DEFINES variable to the actual
	build command, so assemblies can define things to #if around.

2008-09-23  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Core/Banshee.Services/Banshee.Metadata.FileSystem/FileSystemQueryJob.cs:
	Log a message when we ignore cover art in folders b/c too many files in
	the folder.

2008-09-23  Aaron Bockover  <abock@gnome.org>

	* src/Extensions/Banshee.AudioCd/Banshee.AudioCd/AudioCdDiscModel.cs:
	Add a method for raising the reloaded event, NotifyUpdated

	* src/Extensions/Banshee.AudioCd/Banshee.AudioCd/AudioCdSource.cs:
	Call NotifyUpdated on the model, not OnUpdated on the source; fixes the 
	redrawing when locking/unlocking tracks for playback during the rip 

	* src/Extensions/Banshee.AudioCd/Banshee.AudioCd/AudioCdRipper.cs: Do not 
	show the rip speed factor (e.g. 15x) until it has settled to an appropriate
	value, somewhere between 1x and 200x

	* src/Backends/Banshee.GStreamer/Banshee.GStreamer/AudioCdRipper.cs: Load
	either the Vorbis or FLAC audio profiles if there is no configured rip
	profile and set the active profile in this case; this fixes the bug where
	ripping a CD is not possible unless the user first chooses/changes the
	ripping profile in the preferences dialog (BGO #528621)

2008-09-22  Aaron Bockover  <abock@gnome.org>

	Banshee 1.3.1 Released

2008-09-22  Aaron Bockover  <abock@gnome.org>

	* src/Extensions/Banshee.AudioCd/Banshee.AudioCd/AudioCdDiscModel.cs:
	Compute the PCM file size for each track, set it on AudioCdTrackInfo, 
	and aggregate these values into a disc size

	* src/Extensions/Banshee.AudioCd/Banshee.AudioCd/AudioCdSource.cs: 
	Implement IFileSizeAggregator and report the disc size

	* src/Core/Banshee.ThickClient/Banshee.Gui.TrackEditor/EditorTrackInfo.cs:
	Only dump the taglib read exception if the URI scheme is file

	* src/Core/Banshee.ThickClient/Banshee.Gui.TrackEditor/TrackEditorDialog.cs:
	Show either an Editor or Properties title based on the editor mode

2008-09-22  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Extensions/Banshee.AudioCd/Banshee.AudioCd/AudioCdSource.cs:
	Override HasViewable/EditableTrackProperties to true so can finally edit
	audio CD track information again before ripping (BGO #532467).

	* src/Core/Banshee.ThickClient/Banshee.Gui/TrackActions.cs: Don't require
	the source to have a DatabaseTrackListModel to view/edit props

2008-09-22  Aaron Bockover  <abock@gnome.org>

	* src/Libraries/Hyena.Gui/Hyena.Data.Gui/ListView/ListView_Rendering.cs:
	Only draw the header separator if the column can be resized, or a previous
	header separator has already been drawn - this allows leading columns
	to appear as one column

2008-09-22  Aaron Bockover  <abock@gnome.org>

	* src/Extensions/Banshee.InternetRadio/Banshee.InternetRadio/InternetRadioSource.cs:
	Disable viewing read only properties

	* src/Core/Banshee.ThickClient/Banshee.Gui/TrackActions.cs: 
	* src/Core/Banshee.ThickClient/Resources/core-ui-actions-layout.xml:
	Support read only and editable property items

	* src/Core/Banshee.Services/Banshee.Sources/Source.cs: Added 
	HasViewableTrackProperties and HasEditableTrackProperties items, defaulting
	to false

	* src/Core/Banshee.Services/Banshee.Sources/DatabaseSource.cs: Override
	the new properties above to be true

	* src/Core/Banshee.Services/Banshee.Query/BansheeQuery.cs: Renamed
	Title to Name

2008-09-20  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Extensions/Banshee.MediaWeb/Banshee.MediaWeb/MediaWebSource.cs:
	* src/Extensions/Banshee.MediaWeb/Banshee.MediaWeb/MediaWebView.cs: Add
	debugging, and send to hulu not miroguide.com b/c the later doensn't work
	atm due to SSL certs.

	* configure.ac: Echo any manually-enabled unstable/unfinished features.

	* src/Extensions/Banshee.Podcasting/Banshee.Podcasting.Gui/DownloadManager/DownloadUserJob.cs:
	Currently transferring => Transferring

2008-09-19  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Libraries/Hyena.Gui/Hyena.Data.Gui/ListView/ListView_Header.cs:
	* src/Libraries/Hyena.Gui/Hyena.Data.Gui/ListView/ListView_Interaction.cs:
	Fix bug I introduced the other day with not being able to DnD more than
	one track because all but the pointed-to track would get unselected when
	you tried to drag (BGO #552715).

2008-09-19  Bertrand Lorentz  <bertrand.lorentz@gmail.com>

	* src/Core/Banshee.ThickClient/Banshee.Gui/GlobalActions.cs: Patch from
	Michael Monreal to make the help menu HIG compliant (BGO #552700).

2008-09-18  Aaron Bockover  <abock@gnome.org>

	* src/Libraries/Hyena.Gui/Hyena.Data.Gui/ListView/ListView_Header.cs: Use
	the foreground selected color from the menu item, not the label

2008-09-18  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Core/Banshee.ThickClient/Banshee.ThickClient.csproj:
	* src/Core/Banshee.ThickClient/Makefile.am:
	* src/Core/Banshee.ThickClient/Banshee.Collection.Gui/ColumnCellTrackAndCount.cs:
	* src/Core/Banshee.ThickClient/Banshee.Collection.Gui/ColumnCellDiscAndCount.cs:
	New classes for N of M columns for track/disc #/count.

	* src/Core/Banshee.ThickClient/Banshee.Collection.Gui/DefaultColumnController.cs:
	Make the track # column have no title in its header, and get rid of the
	disc/track count and disc # columns, replacing them with two new ones from
	the new classes.

	* src/Core/Banshee.Services/Banshee.Query/BansheeQuery.cs: Rename
	DiscField to DiscNumberField, and sort the disc sort-key similar to how
	track# is sorted.

	* src/Libraries/Hyena.Gui/Hyena.Data.Gui/Column.cs: Allow setting the Id.

	* src/Libraries/Hyena.Gui/Hyena.Data.Gui/ColumnCellText.cs: Allow setting
	the min/max strings directly.  Used by two new columns to avoid creating
	TrackInfo objects just to set the min/max strings.

2008-09-18  Aaron Bockover  <abock@gnome.org>

	* src/Libraries/Hyena.Gui/Hyena.Data.Gui/ListView/ListView_Header.cs:
	Fix math for choosing the number of rows to influence the number of
	columns for aesthetic column menu

2008-09-18  Aaron Bockover  <abock@gnome.org>

	* src/Libraries/Hyena.Gui/Hyena.Data.Gui/ListView/ListView_Header.cs:
	Force the foreground color of embedded menu labels in the prelight state
	to use the foreground color from the selected state (BGO #524897)

2008-09-18  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Libraries/Hyena/Hyena.Data/ColumnDescription.cs: Add a LongTitle
	property.

	* src/Core/Banshee.ThickClient/Banshee.Collection.Gui/DefaultColumnController.cs:
	Use the QueryField.ShortLabel in the ColumnDescription for the Title, and
	set the LongTitle to the field's Label property.

	* src/Libraries/Hyena.Gui/Hyena.Data.Gui/ListView/ListView_Header.cs: Use
	the LongTitle in the menus.

2008-09-18  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Extensions/Banshee.Podcasting/Banshee.Podcasting.Gui/ColumnCellPublished.cs:
	Use the new SetMinMaxStrings method in ColumnCellText to define the
	min/max widths for these columns.

	* src/Extensions/Banshee.Podcasting/Banshee.Podcasting.Gui/ColumnCellUnheard.cs:
	* src/Extensions/Banshee.Podcasting/Banshee.Podcasting.Gui/ColumnCellDownloadStatus.cs:
	* src/Core/Banshee.ThickClient/Banshee.Collection.Gui/ColumnCellQueryText.cs:
	* src/Core/Banshee.ThickClient/Banshee.Collection.Gui/ColumnCellDateTime.cs:
	Update to new ColumnCellText API, replacing the Text property with a
	GetText method so we can get the text for any arbitrary object (the
	min/max strings, for example) instead of just the bound object.

	* src/Core/Banshee.Services/Banshee.Query/BansheeQuery.cs: Add ShortLabels
	for a few fields, and make sorting by Grouping the same as sorting by
	track.

	* src/Libraries/Hyena/Hyena.Query/QueryField.cs: Add a ShortLabel property
	that default to the value of Label.

	* src/Core/Banshee.ThickClient/Banshee.Collection.Gui/XmlColumnController.cs:
	Only set the min/max widths if they were actually specified in the XML.

	* src/Core/Banshee.ThickClient/Banshee.Collection.Gui/ColumnCellFileSize.cs:
	* src/Core/Banshee.ThickClient/Banshee.Collection.Gui/ColumnCellTrackNumber.cs:
	* src/Core/Banshee.ThickClient/Banshee.Collection.Gui/ColumnCellPositiveInt.cs:
	* src/Core/Banshee.ThickClient/Banshee.Collection.Gui/ColumnCellDuration.cs:
	Use the new SetMinMaxStrings method and change to the new GetText method.

	* src/Core/Banshee.ThickClient/Banshee.Collection.Gui/DefaultColumnController.cs:
	Set the Uri column to ellipsize in the middle of the string, and change
	the ColumnCellPositiveInt columns to use its new ctor to specify the
	min/max number of digits (eg always 4 for Year).  Use the QueryFields'
	ShortLabel property for the column Title.

	* src/Libraries/Hyena.Gui/Hyena.Data.Gui/ColumnHeaderCellText.cs: Add
	static GetArrowWidth method and get rid of MinWidth property.

	* src/Libraries/Hyena.Gui/Hyena.Data.Gui/ISizeRequestCell.cs: Replace
	GetSize method with GetWidthRange.

	* src/Libraries/Hyena.Gui/Hyena.Data.Gui/Column.cs: Add CalculateWidths
	method that is passed a Pango.Layout so we can calculate an accurate
	Min/Max width for a column

	* src/Libraries/Hyena.Gui/Hyena.Data.Gui/IHeaderCell.cs: Get rid of
	MinWidth property.

	* src/Libraries/Hyena.Gui/Hyena.Data.Gui/ListView/ListView_Header.cs: Call
	column.CalculateWidths before accessing the Min/MaxWidth properties.  When
	resizing a column, don't let it be resized bigger than the MaxWidth.

	* src/Libraries/Hyena.Gui/Hyena.Data.Gui/ListView/ListView_Interaction.cs:
	Handle escape key to stop column moving/DnD.  Reorder conditional to avoid
	iterating over all columns to see if there is a resizable column at the x
	position every time MotionEvent is fired - no need to do that unless the
	motion was inside the header. 

	* src/Libraries/Hyena.Gui/Hyena.Data.Gui/ColumnCellText.cs: Replace Text
	property that returned the BoundObject with a GetText method that takes
	any object.  Add protected SetMinMaxStrings method that subclasses can
	use to specify objects, which are converted to strings using GetText and
	then their width retrieved using the Pango.Layout passed to GetWidthRange.

	* src/Libraries/Hyena.Gui/Hyena.Data.Gui/ColumnCellRating.cs: Set the Xpad
	to 0 - there previously was too much padding on the left/right.  And
	replace GetSize and GetWidthRange.

	* src/Libraries/Hyena.Gui/Hyena.Data.Gui/ColumnCellCheckBox.cs: Replace
	GetSize with GetWidthRange.

2008-09-18  Aaron Bockover  <abock@gnome.org>

	* src/Libraries/Hyena.Gui/Hyena.Data.Gui/ListView/ListView_Header.cs:
	Break the column menu into multiple columns so it's easier to read and
	navigate, hopefully avoiding crappy menu scrolling in GTK; make the
	hide menu item have an icon and italicize the column name

2008-09-18  Aaron Bockover  <abock@gnome.org>

	* src/Core/Banshee.Widgets/Banshee.Widgets/LinkLabel.cs: Implement
	proper size allocation and requisitioning, read the focus style properties
	from a GtkCheckButton on style set, and properly render the checkbutton
	focus style; fixes spacing/padding/theme issues with focus (was the 
	button style before, at the wrong offset/padding)

2008-09-18  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Extensions/Banshee.NowPlaying/Banshee.NowPlaying/FullscreenWindow.cs:
	Fix bug with not resetting the SkipTaskBar/Pager properties when the
	fullscreen window is hidden (BGO #546866).

2008-09-18  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Core/Banshee.ThickClient/Banshee.Gui.Widgets/LargeTrackInfoDisplay.cs:
	Fix System.ArgumentOutOfRangeException (BGO #552820).

2008-09-17  Aaron Bockover  <abock@gnome.org>

	* src/Core/Banshee.ThickClient/Banshee.Gui/TrackActions.cs: Removed
	commented out invocation of the old editor

	* src/Core/Banshee.ThickClient/Banshee.Gui.Dialogs/TrackEditor.cs:
	Removed the old editor implementation

	* src/Core/Banshee.ThickClient/Resources/banshee-dialogs.glade: Removed
	the old track editor and the obsolete/legacy burner options dialogs

2008-09-17  Aaron Bockover  <abock@gnome.org>

	* src/Core/Banshee.ThickClient/Banshee.Gui.TrackEditor/TrackEditorDialog.cs:
	Iterate over all ICanUndo's and disconnect/connect the adapters when
	loading new tracks; factored out the ForeachSyncButton methods into
	a generic ForeachWidget method taking a generic closure

	* src/Core/Banshee.ThickClient/Banshee.Gui.TrackEditor/EditorEntryUndoAdapter.cs:
	Implement a one-to-many adapter for entry undo adapters; this allows entry
	undo adapters to be adapted on a per-track basis to each editor field

	* src/Core/Banshee.ThickClient/Banshee.Gui.TrackEditor/ICanUndo.cs: 
	Interface for fields that support undo/redo

	* src/Core/Banshee.ThickClient/Banshee.Gui.TrackEditor/GenreEntry.cs:
	* src/Core/Banshee.ThickClient/Banshee.Gui.TrackEditor/TitleEntry.cs:
	* src/Core/Banshee.ThickClient/Banshee.Gui.TrackEditor/TextEntry.cs:
	Implement ICanUndo by way of EditorEntryUndoAdapter

	* src/Libraries/Hyena.Gui/Hyena.Gui/EntryUndoAdapter.cs: Added 
	Connect and Disconnect methods so multiple adapters can listen on the
	same widget

2008-09-17  Aaron Bockover  <abock@gnome.org>

	* src/Core/Banshee.ThickClient/Banshee.Gui.TrackEditor/FieldPage.cs:
	Set the Changed property on the current track in the Changed event
	
	* src/Core/Banshee.ThickClient/Banshee.Gui.TrackEditor/EditorTrackInfo.cs:
	Added a Changed property

	* src/Core/Banshee.ThickClient/Banshee.Gui.TrackEditor/TrackEditorDialog.cs:
	Implemented saving finally, it should work. Test it. File bugs. Made the
	message in the confirm cancel dialog slicker by showing the number of
	changed out of the total tracks

2008-09-17  Aaron Bockover  <abock@gnome.org>

	* src/Core/Banshee.ThickClient/Banshee.Collection.Gui/ColumnCellDuration.cs:
	Use the new static override in DurationStatusFormatters

	* src/Core/Banshee.ThickClient/Banshee.Gui.TrackEditor/FieldPage.cs:
	Implement Changed event, raise when fields actually change

	* src/Core/Banshee.ThickClient/Banshee.Gui.TrackEditor/ITrackEditorPage.cs:
	Add Changed event

	* src/Core/Banshee.ThickClient/Banshee.Gui.TrackEditor/HelpPage.cs:
	* src/Core/Banshee.ThickClient/Banshee.Gui.TrackEditor/StatisticsPage.cs:
	Implement Change event, do not raise, because um, nothing is editable here

	* src/Core/Banshee.ThickClient/Banshee.Gui.TrackEditor/TrackEditorDialog.cs:
	Open a confirmation dialog when the user tries to cancel and has made
	changes

	* src/Core/Banshee.Services/Banshee.Sources/DurationStatusFormatters.cs:
	Added a new duration formatter, ApproximateVerboseFormatter and added
	overrides that do not require a StringBuilder

	* src/Core/Banshee.Widgets/Banshee.Widgets/HigMessageDialog.cs: Expose
	MessageLabel so it can be edited after the fact

2008-09-17  Aaron Bockover  <abock@gnome.org>

	* src/Core/Banshee.ThickClient/Banshee.Gui.TrackEditor/TrackEditorDialog.cs:
	Added logic to make focus and prelight play nice when doing the pulsing

2008-09-16  Aaron Bockover  <abock@gnome.org>

	* src/Libraries/Hyena.Gui/Hyena.Gui.Theatrics/Pulsator.cs: Added a 
	Stopping property

2008-09-16  Aaron Bockover  <abock@gnome.org>

	* src/Core/Banshee.ThickClient/Banshee.Gui.TrackEditor/TrackEditorDialog.cs:
	When the mouse is over the sync all button, tell all the other sync
	buttons to start pulsing

	* src/Core/Banshee.ThickClient/Banshee.Gui.TrackEditor/SyncButton.cs:
	Extend PulsingButton instead of Button

	* src/Libraries/Hyena.Gui/Hyena.Widgets/PulsingButton.cs: New button that
	pulses, it's hot

	* src/Libraries/Hyena.Gui/Hyena.Gui.Theatrics/Tests/ChoreographerTests.cs:
	Unit tests for the choreographer compositions

	* src/Libraries/Hyena.Gui/Hyena.Gui.Theatrics/Choreographer.cs: Factored
	out the scaling and pixel rounded from the core compose functions into
	separate methods

	* src/Libraries/Hyena.Gui/Hyena.Gui.Theatrics/Pulsator.cs: Small Actor<T>
	wrapper that implements pulsing logic

	* src/Core/Banshee.ThickClient/Banshee.Gui.Widgets/UserJobTileHost.cs:
	* src/Libraries/Hyena.Gui/Hyena.Widgets/AnimatedWidget.cs:
	* src/Libraries/Hyena.Gui/Hyena.Widgets/AnimatedBox.cs: Updated for
	API changes in Choreographer

2008-09-16  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Extensions/Banshee.Podcasting/Banshee.Podcasting.Gui/Models/ListModel.cs:
	* src/Extensions/Banshee.Podcasting/Banshee.Podcasting.Gui/Models/FilterableListModel.cs:
	Comment out unused classes; should probably be removed.

	* src/Extensions/Banshee.Daap/Banshee.Daap/DaapPlaylistSource.cs:
	* src/Dap/Banshee.Dap.MassStorage/Banshee.Dap.MassStorage/MassStorageSource.cs:
	* src/Dap/Banshee.Dap.Ipod/Banshee.Dap.Ipod/IpodSource.cs:
	* src/Dap/Banshee.Dap.Mtp/Banshee.Dap.Mtp/MtpSource.cs:
	* src/Dap/Banshee.Dap/Banshee.Dap/MediaGroupSource.cs:
	* src/Dap/Banshee.Dap/Banshee.Dap/DapSync.cs:
	* src/Dap/Banshee.Dap/Banshee.Dap/DapLibrarySync.cs:
	* src/Core/Banshee.ThickClient/Banshee.Gui/SourceActions.cs:
	* src/Core/Banshee.ThickClient/Banshee.Gui/TrackActions.cs:
	* src/Core/Banshee.ThickClient/Banshee.SmartPlaylist.Gui/Editor.cs:
	* src/Core/Banshee.ThickClient/Banshee.Sources.Gui/SourceView.cs:
	* src/Core/Banshee.ThickClient/Banshee.Sources.Gui/SourceView_DragAndDrop.cs:
	* src/Core/Banshee.Services/Banshee.Playlist/PlaylistFileUtil.cs:
	* src/Core/Banshee.Services/Banshee.Playlist/AbstractPlaylistSource.cs:
	* src/Core/Banshee.Services/Banshee.Sources/DatabaseSource.cs:
	* src/Core/Banshee.Services/Banshee.Sources/PrimarySource.cs:
	* src/Core/Banshee.Services/Banshee.SmartPlaylist/SmartPlaylistDefinition.cs:
	* src/Core/Banshee.Services/Banshee.SmartPlaylist/SmartPlaylistSource.cs:
	Update to use new DatabaseSource ctor that takes a PrimarySource, not its DbId.

	* src/Extensions/Banshee.PlayQueue/Banshee.PlayQueue/PlayQueueSource.cs:
	* src/Core/Banshee.Services/Banshee.Playlist/PlaylistSource.cs:
	Use new ctor, and explicitly set TrackModel.CanReorder to true.

	* src/Core/Banshee.ThickClient/Banshee.Collection.Gui/PersistentColumnController.cs:
	Persist on a per-source basis the sort column/direction (BGO #524656).

	* src/Core/Banshee.ThickClient/Banshee.Collection.Gui/BaseTrackListView.cs:
	Set IsEverReordereable to true; but whether the TrackList is actually
	reorderable also depends on the IsReorderable property, which is set
	automatically if the SortColumn's SortType is None (BGO #551969).

	* src/Core/Banshee.Services/Banshee.Collection.Database/DatabaseTrackListModel.cs:
	Added logic to ignore Sort requests if we already are sorted by the
	current key/direction.  Also, return true/false based on whether a new
	sort was applied (and therefore the model should be Reloaded).  Move the
	logic that iterates through None/Asc/Desc and that sets the initial
	direction to Asc when sorting by a different column into the ListView.

	* src/Core/Banshee.Services/Banshee.Sources/Source.cs: Rename
	ConfigurationId property to ParentConfigurationId, and add a new
	ConfigurationId property that is actually unique to this source.

	* src/Core/Banshee.Services/Banshee.Sources/ErrorSource.cs:
	* src/Core/Banshee.Services/Banshee.Collection/BansheeListModel.cs:
	* src/Libraries/Hyena/Hyena.Data/IListModel.cs:
	* src/Libraries/Hyena.Gui/Hyena.Data.Gui/ListViewTestModule.cs:
	Add CanReorder property.

	* src/Core/Banshee.Services/Banshee.Library/VideoLibrarySource.cs: Remove
	some more columns from the default (music) column list, and set a default
	sort-column.

	* src/Backends/Banshee.Gnome/Banshee.GnomeBackend/GConfConfigurationClient.cs:
	Replace / chars in the namespace with _ for .-separated keys.

	* src/Libraries/Hyena/Hyena.Data/ISortable.cs: Change Sort to return bool.

	* src/Libraries/Hyena/Hyena.Data/ISortableColumn.cs: Add Id getter.

	* src/Libraries/Hyena.Gui/Hyena.Data.Gui/ColumnController.cs: Add
	SortColumn property, used to get access to the currently-sorted-by column.

	* src/Libraries/Hyena.Gui/Hyena.Data.Gui/ListView/ListView_DragAndDrop.cs:
	Replace Reorderable property into IsReorderable and IsEverReorderable,
	both of which must be set to true for the ListView to turn be a drag
	source/drop dest (overridable as before w/ the Force* properties).

	* src/Libraries/Hyena.Gui/Hyena.Data.Gui/ListView/ListView_Rendering.cs:
	Reorderable renamed to IsReorderable.

	* src/Libraries/Hyena.Gui/Hyena.Data.Gui/ListView/ListView_Interaction.cs:
	Moved the logic for iterating through None/Asc/Desc here from
	DatabaseTrackListModel.cs.

	* src/Libraries/Hyena.Gui/Hyena.Data.Gui/ListView/ListView_Model.cs: When
	setting the ListView's model, update the sort column, since it is
	remembered on a per-source basis now.

2008-09-15  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Core/Banshee.ThickClient/Banshee.Gui/BaseClientWindow.cs: Change the
	ToggleVisibility method to Present the window if the window is minimized,
	hidden in the tray, or simply not the focused window.  Iff it is the
	active window, hide it (BGO #551916).

2008-09-15  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Libraries/Hyena.Gui/Hyena.Data.Gui/ListView/ListView_Interaction.cs:
	Allow shrinking selections with the shift-key pressed (BGO #535561).

2008-09-15  Aaron Bockover  <abock@gnome.org>

	* src/Core/Banshee.ThickClient/Banshee.Gui/TrackActions.cs: Use the
	new editor, even though I still haven't finished implementing save

	* src/Core/Banshee.ThickClient/Banshee.Gui.TrackEditor/FieldPage.cs:
	Support setting a tooltip on the sync buttons

	* src/Core/Banshee.ThickClient/Banshee.Gui.TrackEditor/StatisticsPage.cs:
	Fix a crasher/NRE

	* src/Core/Banshee.ThickClient/Banshee.Gui.TrackEditor/TrackEditorDialog.cs:
	* src/Core/Banshee.ThickClient/Banshee.Gui.TrackEditor/BasicTrackDetailsPage.cs:
	* src/Core/Banshee.ThickClient/Banshee.Gui.TrackEditor/ExtraTrackDetailsPage.cs:
	Add tooltips

2008-09-15  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Libraries/Hyena.Gui/Hyena.Data.Gui/ListView/ListView_Model.cs: Bring
	back logic that scrolls to the first selected item when the view is
	refreshed unless it's already in the view (BGO #551970).

2008-09-15  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Extensions/Banshee.Podcasting/Banshee.Podcasting.Gui/PodcastSourceContents.cs:
	* src/Core/Banshee.ThickClient/Banshee.Sources.Gui/CompositeTrackSourceContents.cs:
	* src/Core/Banshee.ThickClient/Banshee.Sources.Gui/FilteredListSourceContents.cs:
	* src/Core/Banshee.Services/Banshee.Collection.Database/DatabaseFilterListModel.cs:
	* src/Core/Banshee.Services/Banshee.Collection.Database/DatabaseTrackListModel.cs:
	* src/Core/Banshee.Services/Banshee.Sources/DatabaseSource.cs:
	* src/Core/Banshee.Services/Banshee.Collection/IFilterListModel.cs:
	* src/Core/Banshee.Services/Banshee.Collection/FilterListModel.cs:
	* src/Libraries/Hyena.Gui/Hyena.Data.Gui/ListView/ListView_Model.cs: Fix
	issue with the ListViews getting scrolled to the top of the list every
	time you switched sources.

2008-09-15  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Extensions/Banshee.Lastfm/Banshee.Lastfm.Radio/StationEditor.cs:
	Apply the translation domain fix here too.

	* src/Core/Banshee.Core/Banshee.I18n/Catalog.cs: Add a note about the
	hardcoded "banshee" for if/when we use this class.

2008-09-15  Bertrand Lorentz  <bertrand.lorentz@gmail.com>

	* src/Core/Banshee.ThickClient/Banshee.Gui.Dialogs/GladeWindow.cs: Set
	the proper translation domain when loading glade XML files (BGO #536268).

2008-09-15  Aaron Bockover  <abock@gnome.org>

	* src/Clients/Beroe/Beroe/IndexerClient.cs: Call ForceShutdown on the
	collection indexer service after 2.5 seconds to kick off anyone that
	did not respect the CleanupAndShutdown signal

	* src/Core/Banshee.Services/Banshee.Collection.Indexer/CollectionIndexerService.cs:
	Implemented a ForceShutdown method

2008-09-15  Aaron Bockover  <abock@gnome.org>

	* src/Clients/Beroe/Beroe/RemoteClient.cs: Turn debugging on

	* src/Core/Banshee.Services/Banshee.Collection.Indexer.RemoteHelper/IndexerClient.cs:
	Add debug messages

	* src/Core/Banshee.Services/Banshee.Collection.Indexer/CollectionIndexerService.cs:
	* src/Core/Banshee.Services/Banshee.Collection.Indexer/ICollectionIndexer.cs:
	* src/Core/Banshee.Services/Banshee.Collection.Indexer/ICollectionIndexerService.cs:
	* src/Core/Banshee.Services/Banshee.Collection.Indexer/CollectionIndexer.cs:
	Moved internal interfaces from the DBus interface to the implementations

2008-09-15  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Dap/Banshee.Dap/Banshee.Dap.Gui/DapContent.cs:
	* src/Dap/Banshee.Dap/Banshee.Dap.Gui/DapPropertiesDisplay.cs:
	* src/Libraries/Hyena.Gui/Hyena.Widgets/RoundedFrame.cs: Add protected
	IntPtr ctor to avoid GLib.MissingIntPtrCtorException I don't honestly
	understand (BGO #552169).

2008-09-15  Aaron Bockover  <abock@gnome.org>

	* src/Clients/Beroe/Beroe/IndexerClient.cs: Support a --client option to
	run the fake indexer client

	* src/Clients/Beroe/Beroe/RemoteClient.cs: An example client indexer
	that doesn't really do anything

	* src/Core/Banshee.Services/Banshee.Collection.Indexer.RemoteHelper/IndexerClient.cs:
	First pass at a wrapper implementing the proper logic for interacting
	with the Banshee indexer and respecting the boot sequence and client
	startup hints

2008-09-12  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Extensions/Banshee.AudioCd/Banshee.AudioCd/AudioCdSource.cs:
	Whitespace.

	* src/Backends/Banshee.Gnome/Banshee.GnomeBackend/GConfConfigurationClient.cs:
	Replace all whitespace with underscores to prevent an invalid key/crash.

2008-09-12  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Extensions/Banshee.PlayQueue/Makefile.am:
	* src/Extensions/Banshee.PlayQueue/Banshee.PlayQueue.csproj:
	* src/Extensions/Banshee.PlayQueue/Banshee.PlayQueue/PlayQueueSource.cs:
	* src/Extensions/Banshee.PlayQueue/Banshee.PlayQueue/PlayQueueActions.cs:
	Separate out the PlayQueue actions into their own subclass of
	BansheeActionGroup, so they are disposed of properly when the plugin is,
	etc (BGO #552005).  Also, don't show Add to Play Queue action when in the
	play queue iteslf (BGO #551672).

	* src/Core/Banshee.ThickClient/Banshee.Gui/BansheeActionGroup.cs: Check
	whether the action group is already registered before [un]registering.

2008-09-12  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Extensions/Banshee.RemoteAudio/Banshee.RemoteAudio/RemoteAudioService.cs:
	Avoid NRE when disposing if the network isn't connected.

2008-09-12  Aaron Bockover  <abock@gnome.org>

	* src/Core/Banshee.Services/Banshee.Collection.Indexer/CollectionIndexerService.cs:
	Remove unused variable

	* src/Extensions/Banshee.Lastfm/Banshee.Lastfm.Recommendations/RecommendationService.cs:
	* src/Libraries/Hyena/Hyena.Collections/QueuePipelineElement.cs: Fixes to
	work around compiler bugs in gmcs 1.2.5

2008-09-11  Aaron Bockover  <abock@gnome.org>

	Banshee 1.3.0 Released

2008-09-11  Aaron Bockover  <abock@gnome.org>

	* src/Core/Banshee.Services/Banshee.Collection.Indexer/CollectionIndexerService.cs:
	* src/Core/Banshee.Services/Banshee.Collection.Indexer/ICollectionIndexerService.cs:
	Split HasCollectionChanged method to HasCollectionCountChanged and 
	HasCollectionLastModifiedChanged methods

2008-09-11  Aaron Bockover  <abock@gnome.org>

	* src/Extensions/Banshee.FileSystemQueue/Banshee.FileSystemQueue/FileSystemQueueSource.cs:
	Implement playlist loading into the FSQ

	* src/Core/Banshee.Services/Banshee.Playlist/PlaylistFileUtil.cs:
	Allow playlist importing to work against any PrimarySource

	* configure.ac: Disable the DEVEL_BUILD

2008-09-11  Gabriel Burt  <gabriel.burt@gmail.com>

	* build/m4/banshee/dap-ipod.m4: Bump ipod-sharp to 0.8.1

2008-09-11  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Core/Banshee.ThickClient/Banshee.Gui/GlobalActions.cs:
	* src/Core/Banshee.ThickClient/Resources/core-ui-actions-layout.xml: Add
	Rescan action that triggers rescan of the Music Library folder.

	* src/Core/Banshee.Services/Banshee.Collection.Database/DatabaseImportManager.cs:
	Remove unnecessary DateAdded set.

	* src/Core/Banshee.Services/Banshee.Collection.Database/DatabaseTrackInfo.cs:
	* src/Core/Banshee.Core/Banshee.Collection/TrackInfo.cs: Add
	FileModifiedStamp and LastSyncedStamp properties.

	* src/Core/Banshee.Services/Makefile.am:
	* src/Core/Banshee.Services/Banshee.Services.csproj:
	* src/Core/Banshee.Services/Banshee.Collection/RescanPipeline.cs: New file
	that scans all files in a Library's BaseDirectory, importing new items,
	removing items no longer on disk, and identifying items that were renamed.

	* src/Libraries/Hyena/Hyena.Collections/QueuePipelineElement.cs:
	* src/Core/Banshee.Services/Banshee.Collection/ImportManager.cs: Factor a
	lot of the counting of the ImportElement up into QueuePipelineElement.

	* src/Core/Banshee.Services/Banshee.Database/BansheeDbFormatMigrator.cs:
	Add the LastSynced and FileModified columns.

	* src/Core/Banshee.Core/Banshee.IO.SystemIO/File.cs:
	* src/Core/Banshee.Core/Banshee.IO/File.cs:
	* src/Core/Banshee.Core/Banshee.IO/IFile.cs:
	* src/Backends/Banshee.Unix/Banshee.IO.Unix/File.cs: Add GetModifiedTime
	method.

	* src/Core/Banshee.Core/Banshee.Streaming/StreamTagger.cs: Set
	FileModified and LastSynced stamps.

	* src/Libraries/Hyena/Hyena.Collections/QueuePipeline.cs: Make sure no
	elements still have items left to process when considering if the pipeline
	is finished/empty.

	* src/Libraries/Hyena/Hyena.Data.Sqlite/SqliteModelProvider.cs: Add
	CreateFetchCommand method that returns a HyenaSqliteCommand useful for
	fetching items from a model with a custom condition/limit/order.

2008-09-11  Aaron Bockover  <abock@gnome.org>

	* src/Core/Banshee.ThickClient/Banshee.Gui.Dialogs/AboutDialog.cs: Do
	not display the two version strings if they are the same; Wiki->Website
	string update

	* configure.ac: Bump version to 1.3.0

2008-09-11  Aaron Bockover  <abock@gnome.org>

	* src/Clients/Beroe/Beroe/IndexerClient.cs: Call 
	IndexerService.RegisterCleanupAndShutdown to notify any connected client
	using the indexer that it should release it and let the user use Banshee

	* src/Core/Banshee.Services/Banshee.Collection.Indexer/CollectionIndexerService.cs:
	* src/Core/Banshee.Services/Banshee.Collection.Indexer/ICollectionIndexerService.cs:
	Added CleanupAndShutdown event for the DBus interface and a method
	for the client to trigger the raising of the event

	* src/generate-dbus-docs: Stupid script to dump DBus interfaces to an
	HTML blob that I can update on the web site:
	http://banshee-project.org/contribute/write-code/dbus-interfaces/

2008-09-11  Aaron Bockover  <abock@gnome.org>

	* src/Core/Banshee.Services/Banshee.Collection.Indexer/CollectionIndexerService.cs:
	* src/Core/Banshee.Services/Banshee.Collection.Indexer/ICollectionIndexer.cs:
	* src/Core/Banshee.Services/Banshee.Collection.Indexer/ICollectionIndexerService.cs:
	* src/Core/Banshee.Services/Banshee.Collection.Indexer/CollectionIndexer.cs:
	Use Hyena.Action instead of System.Action

	* src/Libraries/Hyena/Hyena/Delegates.cs: Implement Hyena.Action delegate

2008-09-11  Aaron Bockover  <abock@gnome.org>

	* src/Clients/Halie/Halie/Client.cs: Moved the indexer reboot hint to 
	the booter client

	* src/Clients/Booter/Booter/Entry.cs: Finished implementing the new 
	boot sequence

	* src/Clients/Beroe/Beroe/IndexerClient.cs: DBus fixes

	* src/Core/Banshee.Services/Banshee.ServiceStack/DBusConnection.cs:
	* src/Core/Banshee.Services/Banshee.ServiceStack/DBusServiceManager.cs:
	Support registering and finding objects on multiple busses without 
	horribly breaking API

	* src/Core/Banshee.Services/Banshee.Collection.Indexer/CollectionIndexerService.cs:
	* src/Core/Banshee.Services/Banshee.Collection.Indexer/ICollectionIndexer.cs:
	* src/Core/Banshee.Services/Banshee.Collection.Indexer/ICollectionIndexerService.cs:
	* src/Core/Banshee.Services/Banshee.Collection.Indexer/IIndexerClient.cs:
	* src/Core/Banshee.Services/Banshee.Collection.Indexer/CollectionIndexer.cs:
	Register the indexer stuff on a new bus so it can be activated without
	spawning the thick client: org.bansheeproject.CollectionIndexer

	* configure.ac:
	* data/Makefile.am: 
	* data/org.bansheeproject.CollectionIndexer.service.in: Add the new 
	activatable service

2008-09-11  Aaron Bockover  <abock@gnome.org>

	* src/Clients/Booter: New client to take care of the booting of other
	clients based on the crazy boot sequence logic (to be added)

	* src/Core/Banshee.ThickClient/Banshee.Gui/GtkBaseClient.cs: Moved
	the non-GUI related boot logic to the new Booter client

	* src/Core/Banshee.Services/Banshee.ServiceStack/Application.cs:
	Call DBusConnection.Connect

	* src/Core/Banshee.Services/Banshee.ServiceStack/DBusConnection.cs:
	* src/Core/Banshee.Services/Banshee.ServiceStack/DBusServiceManager.cs:
	Refactored slightly to allow for the use of multiple busses
	
	* src/Clients/Halie/Halie/Client.cs:
	* src/Clients/Beroe/Beroe/IndexerClient.cs: Updated to reflect small API
	change in DBusConnection

	* build/build.environment.mk:
	* Banshee.sln:
	* configure.ac: Add Booter

2008-09-10  Aaron Bockover  <abock@gnome.org>

	* src/Core/Banshee.Services/Banshee.Collection.Indexer/CollectionIndexerService.cs:
	* src/Core/Banshee.Services/Banshee.Collection.Indexer/ICollectionIndexerService.cs:
	Fixed query, implemented Hello
	
	* src/Core/Banshee.Services/Banshee.Collection.Indexer/CollectionIndexer.cs:
	* src/Core/Banshee.Services/Banshee.Collection.Indexer/ICollectionIndexer.cs:
	Use the Action delegate

2008-09-10  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Core/Banshee.ThickClient/Banshee.Collection.Gui/BaseTrackListView.cs:
	Add UriList as a DragDropSource and handle setting the data when such
	DragDataGet requests come in, meaning DnD to nautilus works again (BGO
	#535128).

	* src/Core/Banshee.Services/Banshee.ServiceStack/ServiceManager.cs: Add a
	debug message.

	* src/Libraries/Hyena.Gui/Hyena.Data.Gui/ListView/ListView_DragAndDrop.cs:
	Allow overriding the DnD Drag and SourceEntries.

2008-09-10  Aaron Bockover  <abock@gnome.org>

	* src/Core/Banshee.Services/Banshee.Collection.Indexer/CollectionIndexerService.cs:
	* src/Core/Banshee.Services/Banshee.Collection.Indexer/ICollectionIndexerService.cs:
	Implemented HasCollectionChanged and a signal for listening to live
	collection changes; these facilities are useful for third parties to
	know whether or not they should actually create a new index

	* src/Core/Banshee.Services/Banshee.Collection.Indexer/CollectionIndexer.cs:
	Use LibrarySource, not DatabaseSource

2008-09-10  Aaron Bockover  <abock@gnome.org>

	* src/Clients/Halie/Halie/Client.cs: If an IIndexerClient is located
	on the bus, tell that client to reboot with any command line arguments
	passed, and exit, deferring the invocation

	* src/Clients/Beroe/Beroe/IndexerClient.cs: Made a real client, expose
	as IIndexerClient on DBus, and support booting into a separate Banshee
	process if desired (i.e. someone opens an MP3 file in nautilus while the
	indexer client process is running, this still respects the users action)

	* src/Core/Banshee.ThickClient/Banshee.Gui/GtkBaseClient.cs: If 
	--indexer is passed, run the Beroe indexer client assembly

	* src/Core/Banshee.Services/Banshee.Collection.Indexer/CollectionIndexerService.cs:
	* src/Core/Banshee.Services/Banshee.Collection.Indexer/ICollectionIndexerService.cs:
	Support shutting down

	* src/Core/Banshee.Services/Banshee.Collection.Indexer/IIndexerClient.cs:
	Interface for the indexer client with the RebootWhenFinished method

	* src/Core/Banshee.Services/Banshee.Collection.Indexer/CollectionIndexer.cs:
	Print some debugging info, use TrackInfo.ExportVersion

	* src/Core/Banshee.Core/Banshee.Collection/TrackInfo.cs: Added
	ExportVersion field

2008-09-10  Aaron Bockover  <abock@gnome.org>

	* src/Clients/Halie/Halie/Client.cs: Do not present the UI if the 
	indexer argument is passed

	* src/Core/Banshee.ThickClient/Banshee.Gui/GtkBaseClient.cs: Run
	Beroe if an indexer argument is present and Banshee is not already
	running

	* src/Core/Banshee.Services/Banshee.Collection.Indexer/CollectionIndexer.cs:
	Use TrackInfo.ExportVersion in the output

	* src/Core/Banshee.Core/Banshee.Collection/TrackInfo.cs: Added an 
	ExportVersion field

2008-09-10  Aaron Bockover  <abock@gnome.org>

	* src/Core/Banshee.Services/Banshee.Collection.Indexer/ICollectionIndexerService.cs:
	* src/Core/Banshee.Services/Banshee.Collection.Indexer/CollectionIndexerService.cs:
	Implement GetAvailableExportFields method

	* src/Core/Banshee.Services/Banshee.Collection.Indexer/ICollectionIndexer.cs:
	* src/Core/Banshee.Services/Banshee.Collection.Indexer/CollectionIndexer.cs:
	Implement SaveToXml; added SetExportFields; added SaveToXmlFinished event

	* src/Core/Banshee.Core/Banshee.Collection/TrackInfo.cs: Support exporting
	only certain fields; make GetExportableProperties public; since 
	GetExportableProperties is now public, enforce type derivation; do not
	export 0 value fields

2008-09-10  Bertrand Lorentz  <bertrand.lorentz@gmail.com>

	* src/Core/Banshee.Services/Banshee.Collection.Database/DatabaseTrackInfo.cs:
	Patch from Andrés G. Aragoneses to allow emptying the artist and album
	fields (BGO #549414).

2008-09-09  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Extensions/Banshee.CoverArt/Banshee.CoverArt/CoverArtService.cs:
	Patch from Bertrand Lorentz working around crasher caused by brokenness in
	DatabaseConfigurationClient with respect to dates (BGO #538354).

2008-09-09  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Core/Banshee.Services/Banshee.Playlists.Formats/PlaylistParser.cs:
	Patch from Eric Butler, fixed up HACKING-wise by myself, adding support
	for HTTP auth in URLs for Internet Radio stations (BGO #548044).

2008-09-09  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Core/Banshee.Core/Resources/contributors.xml: Add David.

2008-09-09  Gabriel Burt  <gabriel.burt@gmail.com>

	Patch from David Spreen adding cover art support to Mass Storage DAPs.

	* src/Dap/Banshee.Dap.MassStorage/Banshee.Dap.MassStorage/MassStorageSource.cs:
	Add .is_audio_player options CoverArtSize, CoverArtFileName and CoverArtFileType 
	where a size of -1 means disabled, 0 means 'just use the current size of specific 
	cover' and x > 0 means resize cover to x by x pixels.
	Add code to transfer cover to mass storage device art in accordance with those 
	values to AddTrackToDevice method.

	* src/Core/Banshee.Services/Banshee.Hardware/IDeviceMediaCapabilities.cs:
	Add CoverArtSize, CoverArtFileName and CoverArtFileType to IDeviceMediaCapabilities.

	* src/Backends/Banshee.Hal/Banshee.HalBackend/DeviceMediaCapabilities.cs:
	Add CoverArtSize, CoverArtFileName and CoverArtFileType to HAL backend.

2008-09-09  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Extensions/Banshee.CoverArt/Banshee.CoverArt/CoverArtJob.cs: 
	* src/Core/Banshee.Services/Banshee.Sources/PrimarySource.cs: Fix bug with
	improperly getting the Uri of some tracks when fetching cover art (BGO
	#546234).

2008-09-09  Aaron Bockover  <abock@gnome.org>

	This commit implements the first pass at providing a mechanism for
	third party applications to query and index Banshee's collection in
	a safe way - both in process and over DBus. This is for you, GNOME Do.
	Still incomplete, but soon to be there. Lots already working. Yay.

	* src/Core/Banshee.Services/Banshee.Collection.Indexer/CollectionIndexerService.cs:
	* src/Core/Banshee.Services/Banshee.Collection.Indexer/ICollectionIndexerService.cs:
	Factory service for creating indexers; accessible internally or over DBus

	* src/Core/Banshee.Services/Banshee.Collection.Indexer/ICollectionIndexer.cs:
	* src/Core/Banshee.Services/Banshee.Collection.Indexer/CollectionIndexer.cs:
	Collection indexer implementation; allows snapshotting a track model
	and iterating over it to request tracks internally or over DBus; will
	be the object for third party applications to use to query/index Banshee's
	collection (GNOME Do, Beagle, Tangerine...)

	* src/Clients/Beroe/Beroe/Client.cs: A small standalone client that 
	boots only enough services to run the collection indexer service so
	applications can read the collection even if Banshee may not already 
	be running
	
	* src/Core/Banshee.Core/Banshee.Collection/TrackInfo.cs: Finish
	implementing the exportable reflector, cache reflection results for faster
	subsequent exports; support property aggregation and set linking through
	the type hirearchy so all properties marked as exportable are handled
	regardless of the defining type; used for exporting/serializing objects
	over DBus and for merging different track objects (track editor)
	
	* src/Core/Banshee.Services/Banshee.Sources/ITrackModelSource.cs:
	* src/Core/Banshee.Services/Banshee.Sources/DatabaseSource.cs:
	* src/Extensions/Banshee.Lastfm/Banshee.Lastfm.Radio/StationSource.cs:
	* src/Extensions/Banshee.AudioCd/Banshee.AudioCd/AudioCdSource.cs:
	* src/Core/Banshee.Services/Banshee.Library/LibrarySource.cs:
	Implement/Added ITrackModelSource.Indexable property

	* src/Core/Banshee.Services/Banshee.ServiceStack/ServiceManager.cs:
	Split the service manager initialization/registration chunks into separate
	methods so clients can have more control over which services they will
	depend on
	
	* src/Core/Banshee.Services/Banshee.ServiceStack/Application.cs:
	Call the new startup methods on the service manager in a new Initialize
	method that clients can use

	* src/Core/Banshee.ThickClient/Banshee.Gui/GtkBaseClient.cs: Call
	Application.Initialize

	* src/Core/Banshee.Services/Banshee.ServiceStack/DBusConnection.cs:
	Added GLib mainloop support for clients that may strictly do DBus (Beroe)

	* src/Core/Banshee.Services/Banshee.ServiceStack/DBusServiceManager.cs:
	Implemented object unregistering

	* src/Core/Banshee.Services/Banshee.Collection.Database/CachedList.cs:
	Implement a method to snapshot the origin model into a cache model
	
	* src/Core/Banshee.Services/Banshee.Collection.Database/DatabaseTrackListModel.cs:
	Made UnfilteredQuery property public

	* src/Core/Banshee.Core/Banshee.Configuration/MemoryConfigurationClient.cs:
	Implemented a configuration client that stores everything to memory
	and does not persist

	* src/Core/Banshee.Services/Banshee.Configuration/DatabaseConfigurationClient.cs:
	Small fixes/optimization

	* src/Core/Banshee.Core/Banshee.Configuration/ConfigurationClient.cs:
	Make MemoryConfigurationClient the default client if Mono.Addins is
	not initialized, otherwise clients are loaded from extensions, and 
	the XmlConfigurationClient is the fallback	

	* src/Libraries/Hyena/Hyena/Timer.cs: Output the timer to stderr

	* src/Libraries/Hyena/Hyena.Query/QueryOrder.cs:
	* src/Libraries/Hyena/Hyena.Data.Sqlite/SqliteModelProvider.cs:
	* src/Libraries/Migo/Migo.Syndication/Feed.cs:
	* build/build.rules.mk: Build fixes for gmcs 2.0

2008-09-09  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Extensions/Banshee.FileSystemQueue/Banshee.FileSystemQueue/FileSystemQueueSource.cs:
	Don't set the active source to the FSQ until it's done importing and
	actually imported something.  Prevents it from popping up when OPML files
	are passed in.

	* src/Extensions/Banshee.Podcasting/Banshee.Podcasting/PodcastService.cs:
	Fix copyright header, handle OPML files passed in on the command line (or
	by Firefox from the Miro Guide, say).

	* src/Backends/Banshee.Gnome/Banshee.GnomeBackend/DefaultApplicationHelper.cs:
	Refactor a bit.

	* src/Libraries/Migo/Migo.Syndication/OpmlParser.cs: Patch from Brandan
	Lloyd, cleaned up and modified slightly by me, for actually parsing feed
	URLs out of OPML files.

	* data/banshee-1.desktop.in.in:
	* data/mimetypes.txt: Add x-miro/x-democracy mimetypes.

2008-09-09  Bertrand Lorentz  <bertrand.lorentz@gmail.com>

	* src/Extensions/Banshee.NotificationArea/Banshee.NotificationArea/NotificationAreaService.cs:
	Fix a crash after executing "banshee-1 --stop" (BGO #550777).

2008-09-09  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Core/Banshee.ThickClient/Banshee.Gui/GtkBaseClient.cs: When the
	client is started and if appropriate, pop up a dialog asking if the user
	wants to set Banshee as the default media player.

	* src/Core/Banshee.ThickClient/Makefile.am:
	* src/Core/Banshee.ThickClient/Banshee.ThickClient.csproj:
	* src/Core/Banshee.ThickClient/Banshee.Gui.Dialogs/DefaultApplicationHelperDialog.cs:
	New dialog asking the user if they want to set Banshee as the default, and
	with a checkbox to remember the decision.

	* src/Core/Banshee.Services/Banshee.Services.addin.xml: Add extension
	point for DefaultApplicationHelpers.

	* src/Core/Banshee.Services/Makefile.am:
	* src/Core/Banshee.Services/Banshee.Services.csproj:
	* src/Core/Banshee.Services/Banshee.Configuration/DefaultApplicationHelper.cs:
	New static class that loads DefaultApplicationHelper backends (only one
	for GNOME exists atm), provides a simple API, and contains the
	SchemaEntrys for remembering the users previous choice in the matter.

	* src/Core/Banshee.Widgets/Banshee.Widgets/HigMessageDialog.cs: Add
	a convenience method for adding a custom Button.

	* src/Backends/Banshee.Gnome/Banshee.GnomeBackend/GConfConfigurationClient.cs:
	Handle the namespace already being absolute (starting in '/') by not
	prepending it with /app/banshee-1/.

	* src/Backends/Banshee.Gnome/Banshee.Gnome.addin.xml:
	* src/Backends/Banshee.Gnome/Banshee.Gnome.csproj:
	* src/Backends/Banshee.Gnome/Makefile.am:
	* src/Backends/Banshee.Gnome/Banshee.GnomeBackend/DefaultApplicationHelper.cs:
	GNOME specific backend to the DefaultApplicationHelper extension point.
	Sets Banshee as the default handler for several uri schems, for audio
	devices, cds, and media in general.

2008-09-08  Gabriel Burt  <gabriel.burt@gmail.com>

	* data/banshee-1.desktop.in.in: Patch from Pacho Ramos removing deprecated
	Encoding field and Application category (BGO #550449).

2008-09-08  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Libraries/Hyena.Gui/Hyena.Widgets/ImageButton.cs: Fill and expand
	the label so that it's centered (BGO #551436).

2008-09-08  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Dap/Banshee.Dap.Ipod/Banshee.Dap.Ipod/IpodSource.cs: Fix threading
	issues with syncing playlists on eject/dispose.

	* src/Dap/Banshee.Dap/Banshee.Dap/DapSource.cs: Fix typo in comment

2008-09-08  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Dap/Banshee.Dap/Banshee.Dap/DapSource.cs: Don't add duplicate tracks
	to devices.

	* src/Libraries/Mtp/Mtp/AbstractTrackList.cs: Remove random WriteLine.

2008-09-08  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Extensions/Banshee.Podcasting/Banshee.Podcasting.Gui/PodcastActions.cs:
	* src/Extensions/Banshee.Podcasting/Banshee.Podcasting.Data/PodcastSource.cs:
	Set the PlayCount of items to zero when marked new and 1 when marked read,
	and add PlayCount = 0 as a SyncCondition so that only new items are synced.

	* src/Dap/Banshee.Dap.MassStorage/Banshee.Dap.MassStorage/MassStorageSource.cs:
	* src/Dap/Banshee.Dap.Ipod/Banshee.Dap.Ipod/IpodSource.cs:
	* src/Dap/Banshee.Dap.Mtp/Banshee.Dap.Mtp/MtpSource.cs:
	* src/Dap/Banshee.Dap/Banshee.Dap/DapSource.cs: Call SyncPlaylists when
	ejecting and Sync not enabled, because while tracks are transferred
	immeidately when you DnD them etc, playlists aren't saved.

	* src/Dap/Banshee.Dap/Banshee.Dap.Gui/DapContent.cs: Remove the testing
	status label and hrule.

2008-09-08  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Core/Banshee.Services/Banshee.Networking/Network.cs: Have the
	disable-network-features preference take effect immediately.

2008-09-08  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Dap/Banshee.Dap.MassStorage/Banshee.Dap.MassStorage/MassStorageSource.cs:
	* src/Dap/Banshee.Dap/Banshee.Dap/RemovableSource.cs:
	* src/Dap/Banshee.Dap/Banshee.Dap/DapSync.cs:
	* src/Dap/Banshee.Dap/Banshee.Dap/DapSource.cs:
	* src/Core/Banshee.ThickClient/Banshee.Gui/SourceActions.cs:
	* src/Core/Banshee.ThickClient/Banshee.Gui/TrackActions.cs:
	* src/Core/Banshee.Services/Banshee.Playlist/PlaylistSource.cs:
	* src/Core/Banshee.Services/Banshee.Playlist/AbstractPlaylistSource.cs:
	* src/Core/Banshee.Services/Banshee.Sources/PrimarySource.cs:
	* src/Core/Banshee.Services/Banshee.SmartPlaylist/SmartPlaylistSource.cs:
	Fix things up so that when Sync is enabled for a device the user cannot
	DnD tracks or sources onto it, can't create playlists, can't modify
	playlists on the device, etc.

2008-09-08  Bertrand Lorentz  <bertrand.lorentz@gmail.com>

	* src/Core/Banshee.Services/Banshee.Playlists.Formats/AsxPlaylistFormat.cs:
	http URLs in ASX files are in fact mmsh URLs. Patch by Félix Velasco with
	a suggestion from Gabriel (BGO #545646).

2008-09-08  Bertrand Lorentz  <bertrand.lorentz@gmail.com>

	* src/Extensions/Banshee.Daap/Banshee.Daap/DaapSource.cs: Fix a crash
	triggered by DAAP errors (BGO #549192).

2008-09-08  Bertrand Lorentz  <bertrand.lorentz@gmail.com>

	* src/Extensions/Banshee.FileSystemQueue/Banshee.FileSystemQueue/FileSystemQueueSource.cs:
	Handle relative paths as parameters on the command line (BGO #537600).

2008-09-08  Bertrand Lorentz  <bertrand.lorentz@gmail.com>

	* src/Core/Banshee.Services/Banshee.ServiceStack/ServiceManager.cs: Fix
	an incorrect condition, so that DelayedInitialize is called on extensions
	that are enabled through the banshee UI (BGO #550555).

2008-09-08  Bertrand Lorentz  <bertrand.lorentz@gmail.com>

	* src/Backends/Banshee.NowPlaying.X11/libbnpx11/Makefile.am:
	* libbanshee/Makefile.am:
	* build/build.rules.mk: Some build fixes to allow parallel build with
	"make -j2" (BGO #546944).

2008-09-07  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Dap/Banshee.Dap/Banshee.Dap/DapSource.cs: Create GUI objects on the
	GUI thread.

	* src/Dap/Banshee.Dap/Makefile.am:
	* src/Dap/Banshee.Dap/Resources/ActiveSourceUI.xml:
	* src/Dap/Banshee.Dap/Resources/GlobalUI.xml: Move the Sync context menu
	item to GlobalUI.

	* src/Dap/Banshee.Dap/Banshee.Dap.Gui/DapContent.cs:
	* src/Dap/Banshee.Dap/Banshee.Dap.Gui/DapActions.cs: Make the DapActions
	static and work for multiple DapSources, including updating properly when
	right-clicked on even if not the ActiveSource.

	* src/Core/Banshee.ThickClient/Banshee.Gui/SourceActions.cs: Add an event
	for when we update the actions, so that other action groups or code that
	needs to update them for right-click context menus can easily do that.

2008-09-07  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Clients/Muinshee/Resources/GlobalUI.xml:
	* src/Clients/Muinshee/Muinshee/PlayerInterface.cs: Add the Play
	Song/Album items to the Media menu, and add the AccelGroup to the main
	window so that s and a (and other accels) work.

2008-09-07  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Core/Banshee.ThickClient/Banshee.Gui/PersistentWindowController.cs:
	Don't set the events mask for the controlled window to all - not needed.

2008-09-07  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Core/Banshee.ThickClient/Banshee.Gui/PersistentWindowController.cs:
	Fix NRE (BGO #550918).

2008-09-07  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Core/Banshee.Services/Banshee.Sources/PrimarySource.cs: Add a
	StorageName property that defaults to 'Drive', and is used for the
	DeleteFromDrive action's label.

	* src/Dap/Banshee.Dap/Banshee.Dap/RemovableSource.cs: When the Name
	property is set, set the StorageName too, so that the DeleteFromDrive
	action's label is still 'Delete From iPod' etc.

	* src/Dap/Banshee.Dap/Banshee.Dap/DapSource.cs: Clarify a couple error
	messages.

	* src/Core/Banshee.ThickClient/Banshee.Gui/BansheeActionGroup.cs: Don't
	inherit action Label and IconName overrides from sources' parents since
	that can lead to strange things.  Fixes bug with the UnmapSourceAction's
	IconName being the eject icon for playlists under DapSources (BGO #549183)

	* src/Core/Banshee.ThickClient/Banshee.Gui/TrackActions.cs: Use the
	StorageName property on the PrimarySource to set the DeleteFromDrive
	label.

2008-09-07  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Core/Banshee.ThickClient/Banshee.Gui.Widgets/UserJobTile.cs: Fix NRE
	in icon code (BGO #551302).

2008-09-06  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Core/Banshee.Services/Banshee.Sources/Source.cs: Fix deadlock hang
	triggered by Last.fm (BGO #551175).

2008-09-06  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Core/Banshee.Services/Banshee.Collection.Database/DatabaseTrackListModel.cs:
	Fix from Bertrand Lorentz (also applied to new FirstIndexOf method by me)
	fixing race condition that caused the Next button to not work half the
	time when you had a filter active (BGO #544415).

2008-09-06  Gabriel Burt  <gabriel.burt@gmail.com>

	This commit adds playlist support to USB Mass Storage players, and fixes a
	bug that causes very slow initial loading of their tracks.

	* src/Extensions/Banshee.Podcasting/Banshee.Podcasting.Data/PodcastFeedModel.cs:
	Fix model so that it's filtered by the filters before it.

	* src/Dap/Banshee.Dap.MassStorage/Banshee.Dap.MassStorage/MassStorageSource.cs:
	Add playlist support, respecting the HAL
	portable_audio_player.playlist_format and playlist_path keys.

	* src/Dap/Banshee.Dap.Ipod/Banshee.Dap.Ipod/IpodSource.cs:
	* src/Dap/Banshee.Dap/Banshee.Dap/DapSource.cs: Add helper
	AddYesNoDapProperty method and use it.

	* src/Dap/Banshee.Dap.Mtp/Banshee.Dap.Mtp/MtpSource.cs: Call OnTracksAdded
	manually after loading the tracks off the device.

	* src/Dap/Banshee.Dap/Banshee.Dap/DapSync.cs: Don't reload the models when
	the dap isn't yet loaded, or when we're syncing.

	* src/Core/Banshee.Services/Banshee.Playlists.Formats/PlaylistFormatDescription.cs:
	* src/Core/Banshee.Services/Banshee.Playlists.Formats/M3uPlaylistFormat.cs:
	* src/Core/Banshee.Services/Banshee.Playlists.Formats/AsxPlaylistFormat.cs:
	* src/Core/Banshee.Services/Banshee.Playlists.Formats/PlsPlaylistFormat.cs:
	Add a MimeType property to the description objects.

	* src/Core/Banshee.Services/Banshee.Playlists.Formats/PlaylistFormatBase.cs:
	In the BaseUri setter, make sure it ends with a directory separator char,
	and if not, fix it.

	* src/Core/Banshee.Services/Banshee.Playlist/PlaylistFileUtil.cs: Add a
	new Load method, factored out from the ImportPlaylist method.

	* src/Core/Banshee.Services/Banshee.Collection.Database/DatabaseImportManager.cs:
	ImportFinished renamed to Finished because uses the QueuePipeline event
	now. Allow setting the BaseUri in the Load/Import methods.

	* src/Core/Banshee.Services/Banshee.Collection/ImportManager.cs: Fix
	painful bug caused by the pipelining of the importer.  The track
	processing element would sometimes (often) have zero items left when the
	scanning element was still working, but we were raising ImportFinished
	when that happened, instead of waiting for all elements in the pipeline to
	be finished (BGO #548254).

	* src/Libraries/Hyena/Hyena.Collections/QueuePipelineElement.cs: Add a
	Finished event.

	* src/Libraries/Hyena/Hyena.Collections/QueuePipeline.cs: Add a finished
	event, raised when all elements in the pipeline are finished.

2008-09-05  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Extensions/Banshee.Podcasting/Banshee.Podcasting.Gui/DownloadManager/DownloadUserJob.cs:
	* src/Extensions/Banshee.Podcasting/Banshee.Podcasting.Gui/DownloadManager/DownloadManagerInterface.cs:
	Slightly more useful job status, shows how many total downloads in the job

	* src/Libraries/Mtp/Mtp/Track.cs: Hack around .m4v issue.

	* build/m4/banshee/dap-mtp.m4:
	* NEWS: Don't allow libmtp8 for now, and clarify how packages need to
	require libmtp (to ensure users have the same version the package was
	compiled against).

2008-09-05  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Dap/Banshee.Dap.Ipod/Banshee.Dap.Ipod/IpodSource.cs: Create a
	HyenaSqliteCommand to reuse for adding tracks to playlists - should be
	faster.

	* src/Dap/Banshee.Dap.Mtp/Banshee.Dap.Mtp/MtpSource.cs: Load and save
	playlists on MTP devices.

	* src/Dap/Banshee.Dap.Mtp/Banshee.Dap.Mtp/MtpTrackInfo.cs: Save the
	Mtp.Track's ID in the ExternalID column, cleanup cruft.

	* src/Dap/Banshee.Dap/Banshee.Dap/DapLibrarySync.cs: Don't add empty
	playlists to devices.

	* src/Core/Banshee.Services/Banshee.Sources/SourceManager.cs: Fix
	gui-thread issue.

	* src/Libraries/Mtp/Mtp/Folder.cs: Override ToString for debugging.

	* src/Libraries/Mtp/Mtp/Album.cs: Factor a lot of code that's useful for
	the Playlist class into AbstractTrackList, subclass from it.

	* src/Libraries/Mtp/Makefile.am:
	* src/Libraries/Mtp/Mtp/AbstractTrackList.cs: Factored out code from Album

	* src/Libraries/Mtp/Mtp/MtpDevice.cs: Add GetPlaylists () method.

	* src/Libraries/Mtp/Mtp/Playlist.cs: Subclass from AbstractTrackList,
	implement required methods, add to build.

2008-09-05  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Extensions/Banshee.Podcasting/Banshee.Podcasting.Data/PodcastTrackListModel.cs:
	* src/Core/Banshee.Services/Banshee.Collection.Database/DatabaseTrackListModel.cs:
	Make UpdateUnfilteredAggregates public so we can get an accurate count
	without doing a full reload.

	* src/Core/Banshee.Services/Banshee.Sources/DatabaseSource.cs: Support
	getting an accurate count before having reloaded the track model via a new
	UpdateCounts method.

	* src/Dap/Banshee.Dap.Ipod/Banshee.Dap.Ipod/IpodSource.cs: Handle loading
	playlists when the device is plugged in, and syncing them.  Podcast
	playlists are still TODO - will require changes to ipod-sharp.

	* src/Dap/Banshee.Dap.Ipod/Banshee.Dap.Ipod/IpodTrackInfo.cs: Do a better,
	more complete job of syncing metadata between TrackInfos and IPod.Track.

	* src/Dap/Banshee.Dap/Banshee.Dap/DapSync.cs: Call SyncPlaylists on the
	dap source when syncing.  Not a great API, but needed atm at least to tell
	the iPod support it needs to save the playlists even if (possibly) zero
	tracks were added/removed.

	* src/Dap/Banshee.Dap/Banshee.Dap/DapSource.cs: Remove playlists too when
	removing smart playlists.  Remove warning about playlists.

	* src/Dap/Banshee.Dap/Banshee.Dap/DapLibrarySync.cs: Handle syncing all
	playlists from a library to the device.

	* src/Core/Banshee.Services/Banshee.SmartPlaylist/SmartPlaylistSource.cs:
	* src/Core/Banshee.Services/Banshee.Playlist/PlaylistSource.cs: Fix bug
	where we listened for TracksChanged etc events on our PrimarySource even
	before we were saved/had an id (BGO #550921).

	* src/Core/Banshee.Core/Banshee.Collection/TrackMediaAttributes.cs: Add
	comments.

2008-09-04  Brad Taylor  <brad@getcoded.net>

	* src/Core/Banshee.ThickClient/Banshee.Gui/InterfaceActionService.cs:
	Fix the build under Mono 1.2.6.  For some reason, it doesn't like the
	anonymous delegate that was here.

2008-09-04  Aaron Bockover  <abock@gnome.org>

	* *.csproj: fixups

	* src/Clients/Beroe: Stubbed new indexer client

2008-09-04  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Core/Banshee.Services/Banshee.Sources/PrimarySource.cs: Correct
	logged comment, and fix bug I just introduced with remember the expansion
	state of primary sources.

2008-09-04  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Core/Banshee.Services/Banshee.Metadata.Embedded/EmbeddedQueryJob.cs:
	* src/Core/Banshee.Services/Banshee.Metadata.FileSystem/FileSystemQueryJob.cs:
	Handle more gracefully the case that the directory or file is missing.

2008-09-04  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Extensions/Banshee.CoverArt/Banshee.CoverArt/CoverArtService.cs:
	* src/Extensions/Banshee.Lastfm/Banshee.Lastfm.Recommendations/RecommendationService.cs:
	* src/Extensions/Banshee.Podcasting/Banshee.Podcasting.Gui/PodcastActions.cs:
	* src/Extensions/Banshee.MiniMode/Banshee.MiniMode/SourceModel.cs:
	* src/Extensions/Banshee.Daap/Banshee.Daap/DaapContainerSource.cs:
	* src/Extensions/Banshee.InternetRadio/Banshee.InternetRadio/InternetRadioSource.cs:
	* src/Extensions/Banshee.AudioCd/Banshee.AudioCd/AudioCdSource.cs:
	* src/Extensions/Banshee.PlayQueue/Banshee.PlayQueue/PlayQueueSource.cs:
	* src/Clients/Nereid/Nereid/PlayerInterface.cs:
	* src/Dap/Banshee.Dap/Banshee.Dap.Gui/DapContent.cs:
	* src/Dap/Banshee.Dap/Banshee.Dap.Gui/DapActions.cs:
	* src/Dap/Banshee.Dap/Banshee.Dap.Gui/DapInfoBar.cs:
	* src/Core/Banshee.ThickClient/Banshee.Gui/InterfaceActionService.cs:
	* src/Core/Banshee.ThickClient/Banshee.Gui/BansheeActionGroup.cs:
	* src/Core/Banshee.ThickClient/Banshee.Gui/SourceActions.cs:
	* src/Core/Banshee.ThickClient/Banshee.Gui/TrackActions.cs:
	* src/Core/Banshee.ThickClient/Banshee.Library.Gui/ImportDialog.cs:
	* src/Core/Banshee.ThickClient/Banshee.Gui.Widgets/UserJobTileHost.cs:
	* src/Core/Banshee.ThickClient/Banshee.Gui.Widgets/UserJobTile.cs:
	* src/Core/Banshee.ThickClient/Banshee.Sources.Gui/SourceView.cs:
	* src/Core/Banshee.ThickClient/Banshee.Sources.Gui/SourceModel.cs:
	* src/Core/Banshee.ThickClient/Banshee.Sources.Gui/FilteredListSourceContents.cs:
	* src/Core/Banshee.ThickClient/Banshee.Sources.Gui/SourceComboBox.cs:
	* src/Backends/Banshee.Gnome/Banshee.GnomeBackend/Brasero.cs: Use
	ThreadAssist.ProxyToMain to ensure GUI actions happen on the main thread.

	* src/Extensions/Banshee.Lastfm/Banshee.Lastfm.Radio/StationSource.cs:
	* src/Extensions/Banshee.Lastfm/Banshee.Lastfm.Radio/LastfmSource.cs:
	* src/Extensions/Banshee.NowPlaying/Banshee.NowPlaying/NowPlayingSource.cs:
	* src/Extensions/Banshee.FileSystemQueue/Banshee.FileSystemQueue/FileSystemQueueSource.cs:
	Get rid of virtual TypeUniqueId property, replace with protected setter.

	* src/Extensions/Banshee.Podcasting/Banshee.Podcasting.Data/PodcastSource.cs:
	Use the TypeUniqueId setter, and define SyncCondition and MediaType
	properties.

	* src/Extensions/Banshee.Podcasting/Banshee.Podcasting.Data/PodcastTrackInfo.cs:
	Set the Podcast MediaType flag after loading the track info from file (if
	downloaded) to ensure it doesn't get unset.

	* src/Dap/Banshee.Dap.Mtp/Makefile.am:
	* src/Dap/Banshee.Dap.Mtp/Banshee.Dap.Mtp/Tests/MtpDapTests.cs: Tests for
	converting from TrackInfo to Mtp.Track and back.

	* tests/Makefile.am: Add Banshee.Dap.Mtp to list of assemblies to test.

	* src/Dap/Banshee.Dap.Mtp/Banshee.Dap.Mtp/MtpSource.cs: Be more careful
	about threading, add a GetFolderForTrack method to support Podcasts, and
	move the TrackInfo/Mtp.Track conversion into MtpTrackInfo.

	* src/Dap/Banshee.Dap.Mtp/Banshee.Dap.Mtp/MtpTrackInfo.cs: Try harder to
	set the MediaAttributes, and add an internal method for converting from
	TrackInfo to Mtp.Track.

	* src/Dap/Banshee.Dap/Makefile.am:
	* src/Dap/Banshee.Dap/Banshee.Dap/PodcastGroupSource.cs: New child of
	DAPs.

	* src/Dap/Banshee.Dap/Banshee.Dap/VideoGroupSource.cs:
	* src/Dap/Banshee.Dap/Banshee.Dap/MusicGroupSource.cs: Set the condition
	based on the Music/VideoLibrary's AttributesCondition.

	* src/Dap/Banshee.Dap/Banshee.Dap/DapSync.cs: Implement IDisposable, fix
	up preferences, listen for libraries to change and auto-sync if
	appropriate, move the to_remove list into each DapLibrarySync so they
	don't clobber other libraries' items.

	* src/Dap/Banshee.Dap/Banshee.Dap/DapSource.cs: Add PodcastGroupSource,
	use new TypeUniqueId setter, and auto-sync when plugged in if appropriate.

	* src/Dap/Banshee.Dap/Banshee.Dap/DapLibrarySync.cs: Add to_remove smart
	playlist, and actually implement deleting the tracks from the DAP and
	adding the new ones.

	* src/Core/Banshee.ThickClient/Banshee.Preferences.Gui/WidgetFactory.cs:
	If the ShowDescription property of the pref is true, then pack the widget
	into a VBox and put the description in a label below it.

	* src/Core/Banshee.ThickClient/Makefile.am:
	* src/Core/Banshee.ThickClient/Banshee.MediaProfiles.Gui/ProfileComboBoxConfigurable.cs:
	* src/Core/Banshee.ThickClient/Banshee.Preferences.Gui/DescriptionLabel.cs:
	New class that shows text formatted and can be updated via a delegate,
	factored out from code in ProfileComboBoxConfigurable.

	* src/Core/Banshee.Services/Banshee.MediaProfiles/MediaProfileManager.cs:
	Add new GetProfileForExtension helper method.

	* src/Core/Banshee.Services/Banshee.Collection.Database/DatabaseTrackInfo.cs:
	Lazily initialize the provider.

	* src/Core/Banshee.Services/Banshee.Collection.Database/DatabaseTrackListModel.cs:
	Prevent NRE and handle empty strings in the AddCondition method.

	* src/Core/Banshee.Services/Banshee.Preferences/Root.cs:
	* src/Core/Banshee.Services/Banshee.Preferences/Collection.cs: Override
	Sensitive and Visible setters, setting the value for each child.

	* src/Core/Banshee.Services/Banshee.Preferences/SchemaPreference.cs:
	* src/Core/Banshee.Services/Banshee.Preferences/Preference.cs: Raise
	ValueChanged event when the value is changed.

	* src/Core/Banshee.Services/Banshee.Preferences/Section.cs: Return the
	SchemaPreference<T> object created in the Add (SchemaEntry<T>) helper.

	* src/Core/Banshee.Services/Banshee.Preferences/PreferenceBase.cs: Add
	ShowDescription property, and ValueChanged event.

	* src/Core/Banshee.Services/Banshee.Playlist/PlaylistSource.cs:
	* src/Core/Banshee.Services/Banshee.Playlist/AbstractPlaylistSource.cs:
	* src/Core/Banshee.Services/Banshee.Sources/DatabaseSource.cs:
	* src/Core/Banshee.Services/Banshee.Sources/Source.cs: Use the new
	TypeUniqueId setter, and fix how DbId and AfterInitialize etc are called.

	* src/Core/Banshee.Services/Banshee.Sources/PrimarySource.cs: Add
	DeleteAllTracks method, refactor creation of expanded_schema, and
	ProxyToMain OnTracksAdded etc calls.

	* src/Core/Banshee.Services/Banshee.Sources/ErrorSource.cs: Use new
	TypeUniqueId setter and ProxyToMain for OnCleared and OnReloaded methods.

	* src/Core/Banshee.Services/Banshee.Database/BansheeDbFormatMigrator.cs:
	Set the Podcast MediaAttribute on all items in the Podcast primary source,
	since we had that bug in PodcastTrackInfo that's now fixed.

	* src/Core/Banshee.Services/Banshee.Library/LibraryLocationPreference.cs:
	Raise ValueChanged where appropriate.

	* src/Core/Banshee.Services/Banshee.Library/LibrarySource.cs: Add
	SyncCondition, AttributesCondition, MediaTypes, and NotMediaTypes
	properties.

	* src/Core/Banshee.Services/Banshee.Library/VideoLibrarySource.cs:
	* src/Core/Banshee.Services/Banshee.Library/MusicLibrarySource.cs: Set
	MediaTypes and NotMediaTypes to filter on audio/video/podcasts as
	appropriate.

	* src/Core/Banshee.Services/Banshee.SmartPlaylist/SmartPlaylistSource.cs:
	New AddCondition method for restricting a SmartPlaylist beyond the
	ConditionTree.

	* src/Core/Banshee.Core/Banshee.Collection/TrackInfo.cs: Rename IsMedia to
	HasAttribute, and add SetAttributeIf (bool, attr) helper.

	* src/Core/Banshee.Core/Banshee.Streaming/StreamTagger.cs: Only add new
	attributes in FindTrackMediaAttributes, don't remove current ones.

	* src/Backends/Banshee.Gnome/Banshee.GnomeBackend/GConfConfigurationClient.cs:
	Handle null keys.

	* src/Libraries/Mtp/Mtp/MtpDevice.cs: Make sure the folder is set, falling
	back to the MusicFolder if it's not.

	* src/Libraries/Mtp/Mtp/Track.cs: Add a Year helper property that sets the
	ReleaseDate appropriately, and add InFolder method.

	* src/Libraries/Hyena/Hyena.Data.Sqlite/SqliteModelProvider.cs: Fix bug
	where VirtualColumns (values from tables other than the primary one)
	caused the join-condition with their table to be duplicated.

	* Makefile.am: Add make mdb helper, though I haven't really gotten it to
	work great yet.

2008-09-04  Bertrand Lorentz  <bertrand.lorentz@gmail.com>

	* src/Libraries/Lastfm/Lastfm.Data/LastfmData.cs: Patch from Iain Lane to
	not validate characters in XML returned from Last.fm. The Last.fm API 
	accepts (and returns) invalid characters sent to it (BGO #538206).

2008-09-03  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Extensions/Banshee.Podcasting/Banshee.Podcasting.Gui/PodcastSourceContents.cs:
	* src/Extensions/Banshee.Podcasting/Banshee.Podcasting.Gui/DownloadStatusFilterView.cs:
	* src/Extensions/Banshee.Podcasting/Banshee.Podcasting.Gui/ColumnCellDownloadStatus.cs:
	* src/Extensions/Banshee.Podcasting/Banshee.Podcasting.Data/PodcastSource.cs:
	* src/Extensions/Banshee.Podcasting/Banshee.Podcasting.Data/DownloadStatusFilterModel.cs:
	* src/Extensions/Banshee.Podcasting/Makefile.am:
	* src/Extensions/Banshee.Podcasting/Banshee.Podcasting.csproj: Add another
	filter for episode downloaded status.

2008-09-03  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Dap/Banshee.Dap.Ipod/Banshee.Dap.Ipod/IpodSource.cs:
	* src/Dap/Banshee.Dap.Mtp/Banshee.Dap.Mtp/MtpSource.cs: Add more
	properties that show up in the properties dialog.

	* src/Dap/Banshee.Dap.Mtp/Banshee.Dap.Mtp.csproj: Reference Mtp.

	* src/Dap/Banshee.Dap/Banshee.Dap/DapSync.cs: Fix typo.

	* src/Dap/Banshee.Dap/Banshee.Dap.Gui/DapContent.cs: Subclass from
	DapPropertiesDiaplay and pack in the LargeIcon.

2008-09-03  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Dap/Banshee.Dap.Ipod/Banshee.Dap.Ipod/IpodSource.cs: Add a bunch of
	properties (model, color, firmware, etc) to the properties dialog.  When
	loading tracks, don't fail entirely if there is an exception on one.
	Improve how/when the name is retrieved off the device, and set as
	Activatable so the new Sync UI is visible.

	* src/Core/Banshee.Services/Banshee.Collection.Database/DatabaseTrackInfo.cs:
	Don't automatically save in the PlaybackError setter (BGO #539696).

	* src/Core/Banshee.Core/Banshee.Collection/TrackInfo.cs: Add a
	SavePlaybackError method that sets it and then saves it.

	* src/Core/Banshee.Services/Banshee.Streaming/RadioTrackInfo.cs:
	* src/Core/Banshee.Services/Banshee.MediaEngine/PlayerEngineService.cs:
	* src/Backends/Banshee.GStreamer/Banshee.GStreamer/PlayerEngine.cs: Use
	the new SavePlaybackError method.

	* configure.ac: Remove remote audio/moonlight from the echo since they're
	not yet finished/usable.

2008-09-03  Aaron Bockover  <abock@gnome.org>

	* libbanshee/banshee-player-pipeline.c: Disabled the visualization 
	pipeline for now since it's a huge CPU hog

2008-09-03  Aaron Bockover  <abock@gnome.org>

	Converted project infrastructure from MonoDevelop 1.0 format (mds/mdp) to 
	VisualStudio 2005 format (sln/csproj) to help in getting the managed
	code to build in Windows

2008-09-03  Gabriel Burt  <gabriel.burt@gmail.com>

	Merged branches/banshee/gburt/ -r4443:4452 to trunk (muinshee, working
	well but no easy way for end users to run it other than cli).

2008-09-03  Aaron Bockover  <abock@gnome.org>

	Merged branches/banshee/abock/@4403 to trunk (the hot new track editor,
	but it's still not complete and is disabled by default right now)

2008-09-02  Aaron Bockover  <abock@gnome.org>

	* src/Libraries/Hyena.Gui/Hyena.Gui.Theming/GtkTheme.cs: Change
	GetCairoTextMidColor to use AlphaBlend function (BGO #544840)

	* src/Libraries/Hyena.Gui/Hyena.Gui/CairoExtensions.cs: Implemented simple
	color alpha blending utility [P=(1-a)P_0 + aP_1]

	* src/Libraries/Hyena.Gui/Hyena.Gui/Contrast.cs: Add some color contrast
	utilities, copied from Tomboy and modified to work with Cairo colors

2008-08-30  Aaron Bockover  <abock@gnome.org>

	* src/Core/Banshee.Core/Resources/contributors.xml: Added his highness, Brad
	
	* src/Core/Banshee.ThickClient/Banshee.Gui.Widgets/LargeTrackInfoDisplay.cs:
	Increase spacing to 30px

2008-08-28  Brad Taylor  <brad@getcoded.net>

	* src/Extensions/Banshee.RemoteAudio/Resources:
	* src/Extensions/Banshee.RemoteAudio/Resources/GlobalUI.xml:
	* src/Extensions/Banshee.RemoteAudio/Banshee.RemoteAudio.addin.xml:
	* src/Core/Banshee.ThickClient/Resources/core-ui-actions-layout.xml:
	* src/Extensions/Banshee.RemoteAudio/Banshee.RemoteAudio/RemoteAudioActions.cs:
	* src/Extensions/Banshee.RemoteAudio/Banshee.RemoteAudio/RemoteSpeakersComboBox.cs:
	* src/Extensions/Banshee.RemoteAudio/Banshee.RemoteAudio/RemoteSpeakersWidget.cs:
	Add UI to select a remote speaker.

	* src/Extensions/Banshee.RemoteAudio/Banshee.RemoteAudio/RemoteAudioService.cs:
	Thread safety and add debugging information.

	* src/Extensions/Banshee.RemoteAudio/Banshee.RemoteAudio/RemoteSpeaker.cs:
	Add a Name property that will hold the fuzzy name of the device.

	* src/Core/Banshee.Widgets/Banshee.Widgets/DictionaryComboBox.cs: Add a
	  clear method, and handle setting ActiveValue to null to deselect.

2008-08-28  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Clients/Muinshee/Resources/GlobalUI.xml: Add missing file.

2008-08-28  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Clients/Nereid/Nereid/PlayerInterface.cs:
	* src/Clients/Muinshee/Muinshee/PlayerInterface.cs:
	* src/Core/Banshee.ThickClient/Banshee.Gui/BaseClientWindow.cs: Move a lot
	of method up to BaseClientWindow from Nereid's PlayerInterface so can be
	used by Muinshee too.

	* src/Clients/Muinshee/Makefile.am:
	* src/Clients/Muinshee/Muinshee.mdp: Add and remove files.

	* src/Clients/Nereid/Nereid/Client.cs:
	* src/Clients/Muinshee/Muinshee/Client.cs:
	* src/Core/Banshee.ThickClient/Banshee.Gui/GtkBaseClient.cs: Factor our a
	lot of common functionality into the parent class.

	* src/Clients/Muinshee/Muinshee/ViewContainer.cs: Deleted

	* src/Clients/Muinshee/Muinshee/MuinsheeActions.cs: Set disc icon on Play
	Album action, and launch the Dialogs when the actions are activated.

	* src/Clients/Muinshee/Muinshee/MuinsheeTrackInfoDisplay.cs:

	* src/Clients/Muinshee/Muinshee/AlbumDialog.cs:
	* src/Clients/Muinshee/Muinshee/SongDialog.cs:
	* src/Clients/Muinshee/Muinshee/BaseDialog.cs: Split dialog classes out,
	and implement query, queue, and play functionality.

	* src/Core/Banshee.ThickClient/Banshee.Collection.Gui/ColumnCellTrack.cs:
	Implement ITextCell.

	* src/Core/Banshee.ThickClient/Banshee.Collection.Gui/BaseTrackListView.cs:
	Factored out from TrackListView.

	* src/Core/Banshee.ThickClient/Banshee.Collection.Gui/TrackListView.cs:
	Inherit from BaseTrackListview.

	* src/Core/Banshee.ThickClient/Banshee.Collection.Gui/TerseTrackListView.cs:
	Inherit from BaseTrackListview, getting us lots of goodies - DnD, context
	menu, o-to-play, and double-click to play.

	* src/Core/Banshee.ThickClient/Banshee.Collection.Gui/TrackFilterListView.cs:
	Hide the header, and move RowActivated handler to virtual method.

	* src/Core/Banshee.ThickClient/Makefile.am:
	* src/Core/Banshee.ThickClient/Banshee.ThickClient.mdp: Add new files.

	* src/Core/Banshee.ThickClient/Banshee.Gui/PersistentWindowController.cs:
	New class that can save and restore the size and/or position of a
	Gtk.Window.

	* src/Core/Banshee.ThickClient/Banshee.Gui.Widgets/TrackInfoDisplay.cs:
	Lazily load the missing pixbufs.

	* src/Core/Banshee.ThickClient/Banshee.Gui.Dialogs/BansheeDialog.cs: Add
	another convenience override.

	* src/Core/Banshee.Services/Banshee.Collection.Database/DatabaseAlbumListModel.cs:
	Whitespace.

	* src/Core/Banshee.Services/Banshee.Collection.Database/DatabaseTrackListModel.cs:
	Add nifty IndexOfFirst (TrackInfo) class that uses the super-powers of
	MetadataHash.

	* src/Core/Banshee.Services/Banshee.Sources/Source.cs: Make the
	CurrentStatusFormat public.

	* src/Libraries/Hyena.Gui/Hyena.Data.Gui/ITextCell.cs: New inteface that
	has a FontWeight property.

	* src/Libraries/Hyena.Gui/Hyena.Data.Gui/ColumnCellText.cs: Implement
	ITextCell.

	* src/Libraries/Hyena.Gui/Hyena.Data.Gui/ListView/ListView_Rendering.cs:
	Instead of checking for ColumnCellText objects and setting their weight,
	do the same for all ITextCell instances.

	* src/Libraries/Hyena.Gui/Hyena.Gui.mdp:
	* src/Libraries/Hyena.Gui/Makefile.am:
	* src/Libraries/Hyena.Gui/Hyena.Widgets/ImageButton.cs: New convenience
	class for a Button that has an image and a label in it.

	* build/build.environment.mk: Add vars to enable linking against the
	PlayQueue.

	* Makefile.am: Temporarily start Banshee with the Muine client.  This
	needs to be reworked so that the previously used client is automatically
	used.

2008-08-28  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Core/Banshee.ThickClient/Banshee.Gui/BansheeActionGroup.cs: Fix bug
	by ensuring we get the UI resource file from the calling assembly.

2008-08-28  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Core/Banshee.ThickClient/Banshee.Gui/BansheeActionGroup.cs: Add
	Register and UnRegister methods that Add/Remove the ActionGroup from the
	InterfaceActionService.

2008-08-27  Brad Taylor  <brad@getcoded.net>

	* configure.ac:
	* build/build.environment.mk:
	* src/Extensions/Makefile.am:
	* build/m4/banshee/remote-audio.m4:
	* src/Extensions/Banshee.RemoteAudio/: Begin support for Remote Audio (aka
	  AirTunes).

2008-08-27  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Core/Banshee.Widgets/Banshee.Widgets/RatingActionProxy.cs:
	* src/Core/Banshee.Widgets/Banshee.Widgets/CustomActionProxy.cs: Make work
	with Toolbars as well, so we can have custom toolbar widgets connected to
	Gtk.Actions.

2008-08-26  Aaron Bockover  <abock@gnome.org>

	* src/Core/Banshee.Services/Banshee.Services.addins: Tell Mono.Addins
	to look in /tmp/banshee-addins-dev for extensions; developers who wish
	to run external extensions they are developing should copy their extensions
	here, run banshee

2008-08-26  Aaron Bockover  <abock@gnome.org>

	* configure.ac: Fix the assembly versioning to eliminate the build 
	revision so MD doesn't go apeshit. Awesome. (BNC #352440, not fixed)

	* src/Core/Banshee.Core/Banshee.IO/StreamAssist.cs: Provide some overrides
	to avoid closing streams when writing if desired

	* src/Core/Banshee.Services/Banshee.Web/HttpRequest.cs: A reusable
	HttpRequest object that makes fetching streams and making requests easier
	and more unified and consistent for Banshee; probably not complete and
	not used anywhere yet

	* src/Core/Banshee.Core/Resources/translators.xml: Updated

2008-08-26  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Clients/Muinshee/Makefile.am:
	* src/Clients/Muinshee/Muinshee.mdp:
	* src/Clients/Muinshee/Muinshee/MuinsheeActions.cs: New file adding
	Muinshee's Gtk.Actions and UIManager XML.

	* src/Clients/Muinshee/Muinshee/PlayerInterface.cs: Instantiate and
	dispose the MuinsheeActions.

	* src/Clients/Muinshee/Muinshee/Client.cs: Change client's name.

2008-08-26  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Clients/Clients.mds:
	* src/Clients/Makefile.am:
	* src/Clients/Muinshee/Makefile.am:
	* src/Clients/Muinshee/Muinshee.mdp:
	* src/Clients/Muinshee/Muinshee/PlayerInterface.cs:
	* src/Clients/Muinshee/Muinshee/ViewContainer.cs:
	* src/Clients/Muinshee/Muinshee/Client.cs:
	* configure.ac: Groundwork for a new client: Muinshee

2008-08-25  Aaron Bockover  <abock@gnome.org>

	* build/pkg-config/Makefile.am:
	* build/pkg-config/*.pc.in: Use @libdir@ to make sure the .pc file 
	work on 64 bit (lib64)

	* configure.ac: Bump version

2008-08-24  Aaron Bockover  <abock@gnome.org>

	Phase 1 of Hackweek: wrote JSON tokenizer and parser/deserializer and 
	lots of unit tests. It covers 100% of the 'spec' at json.org, implemented
	from reading the grammar images published there.

	* src/Libraries/Hyena/Hyena.Json/Tokenizer.cs: Lex JSON according to
	the spec on json.org, transform to stream of tokens

	* src/Libraries/Hyena/Hyena.Json/Deserializer.cs: Parser built on top
	of the tokenizer that constructs the JSON objects from the token stream
	
	* src/Libraries/Hyena/Hyena.Json/IJsonCollection.cs: Collection interface
	providing Dump methods

	* src/Libraries/Hyena/Hyena.Json/JsonArray.cs:
	* src/Libraries/Hyena/Hyena.Json/JsonObject.cs: The two collection 
	objects in JSON, derived from List and Dictionary respectively

	* src/Libraries/Hyena/Hyena.Json/Token.cs:
	* src/Libraries/Hyena/Hyena.Json/TokenType.cs: Token class and type flags

	* src/Libraries/Hyena/Hyena.Json/Tests/DeserializerTests.cs:
	* src/Libraries/Hyena/Hyena.Json/Tests/TokenizerTests.cs: Unit tests for
	the tokenizer and deserializer

2008-08-23  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Extensions/Banshee.Podcasting/Resources/ActiveSourceUI.xml: Put
	'Mark New' above 'Mark Old'.

	* src/Core/Banshee.ThickClient/Banshee.Collection.Gui/DefaultColumnController.cs:
	Add Album Artist, Comment, Track Count, Disc Count, Bpm, BitRate,
	Conductor, and Grouping column.

	* src/Core/Banshee.ThickClient/Banshee.Gui/InterfaceActionService.cs:
	* src/Core/Banshee.ThickClient/Banshee.Gui/BansheeActionGroup.cs: Add
	helpers for adding/removing UIManager elements.

	* src/Core/Banshee.Services/Banshee.Query/BansheeQuery.cs: Add
	AlbumArtist, Disc Count, TrackCount, Bpm, BitRate, Conductor, and Gruping
	query fields and sorting.  Add TrackNumber, which previously was defined
	as a query field but not in the default FieldSet.

	* src/Core/Banshee.Services/Banshee.MediaEngine/PlayerEngineService.cs:
	Don't increment the play/skip count if the file had an error.

2008-08-22  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Dap/Banshee.Dap/Makefile.am:
	* src/Dap/Banshee.Dap/Banshee.Dap.mdp: Add new files.

	* src/Dap/Banshee.Dap/Banshee.Dap/RemovableSource.cs: Use the Name not the
	GenericName in the unmap and delete tracks action labels.

	* src/Dap/Banshee.Dap/Banshee.Dap/DapLibrarySync.cs:
	* src/Dap/Banshee.Dap/Banshee.Dap/DapSync.cs: Use Banshee.Preferences.

	* src/Dap/Banshee.Dap/Banshee.Dap/DapSource.cs: Use Banshee.Preferences,
	expose DapSync object, set a Nereid.SourceContents override (and make
	activatable), and override Count to 0 so it doesn't show next to the main
	dap source.

	* src/Dap/Banshee.Dap/Resources/ActiveSourceUI.xml: Add eject and sync to
	the toolbar, and sync to the source context menu.

	* src/Dap/Banshee.Dap/Banshee.Dap.Gui/DapContent.cs: New class, completely
	unfinished, displays the preferences for syncing etc.

	* src/Dap/Banshee.Dap/Banshee.Dap.Gui/DapActions.cs: Add and handle a
	Synchronize action.

	* src/Core/Banshee.ThickClient/Banshee.Gui/InterfaceActionService.cs: Add
	and check a source property for the assembly the ActiveSourceUIResource
	file is located in.

	* src/Core/Banshee.ThickClient/Banshee.Gui/BansheeActionGroup.cs: Make all
	actions important by default, but add protected property to use old
	behavior.  Add another override to UpdateAction.

	* src/Core/Banshee.ThickClient/Banshee.Gui/PlaybackActions.cs: Set the
	default to not be all actions important.

	* src/Core/Banshee.ThickClient/Banshee.Preferences.Gui/WidgetFactory.cs:
	Listen for the preference's Changed event to update visible/sensitive.

	* src/Core/Banshee.ThickClient/Resources/core-ui-actions-layout.xml: Add a
	placeholder in the removable source context menu.

	* src/Core/Banshee.Services/Banshee.Preferences/Root.cs: Add a Changed
	event and fire it when sensitive/visible change.

	* src/Core/Banshee.Services/Banshee.Preferences/Section.cs: Add
	convenience Add override that takes a SchemaEntry and creates a
	SchemaPreference automatically from its Short and LongDescription.

2008-08-22  James Willcox  <snorp@novell.com>

	* src/Extensions/Banshee.Lastfm/Resources/lastfm.glade:

	Make the entry activate the default action.

2008-08-22  Bertrand Lorentz  <bertrand.lorentz@gmail.com>

	* src/Core/Banshee.Services/Banshee.Collection.Database/DatabaseTrackInfo.cs:
	* src/Core/Banshee.Services/Banshee.Query/BansheeQuery.cs: Fix a crash 
	caused by the DiscNumber property name change (BGO #548975).

2008-08-21  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Dap/Banshee.Dap/Makefile.am:
	* src/Dap/Banshee.Dap/Banshee.Dap.mdp: Add new files.

	* src/Dap/Banshee.Dap/Banshee.Dap/DapSync.cs:
	* src/Dap/Banshee.Dap/Banshee.Dap/DapLibrarySync.cs: New classes that
	contain all the logic for syncing a DAP to the libraries.  Use smart
	playlists to represent the 

	* src/Dap/Banshee.Dap/Banshee.Dap/RemovableSource.cs: Add a virtual
	BytesAvailable property.

	* src/Dap/Banshee.Dap/Banshee.Dap/DapSource.cs: Remove temporary sync code
	I recently committed, add a schema pref for space_for_data and respect it
	when transferring files, override the BytesAvailable to subtract out the
	bytes reserved for data.

	* src/Core/Banshee.Services/Banshee.Collection.Database/DatabaseTrackInfo.cs:
	* src/Core/Banshee.Core/Banshee.Collection/TrackInfo.cs: Move the
	MetadataHash property to TrackInfo.

	* src/Core/Banshee.Services/Banshee.Playlist/PlaylistSource.cs:
	* src/Core/Banshee.Services/Banshee.Playlist/AbstractPlaylistSource.cs:
	* src/Core/Banshee.Services/Banshee.SmartPlaylist/SmartPlaylistSource.cs:
	Add an IsTemporary property, and delete temporary playlists from the
	database on startup.

	* src/Core/Banshee.Services/Banshee.Sources/Source.cs: Add another
	CreateSchema override that takes a namespace.

	* src/Core/Banshee.Services/Banshee.Database/BansheeDbFormatMigrator.cs:
	Add IsTemporary columns to CorePlaylists/SmartPlaylists/PrimarySources.

	* src/Core/Banshee.Core/Resources/contributors.xml: Add Andrew Conkling -
	he has done so much work for so long in Bugzilla, should have been listed
	here long ago.

	* src/Libraries/Hyena/Hyena.Data.Sqlite/HyenaSqliteConnection.cs: Fix
	small bug in HyenaDataReader in how/when it calls .Read on the underlying
	IDataReader.

	* build/m4/banshee/taglib.m4: Require 2.0.3 since that's when
	IsCompilation was introduced.

2008-08-21  Aaron Bockover  <abock@gnome.org>

	* src/Core/Banshee.Services/Banshee.Networking/Network.cs: Turned into
	a real service and support overriding the connection status to support
	an offline mode, configurable in preferences
	
	* src/Core/Banshee.Services/Banshee.ServiceStack/IRegisterOnDemandService.cs
	* src/Core/Banshee.Services/Banshee.ServiceStack/ServiceManager.cs:
	Added support for services to be registered when they are first requested
	
	* src/Core/Banshee.Services/Banshee.Equalizer/EqualizerSetting.cs:
	Use the player_engine namespace like the rest of the engine settings

	* src/Core/Banshee.Services/Banshee.Preferences/Page.cs: 
	* src/Backends/Banshee.GStreamer/Banshee.GStreamer/PlayerEngine.cs:
	Added a misc section to the general prefs section; put replaygain there;
	not happy with this but it'll have to work for now

	* src/Extensions/Banshee.CoverArt/Banshee.CoverArt/CoverArtService.cs:
	* src/Extensions/Banshee.Lastfm/Banshee.Lastfm.Radio/LastfmSource.cs:
	* src/Extensions/Banshee.Lastfm/Banshee.Lastfm.Audioscrobbler/AudioscrobblerService.cs:
	* src/Extensions/Banshee.Podcasting/Banshee.Podcasting/PodcastImageFetchJob.cs:
	* src/Core/Banshee.Services/Banshee.Metadata/MetadataServiceJob.cs:
	* src/Core/Banshee.Services/Banshee.Metadata.LastFM/LastFMQueryJob.cs:
	* src/Core/Banshee.Services/Banshee.Metadata.Rhapsody/RhapsodyQueryJob.cs:
	* src/Core/Banshee.Services/Banshee.Metadata.MusicBrainz/MusicBrainzQueryJob.cs:
	Updated to use the slightly changed network service API

2008-08-21  Sandy Armstrong  <sanfordarmstrong@gmail.com>

	* src/Core/Banshee.ThickClient/Banshee.Collection.Gui/ArtworkManager.cs:
	Don't try to to scale cover art if the size specified is <= 1.  Fixes
	hangs described in BGO #548300.

2008-08-20  Aaron Bockover  <abock@gnome.org>

	Committed a revised/reorganized version of Chris Howie's <cdhowie@gmail.com>
	visualization support patch (BGO #529479); this does not actually implement
	visualization, but adds support for extensions to do so by harvesting
	spectrum data that is now readily available.

	* src/Core/Banshee.Services/Banshee.MediaEngine/IVisualizationDataSource.cs:
	* src/Core/Banshee.Services/Banshee.MediaEngine/VisualizationDataCallback.cs:
	Add interface for PlayerEngines that can provide data for visualizations.

	* src/Backends/Banshee.GStreamer/Banshee.GStreamer/PlayerEngine.cs:
	Implement IVisualizationDataSource, binding the unmanaged visualization
	support from libbanshee's BansheePlayer

	* libbanshee/banshee-player-vis.c
	* libbanshee/banshee-player-vis.h: Unmanaged support for gathering
	visualization data on the pipeline using the spectrum element

	* libbanshee/banshee-player-pipeline.c:
	* libbanshee/banshee-player-private.h: Integrate new vis code into the
	pipeline and player object

2008-08-20  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Dap/Banshee.Dap/Banshee.Dap/MediaGroupSource.cs: Use the
	UnfilteredFileSize so that the dap info bar isn't inaccurate when
	filtering (BGO #537366).

	* src/Core/Banshee.Services/Banshee.Collection.Database/DatabaseTrackListModel.cs: 
	Get the unfiltered total file size in addition to the count.

	* src/Core/Banshee.Services/Banshee.Sources/DatabaseSource.cs: Make the
	getter for DatabaseTrackModel public.

2008-08-22  Aaron Bockover  <abock@gnome.org>

	* src/Core/Banshee.ThickClient/Banshee.Gui.TrackEditor/TrackEditorDialog.cs:
	Recursively find all SyncButton instances inside of the notebook and
	click them - this enables the 'sync all fields' button

	* src/Core/Banshee.ThickClient/Banshee.Gui.TrackEditor/FieldPage.cs:
	* src/Core/Banshee.ThickClient/Banshee.Gui.TrackEditor/EditorUtilities.cs:
	* src/Core/Banshee.ThickClient/Banshee.Gui.TrackEditor/SyncButton.cs:
	Removed the utility to create a sync button, replaced with a proper 
	SyncButton class so that type detection can be done at runtime

2008-08-22  Aaron Bockover  <abock@gnome.org>

	This commit enables view and edit modes for the dialog and allows pages
	to be displayed or hidden based on their type and the mode of the editor;
	help is also moved into its own extension page

	* src/Core/Banshee.ThickClient/Banshee.ThickClient.addin.xml: Add help page

	* src/Core/Banshee.ThickClient/Banshee.Gui/TrackActions.cs: Use wrapper
	API for running the editor dialog

	* src/Core/Banshee.ThickClient/Banshee.Gui.TrackEditor/PageType.cs:
	* src/Core/Banshee.ThickClient/Banshee.Gui.TrackEditor/EditorMode.cs:
	Added enum for page types and editor mode

	* src/Core/Banshee.ThickClient/Banshee.Gui.TrackEditor/FieldPage.cs:
	* src/Core/Banshee.ThickClient/Banshee.Gui.TrackEditor/StatisticsPage.cs:
	Updated to implement new ITrackEditor page API

	* src/Core/Banshee.ThickClient/Banshee.Gui.TrackEditor/ITrackEditorPage.cs:
	Added TabWidget and PageType properties

	* src/Core/Banshee.ThickClient/Banshee.Gui.TrackEditor/TrackEditorDialog.cs:
	Support edit modes (view and edit) and only show pages as appropriate to
	the mode based on their type

	* src/Core/Banshee.ThickClient/Banshee.Gui.TrackEditor/HelpPage.cs: Moved
	the Help into an actual extension page

2008-08-22  Aaron Bockover  <abock@gnome.org>

	* src/Core/Banshee.ThickClient/Banshee.Gui.TrackEditor/StatisticsPage.cs:
	Name it "properties"

	* src/Core/Banshee.ThickClient/Banshee.Gui.TrackEditor/TrackEditorDialog.cs:
	Add a label showing which track/count we're at

2008-08-22  Aaron Bockover  <abock@gnome.org>

	* src/Core/Banshee.ThickClient/Banshee.Gui.TrackEditor/GenreEntry.cs:
	Use QueryEnumerable

	* src/Core/Banshee.ThickClient/Banshee.Gui.TrackEditor/StatisticsPage.cs:
	Some cleanup

2008-08-22  Aaron Bockover  <abock@gnome.org>

	* src/Core/Banshee.ThickClient/Banshee.Collection.Gui/ColumnCellDuration.cs:
	Use the DurationStatusFormatters.ConfusingPreciseFormatter to display dur

	* src/Core/Banshee.Services/Banshee.Sources/DurationStatusFormatters.cs:
	Do not display minutes as {0:00} if hours < 1
	
	* src/Core/Banshee.ThickClient/Banshee.ThickClient.addin.xml: Added stats
	* src/Core/Banshee.ThickClient/Banshee.Gui.TrackEditor/ExtraTrackDetailsPage.cs:
	Fix bug, name the tab "Extra"

	* src/Core/Banshee.ThickClient/Banshee.Gui.TrackEditor/GenreEntry.cs:
	Implemented the genre combo box entry

	* src/Core/Banshee.ThickClient/Banshee.Gui.TrackEditor/StatisticsPage.cs:
	Implemented an awesome new stats page to show detailed file info

	* src/Core/Banshee.ThickClient/Banshee.Gui.TrackEditor/EditorTrackInfo.cs:
	Implement the TagLib file property

	* src/Core/Banshee.ThickClient/Banshee.Gui.TrackEditor/TrackEditorDialog.cs:
	Make the sync all button nicer

	* src/Core/Banshee.ThickClient/Banshee.Gui.TrackEditor/TextViewEntry.cs:
	Restrict the comments field two two lines of text

	* src/Core/Banshee.ThickClient/Banshee.Gui.TrackEditor/BasicTrackDetailsPage.cs:
	Use the new genre entry

2008-08-20  Aaron Bockover  <abock@gnome.org>

	* src/Core/Banshee.ThickClient/Banshee.Gui.TrackEditor/FieldPage.cs:
	Hook up field syncing
	
	* src/Core/Banshee.ThickClient/Banshee.Gui.TrackEditor/EditorTrackInfo.cs:
	Support setting the index of the track in editor speak

	* src/Core/Banshee.ThickClient/Banshee.Gui.TrackEditor/TrackEditorDialog.cs:
	Split LoadTrack and GetTrack, provide ForeachNonCurrentTrack method

2008-08-20  Aaron Bockover  <abock@gnome.org>

	* src/Core/Banshee.ThickClient/Banshee.Gui.TrackEditor/ExtraTrackDetailsPage.cs:
	* src/Core/Banshee.ThickClient/Banshee.Gui.TrackEditor/BasicTrackDetailsPage.cs:
	Change the expand=false parameters to pass FieldOptions.Shrink; pass
	the dialog reference to the title entry field

	* src/Core/Banshee.ThickClient/Banshee.Gui.TrackEditor/FieldPage.cs:
	Do not add a sync button if the field has the FieldOptions.NoSync option

	* src/Core/Banshee.ThickClient/Banshee.Gui.TrackEditor/TrackEditorDialog.cs:
	Make the navigation API public

	* src/Core/Banshee.ThickClient/Banshee.Gui.TrackEditor/FieldOptions.cs:
	Added an enum of options to reduce the AddField overloads

	* src/Core/Banshee.ThickClient/Banshee.Gui.TrackEditor/TitleEntry.cs:
	Implement keyboard navigation when activating the title entry

2008-08-19  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Core/Banshee.Services/Banshee.Metadata/MetadataService.cs: Avoid NRE.

2008-08-19  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Core/Banshee.Core/Banshee.Collection/TrackInfo.cs: Ensure TrackCount
	and DiscCount are never less than TrackNumber and DiscNumber respectively.

2008-08-19  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Extensions/Banshee.AudioCd/Banshee.AudioCd/AudioCdDiscModel.cs:
	* src/Extensions/Banshee.AudioCd/Banshee.AudioCd/AudioCdSource.cs:
	* src/Core/Banshee.ThickClient/Banshee.Gui.Dialogs/TrackEditor.cs:
	* src/Core/Banshee.Services/Banshee.Collection.Database/DatabaseAlbumInfo.cs:
	* src/Core/Banshee.Services/Banshee.Collection.Database/DatabaseTrackInfo.cs:
	* src/Core/Banshee.Services/Banshee.Collection.Database/DatabaseArtistInfo.cs:
	* src/Core/Banshee.Services/Banshee.Database/BansheeDbFormatMigrator.cs:
	* src/Core/Banshee.Core/Banshee.Collection/AlbumInfo.cs:
	* src/Core/Banshee.Core/Banshee.Collection/FileTrackInfo.cs:
	* src/Core/Banshee.Core/Banshee.Collection/TrackInfo.cs:
	* src/Core/Banshee.Core/Banshee.Streaming/SaveTrackMetadataJob.cs:
	* src/Core/Banshee.Core/Banshee.Streaming/StreamTagger.cs:
	* src/Core/Banshee.Core/Banshee.Streaming/CommonTags.cs:
	* src/Core/Banshee.Core/Banshee.Base/Tests/TaglibReadWriteTests.cs:
	* src/Backends/Banshee.GStreamer/Banshee.GStreamer/TagList.cs: Read BPM,
	Grouping, Bitrate, Conductor, DiscCount, and IsCompilation from TagLib#,
	and write the values that make sense (all but Bitrate).  This update
	triggers a metadata refresh to read in this info.

2008-08-18  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Dap/Banshee.Dap/Banshee.Dap/DapSource.cs: Add inner class for
	testing sync logic.  Currently will calculate how many items are on the
	device but not in the library and vice versa, and logs that info.

	* src/Libraries/Hyena/Hyena.Data.Sqlite/HyenaSqliteConnection.cs: Add new
	HyenaDataReader convenience class.

	* src/Libraries/Hyena/Hyena.Data.Sqlite/SqliteModelCache.cs: Use the
	QueryEnumerable<T> method instead of manually reading the IDataReader.

2008-08-17  Ruben Vermeersch  <ruben@savanne.be>

	* src/Core/Banshee.Services/Banshee.Preferences/Page.cs: Add a checkbox to
	enable the renaming of files and folders.

2008-08-17  Ruben Vermeersch  <ruben@savanne.be>

	* src/Core/Banshee.Core/Banshee.IO/Utilities.cs: Split
	TrimEmptyDirectories out of DeleteFileTrimmingParentDirectories, useful in
	case  you don't need the Delete.

	* src/Core/Banshee.Services/Banshee.Collection/MoveOnInfoSaveJob.cs:
	Added. Moves a file after changing the metadata. This maintains the
	FileNamePattern even after changing metadata.

	* src/Core/Banshee.Services/Makefile.am: Add the new file to the build.

	* src/Core/Banshee.ThickClient/Banshee.Gui.Dialogs/TrackEditor.cs: Queue a
	MoveOnInfoSaveJob when saving.

2008-08-17  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Dap/Banshee.Dap/Banshee.Dap/DapSource.cs: Fix bug with custom icon
	naming scheme for DAPs; was missing multimedia-player- prefix (BGO
	#537368).

2008-08-17  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Extensions/Banshee.Podcasting/Banshee.Podcasting/PodcastService.cs:
	Avoid scheduling artwork tasks for feeds we already have icons for.

	* src/Extensions/Banshee.Podcasting/Banshee.Podcasting.Gui/ColumnCellPodcast.cs:
	Fix the same disposing-the-default-pixbuf error.

2008-08-17  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Core/Banshee.Services/Banshee.Hardware/IDevice.cs:
	* src/Backends/Banshee.Hal/Banshee.HalBackend/Device.cs:
	* src/Backends/Banshee.Hal/Banshee.HalBackend/Volume.cs:
	* src/Dap/Banshee.Dap.Ipod/Banshee.Dap.Ipod/PodSleuthDevice.cs:
	* src/Dap/Banshee.Dap.Mtp/Banshee.Dap.Mtp/MtpSource.cs: Add Serial
	property, keeping Uuid for the HAL udi (or equiv on other backends).

	* src/Dap/Banshee.Dap/Banshee.Dap/DapService.cs: Make more thread safe.

	* src/Core/Banshee.Services/Banshee.Base/ThreadAssist.cs: Add
	AssertInMainThread method; logs a warning if in --debug mode and not
	called from the main thread.

	* src/Core/Banshee.Services/Banshee.Sources/SourceManager.cs: Assert that
	we're in the main thread when adding and removing sources.

	* src/Core/Banshee.Core/Banshee.Kernel/Scheduler.cs: Fix up the logging so
	that jobs that have exceptions are actually logged.

2008-08-17  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Extensions/Banshee.Podcasting/Banshee.Podcasting/PodcastService.cs:
	Only update a feed on startup if it hasn't been updated in over an hour.

2008-08-16  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Core/Banshee.Services/Banshee.MediaEngine/PlayerEngineService.cs:
	Avoid NRE (BGO #546864).

2008-08-16  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Core/Banshee.ThickClient/Banshee.Collection.Gui/ColumnCellAlbum.cs:
	Don't dispose the missing-coverart pixbuf, fixes recent issue with it
	disappearing.

	* src/Core/Banshee.ThickClient/Banshee.Collection.Gui/ArtworkRenderer.cs:
	Fix issue with the Album Browser being really slow/mushy to scroll by only
	calling GC.Collect every 100th pixbuf.Dispose (BGO #547628).

2008-08-16  Bertrand Lorentz  <bertrand.lorentz@gmail.com>

	* src/Libraries/Hyena/Hyena.Query/UserQueryParser.cs: Fix handling of 
	special characters in quotes (BGO #547078).

	* src/Libraries/Hyena/Hyena.Query/Tests/QueryTests.cs: Unit test for
	the above bug, written by Sandy Armstrong and modified by me.	

2008-08-16  Bertrand Lorentz  <bertrand.lorentz@gmail.com>

	* src/Core/Banshee.Services/Banshee.Sources/DatabaseSource.cs: Check if
	the cast of the TrackModel to DatabaseTrackListModel succeeded, to avoid
	a potential crash (BGO #547092).

2008-08-16  Alexander Hixon  <hixon.alexander@mediati.org>

	* src/Libraries/Hyena/Hyena/DateTimeUtil.cs:
	* src/Core/Banshee.ThickClient/Banshee.Gui.Dialogs/TrackEditor.cs: Enable
	the track editor to display the duration of tracks one hour or longer
	correctly. Adds some overloaded FormatDuration methods. Fixes BGO #537774.

2008-08-15  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Extensions/Banshee.Daap/Banshee.Daap/DaapProxyWebServer.cs: Don't
	log DAAP socket errors.

2008-08-15  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Dap/Banshee.Dap/Banshee.Dap.Gui/DapInfoBar.cs: Avoid NRE, and move a
	delegate to a method.

	* configure.ac: turn DEVEL_BUILD back on

2008-08-15  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Dap/Banshee.Dap/Banshee.Dap/DapService.cs: Be more careful about
	what we do inside lock().  Do actual interaction with SourceManager
	outside the lock() for Map/Unmap dap functions.

2008-08-15  Bertrand Lorentz  <bertrand.lorentz@gmail.com>

	* src/Dap/Banshee.Dap.Karma/Banshee.Dap.Karma.addin.xml:
	* src/Dap/Banshee.Dap.Karma/Banshee.Dap.Karma/KarmaTrackInfo.cs:
	* src/Dap/Banshee.Dap.Karma/Banshee.Dap.Karma/KarmaSource.cs:
	* src/Dap/Banshee.Dap.Karma/Makefile.am:
	* src/Dap/Makefile.am:
	* build/build.environment.mk:
	* configure.ac: Patch from Bob Copeland to add Karma DAP support. It is 
	enabled through the --enable-karma configure option and requires karma-sharp
	(BGO #541828).

2008-08-15  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Clients/Nereid/Nereid/PlayerInterface.cs: Fix bug with sometimes doing
	GTK/UI work not in the main thread.

2008-08-15  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Libraries/Hyena/Hyena.Data/PropertyStore.cs: Fix deadlock caused by
	a property change event triggering a propety get/set/remove.

2008-08-15  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Core/Banshee.Services/Banshee.Database/BansheeDbFormatMigrator.cs:
	Fix bug with not triggering metadata refresh when migrating from 0.13.2.

2008-08-15  Alexander Hixon  <ahixon@gnome.org>

	* src/Libraries/Lastfm/Lastfm/AudioscrobblerConnection.cs: Only use 'Log'
	rather than 'Hyena.Log' in the code since we've already referenced it.

	* src/Extensions/Banshee.MiniMode/Banshee.MiniMode/MiniModeWindow.cs:
	Make sure we can use the hotkeys from the main window. Based on a patch by
	Ruben Vermeersch. Fixes BGO #385849.

2008-08-15  Alexander Hixon  <ahixon@gnome.org>

	* src/Libraries/Lastfm/Lastfm/AudioscrobblerConnection.cs: Only post Now
	Playing information to AS servers after all tracks have been uploaded.
	Should also fix consecutive Now Playing updates. Closes BGO #524992.

2008-08-14  Aaron Bockover  <abock@gnome.org>

	* src/Clients/banshee-1.in: Fixes BGO #547725 (hyperair)

2008-08-14  Aaron Bockover  <abock@gnome.org>

	Merged the really nice and blingy cover art display back from r4350 now
	that 1.2.1 is out and we can afford more time to stress test it. Please
	file bugs.

	* src/Extensions/Banshee.NowPlaying/Banshee.NowPlaying/VideoDisplay.cs:
	* src/Extensions/Banshee.NowPlaying/Banshee.NowPlaying/XOverlayVideoDisplay.cs:
	* src/Extensions/Banshee.NowPlaying/Banshee.NowPlaying/NowPlayingInterface.cs:
	* src/Extensions/Banshee.NowPlaying/Banshee.NowPlaying/FullscreenWindow.cs:
	* src/Core/Banshee.ThickClient/Banshee.Collection.Gui/ArtworkRenderer.cs:
	* src/Core/Banshee.ThickClient/Banshee.Gui.Widgets/TrackInfoDisplay.cs:
	* src/Core/Banshee.ThickClient/Banshee.Gui.Widgets/ClassicTrackInfoDisplay.cs:
	* src/Libraries/Hyena.Gui/Hyena.Gui/CairoExtensions.cs:

2008-08-14  Aaron Bockover  <abock@gnome.org>

	* src/Backends/Banshee.GStreamer/Banshee.GStreamer/PlayerEngine.cs: 
	Implement ReplayGain preference and cope with the volume format change

	* libbanshee/banshee-player.c:
	* libbanshee/banshee-player-pipeline.c:
	* libbanshee/banshee-player-private.h: Integrate the ReplayGain support
	into the pipeline/player object; store user volume in the player object
	since the pipeline volume may have a ReplayGain scale factor; use a 
	double [0..1] to store the volume to make life easier

	* libbanshee/banshee-player-replaygain.c:
	* libbanshee/banshee-player-replaygain.h: Implemented ReplayGain volume
	scaling, reading data from GST_TAG_[TRACK|ALBUM]_[GAIN|PEAK] tags; 
	implemented based on the http://replaygain.hydrogenaudio.org/ spec, 
	including the 10 track scale history to implement average scale on 
	tracks without ReplayGain data

	* src/Core/Banshee.ThickClient/Banshee.Preferences.Gui/NotebookPage.cs:
	Do not show empty sections
	
	* src/Core/Banshee.Services/Banshee.Preferences/Page.cs: Add an empty
	playback section
	
	* src/Core/Banshee.Services/Banshee.Preferences/SchemaPreference.cs:
	Support a notification callback when the schema value is toggled

2008-08-14  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Core/Banshee.Services/Banshee.Collection.Database/DatabaseTrackInfo.cs:
	Add protected MetadataHash property, really only used to store a hashed
	string of title, artist, album, genre, duration, etc.  Will be used for
	sql-powered sync - select all the MetadataHashes that are in the library
	but not the device, and vice-versa.

	* src/Core/Banshee.Services/Banshee.Database/BansheeDbFormatMigrator.cs:
	Add MetadataHash column to CoreTracks, and trigger metadata refresh so the
	hashes are generated for existing tracks.

	* src/Libraries/Hyena/Hyena/CryptoUtil.cs: Speed up the MD5 hashing by
	caching the MD5 algorithm object, and speed up the IsMd5Encoded method by
	caching the Regex.

	* src/Libraries/Hyena/Hyena/Tests/CryptoUtilTests.cs: Make public instead
	of internal so these tests are actually ran, and add tests for null/empty
	strings.

2008-08-14  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Dap/Banshee.Dap/Banshee.Dap/DapService.cs: Lock on private object,
	not this to avoid deadlock with external code locking on this.

2008-08-14  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Extensions/Banshee.Torrent/Banshee.Torrent/TorrentService.cs: Fix
	style issues.

2008-08-13  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Extensions/Extensions.mds:
	* src/Extensions/Makefile.am:
	* src/Extensions/Banshee.Torrent/Banshee.Torrent.mdp:
	* src/Extensions/Banshee.Torrent/Banshee.Torrent/TorrentService.cs:
	* src/Extensions/Banshee.Torrent/Banshee.Torrent/TorrentFileDownloadTask.cs:
	* src/Extensions/Banshee.Torrent/Makefile.am:
	* src/Extensions/Banshee.Torrent/Banshee.Torrent.addin.xml:
	* build/m4/banshee/torrent.m4:
	* build/build.environment.mk:
	* configure.ac: Patch from Alan McGovern adding support for downloading
	.torrent podcast enclosures, with some build/style fixes by me.  Is not
	built by default (requires --enable-torrent option) and probably not
	buildable at all except within MonoDevelop.  Still under development, do
	not enable unless you know what you're doing.

2008-08-13  Gabriel Burt  <gabriel.burt@gmail.com>

	Patch from Alan McGovern laying the groundwork for torrent support in Migo.

	* src/Libraries/Migo/Migo.DownloadCore/DownloadManager.cs: Add support for
	other types of DownloadTasks.

	* src/Libraries/Migo/Migo.Syndication/FeedEnclosure.cs: Strip the trailing
	.torrent extension for the file name.

2008-08-12  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Extensions/Banshee.NowPlaying/Banshee.NowPlaying/VideoDisplay.cs:
	Fix a NRE in the cover art display when the ArtworkId for a track is null
	(BGO #547520).

2008-08-12  Aaron Bockover  <abock@gnome.org>

	Banshee 1.2.1 Released

2008-08-12  Aaron Bockover  <abock@gnome.org>

	* configure.ac: Bump version to 1.2.1

	* NEWS: Update

	* src/Extensions/Banshee.SqlDebugConsole/Makefile.am:
	* src/Extensions/Makefile.am: Fix build

2008-08-12  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Extensions/Banshee.Lastfm/Banshee.Lastfm.Recommendations/RecommendationPane.cs:
	Fix bug where top album buttons tried to open the wrong URL.

2008-08-12  Aaron Bockover  <abock@gnome.org>

	* Revert: svn merge -r 4350:4349; backed out my large commit from yesterday
	due to some apparent internal windowing regressions experience by some;
	unfortunately no bling for 1.2.1, but I'll work to get it back into 1.2.2

2008-08-12  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Core/Banshee.Services/Banshee.PlaybackController/PlaybackControllerService.cs:
	If there is no track loaded/playing and the user presses Play, if one or
	more items are selected, play the first intead of playing the first item
	in the source.

2008-08-12  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Dap/Banshee.Dap/Banshee.Dap/DapSource.cs: Catch and log exceptions
	thrown while loading the device's items.

	* src/Core/Banshee.Services/Banshee.Collection/ImportManager.cs: Don't
	create the user job if it's just going to be hidden.  Avoid a NRE if the
	ImportElement already fired the Finished event and the job was destroyed.

	* src/Libraries/Hyena/Hyena.Collections/QueuePipelineElement.cs: Prevent
	NRE by making sure the element is threaded.  This and the above NRE fix
	should fix the bug with mass storage devices not getting loaded (BGO
	#545604).

2008-08-12  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Libraries/Lastfm/Lastfm.Data/DataCore.cs: Patch from Félix Velasco
	and myself adding NRE protection, should fix some issues with
	recommendation pane not showing up (BGO #547177).

2008-08-11  Aaron Bockover  <abock@gnome.org>

	* src/Core/Banshee.ThickClient/Banshee.Gui.Widgets/LargeTrackInfoDisplay.cs:
	Implemented a new high resolution track info display; quite optimized for
	smooth xfade at higher resolutions through cairo; sits in the now playing
	source and works in full screen

	* src/Core/Banshee.ThickClient/Banshee.Gui.Widgets/TrackInfoDisplay.cs:
	Support Cairo Surface caching

	* src/Core/Banshee.ThickClient/Banshee.Gui.Widgets/ClassicTrackInfoDisplay.cs:
	Fixed some windowing issues

	* src/Libraries/Hyena.Gui/Hyena.Gui/CairoExtensions.cs: Added a 
	CreateSurfaceForPixbuf method

	* src/Extensions/Banshee.NowPlaying/Banshee.NowPlaying/VideoDisplay.cs:
	Removed non-video rendering code (idle logo, album art)

	* src/Extensions/Banshee.NowPlaying/Banshee.NowPlaying/NowPlayingTrackInfoDisplay.cs:
	LargeTrackInfoDisplay themed for the now playing source

	* src/Extensions/Banshee.NowPlaying/Banshee.NowPlaying/NowPlayingContents.cs:
	Base contents widget for now playing source; random things can be packed,
	including the video display and the album art view

	* src/Extensions/Banshee.NowPlaying/Banshee.NowPlaying/XOverlayVideoDisplay.cs:
	Eliminate an internal GdkWindow, attaching the video window to the root

	* src/Extensions/Banshee.NowPlaying/Banshee.NowPlaying/NowPlayingInterface.cs:
	Use the NowPlayingContents widget as the main widget to be detached for
	fullscreen mode

	* src/Extensions/Banshee.NowPlaying/Banshee.NowPlaying/FullscreenWindow.cs:
	Fixed rendering/mapping issue

	* src/Core/Banshee.ThickClient/Banshee.Collection.Gui/ArtworkRenderer.cs:
	Support specifying which corners to round

2008-08-11  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Libraries/Hyena/Hyena.Query/RelativeTimeSpanQueryValue.cs:
	* src/Libraries/Hyena/Hyena.Query/DateQueryValue.cs: Patch from Félix
	Velasco that makes never played tracks match 'last played > X' type
	queries (BGO #542930).

2008-08-08  Aaron Bockover  <abock@gnome.org>

	* src/Core/Banshee.ThickClient/Banshee.Equalizer.Gui/EqualizerBandScale.cs:
	Show the dB value in a tooltip against the band sliders

2008-08-08  Bertrand Lorentz  <bertrand.lorentz@gmail.com>

	* src/Extensions/Banshee.Daap/Daap/ServiceLocator.cs: Prevent a crash on
	exit when the DAAP browser could not start.

2008-08-07  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Core/Banshee.ThickClient/Banshee.Collection.Gui/TrackListView.cs:
	Make sure no modifiers are set when handling o like enter.

	* src/Core/Banshee.Services/Banshee.Collection.Database/DatabaseImportManager.cs:
	Only reload a max of 5 times during a given import; every 250 items or
	20%, whatever is more.

	* src/Core/Banshee.Services/Banshee.Collection/ImportManager.cs: Add a
	protected TotalCount property for the above 20% to use.

	* src/Core/Banshee.Services/Banshee.Database/BansheeDbFormatMigrator.cs:
	Fix bug where the metadata refresh was triggered for brand new databases.

	* src/Core/Banshee.Services/Banshee.PlayerMigration/AmarokPlayerImportSource.cs:
	Fix bug with rounding Amarok's ratings down (eg 7 down to 3, etc), and not
	migrating the added and last played stamps.

2008-08-06  Bertrand Lorentz  <bertrand.lorentz@gmail.com>

	* src/Libraries/Hyena.Gui/Hyena.Query.Gui/QueryTermBox.cs: Patch from 
	Félix Velasco fixing a crash when editing a smart playlist with a date 
	field (BGO #539960).

2008-08-05  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Extensions/Banshee.NowPlaying/Banshee.NowPlaying/VideoDisplay.cs:
	Show cover art here when playing music (BGO #539180).

	* src/Core/Banshee.Services/Banshee.Metadata.FileSystem/FileSystemQueryJob.cs:
	Fix bug just introduced by recent commit that ignored the
	too-many-random-files-in-this-folder limit if the file was cover.jpg etc.

2008-08-05  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Clients/Nereid/Nereid/Client.cs: Patch from Jo Shields fixing bug
	where --help-query-player didn't work (BGO #546334).

2008-08-05  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Core/Banshee.Services/Banshee.Playlists.Formats/PlaylistParser.cs:
	Instead of throwing an exception when the uri scheme isn't one we support,
	simply return false to indicate the parsing failed.  Fixes bug where
	mms:// URIs wouldn't load (BGO #546392).

	* src/Libraries/Hyena/Hyena.Data.Sqlite/HyenaSqliteConnection.cs: Call
	typeof (T) once instead of N times.

2008-08-05  Bertrand Lorentz  <bertrand.lorentz@gmail.com>

	* src/Core/Banshee.Services/Banshee.Playlists.Formats/AsxPlaylistFormat.cs:
	Another patch from Félix Velasco, this time to fix the parsing of ASX 
	playlists (BGO #545646).

2008-08-05  Bertrand Lorentz  <bertrand.lorentz@gmail.com>

	* src/Extensions/Banshee.InternetRadio/Banshee.InternetRadio/InternetRadioSource.cs:
	Patch from Félix Velasco to select the proper source when showing the radio
	station editor (BGO #539397).

2008-08-05  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Core/Banshee.ThickClient/Banshee.Collection.Gui/TrackFilterListView.cs:
	Enable dragging filter items (artists/albums/etc) the same as you would
	drag tracks - onto the play queue, etc (BGO #524418).

	* src/Core/Banshee.ThickClient/Banshee.Sources.Gui/SourceView_DragAndDrop.cs:
	Check where the drag came from, and if it wasn't directly from the track
	view, assume it was from a filter view, and add everything in the track
	model to the drop destination instead of just the user-selected items.

	* src/Core/Banshee.Core/Resources/translators.xml: Updated

2008-08-05  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Libraries/Hyena.Gui/Hyena.Data.Gui/ListView/ListView_Interaction.cs:
	Factor out activate-selection code into protected method.

	* src/Core/Banshee.ThickClient/Banshee.Collection.Gui/TrackListView.cs:
	Handle 'o' the same as enter - activate the row(s), which starts playing
	them.

	* src/Core/Banshee.ThickClient/Banshee.Gui/GlobalActions.cs: Update links to
	the website.

	* src/Core/Banshee.ThickClient/Banshee.Gui/TrackActions.cs: Update
	copyright.

	* src/Core/Banshee.Services/Banshee.Library/ThreadPoolImportSource.cs:
	Make sure errors are reported on the main thread, avoid hanging when
	importing from Amarok.

2008-08-04  Bertrand Lorentz  <bertrand.lorentz@gmail.com>

	* src/Core/Banshee.Services/Banshee.Metadata.FileSystem/FileSystemQueryJob.cs:
	Patch from  Benjamín Valero Espinosa that adds preferential filenames when 
	looking for cover art file (BGO #545911).

2008-08-01  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Extensions/Makefile.am:
	* src/Extensions/Extensions.mds:
	* src/Extensions/Banshee.MediaWeb/*: New but totally-unfinished extension
	for embedding WebKit.

	* configure.ac:
	* build/build.environment.mk:
	* build/m4/banshee/mediaweb.m4: Add config option to --enable-mediaweb
	that also checks for webkit-sharp.

	* src/Extensions/Template/Makefile.am:
	* src/create-extension: A few tweaks to do more for the user.

	* src/Core/Banshee.ThickClient/Banshee.Library.Gui/PhotoFolderImportSource.cs:
	Add a couple more possible photo folder paths.

	* NEWS:
	* src/Core/Banshee.Core/Resources/contributors.xml: Make our credits of
	Christopher Halse Rogers consistent.

	* src/Libraries/Lastfm/Lastfm.mdp: Remove duplicate Hyena ref.

2008-07-31  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Backends/Banshee.Gnome/Banshee.GnomeBackend/GnomeScreensaverManager.cs:
	Log a friendlier warning when the GNOME screensaver isn't running (BGO
	#545600).

2008-07-31  Bertrand Lorentz  <bertrand.lorentz@gmail.com>

	* src/Extensions/Banshee.Lastfm/Banshee.Lastfm.Recommendations/RecommendationPane.cs:
	Mark a string for translation (BGO #545677).

2008-07-31  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Extensions/Banshee.Podcasting/Banshee.Podcasting.Data/PodcastTrackListModel.cs:
	Fix bug with podcasts not getting sorted by published date on startup.

2008-07-30  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Core/Banshee.ThickClient/Banshee.Sources.Gui/SourceIconResolver.cs:
	Whoops, revert crasher from previous GetString changes.

	* data/audio-profiles/mp3-lame.xml.in: Add 256 kbps as an option.

2008-07-30  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Extensions/Extensions.mds:
	* src/Extensions/Banshee.SqlDebugConsole/Makefile.am:
	* src/Extensions/Banshee.SqlDebugConsole/Resources/GlobalUI.xml:
	* src/Extensions/Banshee.SqlDebugConsole/Banshee.SqlDebugConsole.addin.xml:
	* src/Extensions/Banshee.SqlDebugConsole/Banshee.SqlDebugConsole.mdp:
	* src/Extensions/Banshee.SqlDebugConsole/Banshee.SqlDebugConsole/SqlActions.cs:
	* src/Core/Banshee.ThickClient/Banshee.Addins.Gui/AddinView.cs: New addin,
	not yet finished or really working, to view SQL queries that are run in
	Banshee, and eventually be able to run them and arbitrary queries in
	Banshee's connection, with an option to run them 50 or whatever times to
	benchmark them.

	* src/Libraries/Hyena/Hyena.Data.Sqlite/HyenaSqliteCommand.cs: Add a new
	EventArgs subclass for the new CommandExecuted event.  This event is only
	fired if LogAll is true.

	* src/Core/Banshee.ThickClient/Banshee.ThickClient.addin.xml:
	* src/Extensions/Template/Template.addin.xml:
	* src/create-extension:
	* configure.ac: Clarify and simplify extension creation.

2008-07-30  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Core/Banshee.ThickClient/Banshee.ThickClient.addin.xml: Forgot to
	commit this, actually adds the photo folder import source.

2008-07-30  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Core/Banshee.ThickClient/Makefile.am:
	* src/Core/Banshee.ThickClient/Banshee.ThickClient.mdp:
	* src/Core/Banshee.ThickClient/Banshee.Library.Gui/PhotoFolderImportSource.cs:
	New import source to help people import videos they took on their digital
	cameras, located in their Photos directory.

2008-07-30  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Core/Banshee.ThickClient/Banshee.Collection.Gui/TrackListView.cs:
	* src/Core/Banshee.ThickClient/Banshee.Gui/InterfaceActionService.cs:
	* src/Core/Banshee.ThickClient/Banshee.Gui/SourceActions.cs:
	* src/Core/Banshee.ThickClient/Banshee.Sources.Gui/SourceIconResolver.cs:
	* src/Core/Banshee.Services/Banshee.Sources/Source.cs:
	* src/Libraries/Hyena/Hyena.Data/PropertyStore.cs: Change GetString calls
	to Get<string> calls, to avoid a lot of strings being marked for
	translation when they shouldn't be.

2008-07-30  Gabriel Burt  <gabriel.burt@gmail.com>

	Fix a bunch of translatability issues (BGO #545239).

	* src/Extensions/Banshee.Daap/Banshee.Daap/DaapSource.cs: Fix plural
	string issue.

	* src/Dap/Banshee.Dap.Mtp/Banshee.Dap.Mtp/MtpSource.cs:
	* src/Core/Banshee.ThickClient/Banshee.Gui/GlobalActions.cs:
	* src/Core/Banshee.ThickClient/Banshee.Gui.Widgets/TrackInfoDisplay.cs:
	* src/Core/Banshee.Services/Banshee.Query/BansheeQuery.cs:
	* src/Extensions/Banshee.Lastfm/Banshee.Lastfm.Radio/LastfmActions.cs: Add
	and clarify translator comments.

	* src/Extensions/Banshee.Podcasting/Banshee.Podcasting.Gui/DownloadManager/DownloadUserJob.cs:
	Avoid contraction.

	* src/Core/Banshee.ThickClient/Banshee.Gui/ViewActions.cs: Avoid 'toggle'.

2008-07-30  Bertrand Lorentz  <bertrand.lorentz@gmail.com>

	* src/Core/Banshee.Core/Banshee.Collection/TrackInfo.cs:
	* src/Core/Banshee.Core/Banshee.Collection/ITrackInfo.cs:
	* src/Core/Banshee.Core/Banshee.Configuration.Schema/LibrarySchema.cs:
	* src/Core/Banshee.Core/Banshee.Base/FileNamePattern.cs: Patch from 
	Brian Teague adding the genre option to the file name pattern 
	construction (BGO #492181).

2008-07-29  Aaron Bockover  <abock@gnome.org>

	Banshee 1.2 Final (1.2.0) Released

2008-07-29  Aaron Bockover  <abock@gnome.org>

	* src/Extensions/Banshee.CoverArt/Banshee.CoverArt/CoverArtJob.cs:
	Reworked the count query so that it really is fast now

2008-07-29  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Extensions/Banshee.Lastfm/Banshee.Lastfm.Radio/LastfmSource.cs: Fix
	bug where the station list wasn't reloaded properly when a subscribed user
	was logged in, meaning their personal stations etc never loaded (BGO
	#512464).

2008-07-29  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Core/Banshee.Services/Banshee.Database/BansheeDbFormatMigrator.cs:
	Add an index on CoreTracks that should help with the performance of the
	cover art query.

2008-07-29  Aaron Bockover  <abock@gnome.org>

	* gstreamer/equalizer/Makefile.am: -lm

	* src/Backends/Banshee.NowPlaying.X11/libbnpx11/Makefile.am: -lXrandr

2008-07-29  Bertrand Lorentz  <bertrand.lorentz@gmail.com>

	* src/Core/Banshee.Services/Banshee.Collection.Database/DatabaseAlbumInfo.cs:
	* src/Core/Banshee.Services/Banshee.Collection.Database/DatabaseArtistInfo.cs:
	* src/Core/Banshee.Services/Banshee.Sources/PrimarySource.cs: Reset the
	fields about the last artist and last album imported when the artists 
	and albums are pruned from the DB.

2008-07-29  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Extensions/Banshee.Daap/Banshee.Daap/DaapService.cs: Catch
	exceptions caused by not having any DAAP backends (avahi, etc).

2008-07-29  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Core/Banshee.Services/Banshee.Query/BansheeQuery.cs: Shorten track
	and title query labels.

2008-07-29  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Core/Banshee.ThickClient/Banshee.Gui/PlaybackActions.cs: Fix bug
	where IsLive tracks wouldn't change the play icon to stop (BGO #539021).

2008-07-29  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Core/Banshee.Services/Banshee.Collection.Database/DatabaseTrackListModel.cs:
	Make UpdateUnfilteredAggregates virtual, expose UnfilteredCount setter and
	Connection via protected properties.

	* src/Extensions/Banshee.Podcasting/Banshee.Podcasting.Data/PodcastTrackListModel.cs:
	Use the above changes to show the # of new podcast items in the
	SourceView, instead of the total # of items.

2008-07-29  Wouter Bolsterlee  <wbolster@svn.gnome.org>

	* src/Clients/Nereid/Nereid/ViewContainer.cs: Added
	translator comment.

2008-07-28  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Core/Banshee.ThickClient/Resources/core-ui-actions-layout.xml:
	* src/Core/Banshee.ThickClient/Banshee.Gui/ViewActions.cs: Comment out
	Show Cover Art menu item/action.

2008-07-27  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Core/Banshee.ThickClient/Banshee.Gui/TrackActions.cs: Remove cruft.

	* src/Core/Banshee.ThickClient/Banshee.Gui/PlaybackActions.cs: Set the
	focus index as well as the selection when jumping to current song (BGO
	#538227).

2008-07-27  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Extensions/Banshee.Lastfm/Banshee.Lastfm.Radio/LastfmActions.cs:
	Replace spaces with underscores in artist name before encoding for
	Wikipedia URL (BGO #537682).

2008-07-27  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Extensions/Banshee.InternetRadio/Banshee.InternetRadio/XspfMigrator.cs:
	Catch exceptions when migrating old internet radio stations over (BGO
	#539424).

	* NEWS: Some updates for 1.2

2008-07-27  Gabriel Burt  <gabriel.burt@gmail.com>

	* build/m4/banshee/daap.m4: Enable DAAP by default.

	* configure.ac: Remove unstable warning for DAAP in configure.

2008-07-27  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Core/Banshee.ThickClient/Banshee.Sources.Gui/SourceView_DragAndDrop.cs:
	Fix the regression where the New Playlist wouldn't appear in the sources
	list when you were drag and dropping some tracks.

2008-07-27  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Extensions/Banshee.NowPlaying/Banshee.NowPlaying/ScreensaverManager.cs:
	Keep track of whether the screensaver is already inhibited.  Implement
	IDisposable and uninhibit when Disposed.

	* src/Extensions/Banshee.NowPlaying/Banshee.NowPlaying/NowPlayingInterface.cs:
	Override Dispose and call Dispose on the ScreensaveManager.

	* src/Extensions/Banshee.NowPlaying/Banshee.NowPlaying/NowPlayingSource.cs:
	Call Dispose on the NowPlayingInterface.

	* src/Core/Banshee.ThickClient/Banshee.Gui/TrackActions.cs: Make all track
	actions not visible/sensitive when dealing with a non ITrackModelSoure,
	for example the Now Playing source (BGO #538398).

2008-07-27  Gabriel Burt  <gabriel.burt@gmail.com>

	Patches from Bertrand Lorentz fixing issues with files in folders whose
	name start the same as the library folder.

	* src/Core/Banshee.Core/Banshee.Base/Paths.cs: Add
	CachedLibraryLocationWithSeparator property.  Fix MakePathRelative method
	to add a path seperator as needed (BGO #539511).

	* src/Core/Banshee.Services/Banshee.Collection.Database/DatabaseTrackInfo.cs:
	Use the new -WithSeparator property, fixing copy-on-import (BGO #533177).

	* src/Core/Banshee.Core/Banshee.Base/Tests/FileNamePatternTests.cs: Unit
	tests written by me to make sure MakePathRelative works how we expect it
	to.

2008-07-27  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Core/Banshee.ThickClient/Banshee.Collection.Gui/DefaultColumnController.cs:
	Create default columns within a private method so we can manipulate them
	beyond just their ctor (not yet done, but will use this to set better
	widths soon).  Also, use the new Column/QueryField integration to avoid
	duplication of names/labels.

	* src/Core/Banshee.Services/Banshee.Sources/DatabaseSource.cs: Fix
	properly the detection of if any of the columns changed in a TracksChanged
	event are being sorted by, using the new Field property on SortableColumn.

	* src/Core/Banshee.Services/Banshee.Query/BansheeQuery.cs: Add a
	PropertyName property used to create/bind columns from a QueryField
	object.  Add a comment field.  Modify the GetSort method just enough to
	work with the new 'sort keys' (QueryField.Name) that will be passed in.

	* src/Libraries/Hyena/Hyena.Query/QueryField.cs:
	* src/Libraries/Hyena/Hyena.Query/Tests/QueryTests.cs: Add PropertyName.

	* src/Libraries/Hyena.Gui/Hyena.Data.Gui/SortableColumn.cs:
	* src/Libraries/Hyena/Hyena.Data/ISortableColumn.cs: Add QueryField Field
	property, the first step in integrating columns with QueryFields, which
	should probably be named something more generic like ModelFields.

	* src/Libraries/Hyena.Gui/Hyena.Data.Gui/ColumnCellText.cs: Implement
	ISizeRequestCell and add delegate property to allow external code to
	specify what width a text cell should have.  Not used yet.

2008-07-27  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Core/Banshee.ThickClient/Banshee.Gui/BansheeActionGroup.cs: Add
	static UpdateAction convenience methods that set the
	visiblity/sensitivity of actions.

	* src/Core/Banshee.ThickClient/Banshee.Gui/SourceActions.cs: Hide the
	browser-related actions when the source doesn't have any filters.

	* src/Core/Banshee.ThickClient/Banshee.Sources.Gui/CompositeTrackSourceContents.cs:
	Fix issue with not allowing sources that didn't implement
	IFilterableSource to be used by this view.  Patch also created by Bertrand
	Lorentz (BGO #544989).

	* src/Core/Banshee.Services/Banshee.Sources/IFilterableSource.cs: Add
	AvailableFilters getter to the interface.

	* src/Core/Banshee.Services/Banshee.Library/VideoLibrarySource.cs:
	Override HasArtistAlbum to false.

2008-07-27  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Core/Banshee.Services/Banshee.Collection.Database/DatabaseFilterListModel.cs:
	* src/Core/Banshee.Services/Banshee.Collection.Database/DatabaseTrackListModel.cs:
	* src/Core/Banshee.Services/Banshee.Collection.Database/IDatabaseTrackModelCache.cs:
	* src/Libraries/Hyena/Hyena.Data.Sqlite/SqliteModelCache.cs:
	Remove ClearManagedCache method, was redundant w/ Clear method.

	* src/Core/Banshee.Services/Banshee.Sources/DatabaseSource.cs: When the
	source is Deactivated, call InvalidateCache on the Track model and all
	filter models.  This should help prevent Banshee from using more and more
	RAM as you switch sources and scroll through lists.

2008-07-27  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Core/Banshee.ThickClient/Banshee.Sources.Gui/SourceView_DragAndDrop.cs:
	When a Uri list is dropped onto a source, import the uris into the
	library.

2008-07-27  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Core/Banshee.ThickClient/Banshee.Gui.DragDrop/DragDropUtilities.cs:
	Change the SplitSelectionData method to use String.Split, and to remove
	empty items.

2008-07-27  Todd Berman  <tberman@off.net>

	* src/Dap/Banshee.Dap.Ipod/IpodSource.cs: Implement Import (BGO #541684)

2008-07-25  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Extensions/Banshee.CoverArt/Banshee.CoverArt/CoverArtJob.cs: Ok,
	last fix for Cover Art, I swear.  Thought I'd fixed all the sql issues in
	the last commit, but hadn't - this one should really fix BGO #541469.

2008-07-25  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Extensions/Banshee.CoverArt/Banshee.CoverArt/CoverArtService.cs:
	When the update cover art action is triggered, force refresh of cover art
	even for albums we've checked within the last N days.

2008-07-25  Aaron Bockover  <abock@gnome.org>

	* src/Core/Banshee.Widgets/Banshee.Widgets/StreamPositionLabel.cs:
	Prevent crash when switching to mini-mode in a paused state; ensure stream
	position label's layout is rebuilt when the theme changes to account for
	any potential font size change (BGO #541102)

2008-07-25  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Extensions/Banshee.CoverArt/Banshee.CoverArt/CoverArtJob.cs: Fix
	major performance issue I introduced within the last week.  With this and
	snorp and my earlier commits, BGO #541469 is fixed.

2008-07-25  James Willcox  <snorp@snorp.net>

	* src/Extensions/Banshee.CoverArt/Banshee.CoverArt/CoverArtService.cs:
	Properly respond to TrackChanged events, and only fetch cover art
	if something changed that we care about.

2008-07-25  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Extensions/Banshee.CoverArt/Banshee.CoverArt/CoverArtJob.cs:
	Schedule the cover art lookup job w/ the lowest priority.

2008-07-25  Aaron Bockover  <abock@gnome.org>

	* build/Makefile.am: Patch from Bertrand Lorentz to force UTF-8 local
	when extracting strings from po files to populate the translator
	credits (BGO #506556)

2008-07-24  Aaron Bockover  <abock@gnome.org>

	* src/Extensions/Banshee.InternetRadio/Banshee.InternetRadio/InternetRadioSource.cs:
	* src/Extensions/Banshee.InternetRadio/Banshee.InternetRadio/InternetRadioSourceContents.cs:
	Temporary hack that provides a Genre browser for Internet Radio

	* src/Clients/Nereid/Nereid/PlayerInterface.cs: Support inherited
	source contents

	* src/Core/Banshee.ThickClient/Banshee.Sources.Gui/ITrackModelSourceContents.cs:
	* src/Core/Banshee.ThickClient/Banshee.Sources.Gui/CompositeTrackSourceContents.cs:
	Remove unnecessary interface API and disable the genre browser for now

	* src/Core/Banshee.ThickClient/Banshee.Sources.Gui/FilteredListSourceContents.cs:
	Support forced positioning of the browser

2008-07-24  Bertrand Lorentz  <bertrand.lorentz@gmail.com>

	* src/Core/Banshee.Services/Banshee.Sources/DatabaseSource.cs: Fix the 
	comparison between the field column and the current sort column, so that
	"CoreTracks.skippedcount" doesn't match "Track". Makes BGO #544415 less
	likely to happen, but doesn't fix it.

2008-07-24  Bertrand Lorentz  <bertrand.lorentz@gmail.com>

	* src/Core/Banshee.Services/Banshee.Collection.Database/DatabaseTrackInfo.cs:
	* src/Core/Banshee.Core/Banshee.Base/FileNamePattern.cs: Replace string 
	concatenations with Path.Combine calls, and get rid of useless Substring
	call (BGO #544427).

2008-07-24  Aaron Bockover  <abock@gnome.org>

	* src/Libraries/Hyena.Gui/Hyena.Gui/GtkWorkarounds.cs: Work around a nasty
	little bug in GDK and subsequently Gdk# (2.8.5 through 2.12.1) where
	managed Gdk.Window.Destroy function does not obtain a normal (non-toggle)
	reference on the GdkWindow before calling gdk_window_destroy on it,
	which the native function apparently expects. This work around ensures
	that GdkWindows will be properly destroyed regardless of the Gdk# 
	version in use

	* src/Libraries/Hyena.Gui/Hyena.Data.Gui/ListView/ListView_Windowing.cs:
	Use GtkWorkarounds.WindowDestroy

2008-07-22  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Core/Banshee.Services/Banshee.Sources/PrimarySource.cs: Add a
	UriToSafeUri method that checks to see if the uri is relative and does the
	right thing.

	* src/Extensions/Banshee.CoverArt/Banshee.CoverArt/CoverArtJob.cs: Set the
	Uri on the track object we pass to the metadata provider, fixes bug where
	the cover art extension wasn't able to use the new cover-art-in-folder
	lookup provider (BGO #544226).

2008-07-22  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Libraries/Hyena.Gui/Hyena.Data.Gui/ListView/ListView_Header.cs:
	Optimize the loop that checks to see if a click happened on a column's
	resize area.  Add some comments.

2008-07-22  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Libraries/Hyena.Gui/Hyena.Data.Gui/ListView/ListView_Interaction.cs:
	Fix glitch where the resize cursor would flash away when you actually
	pressed the mouse button, but then come back when you started moving.

2008-07-22  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Core/Banshee.Services/Banshee.Services.mdp:
	* src/Core/Banshee.Services/Makefile.am:
	* src/Core/Banshee.Services/Banshee.Metadata.FileSystem/FileSystemMetadataProvider.cs:
	* src/Core/Banshee.Services/Banshee.Metadata.FileSystem/FileSystemQueryJob.cs:
	New provider that gets cover art files from the folder a track is in (BGO
	#528137, BGO #336249).  Looks for the largest JPG file in the folder.

	* src/Core/Banshee.Services/Banshee.Metadata/MetadataService.cs: Use the
	new provider, after the embedded provider.

	* src/Core/Banshee.Core/Banshee.Collection/IBasicTrackInfo.cs: Add Uri
	property.

2008-07-22  Gabriel Burt  <gabriel.burt@gmail.com>

	This commit does the backend (non-UI) work to make filters (eg
	artist/album/genre/etc browsers) on sources customizable.  All the UI work
	still needs to be done - actually supporting showing an arbitrary number
	and set of filters, and the UI, perhaps menus, to actually
	add/remove/replace filters.

	* src/Extensions/Banshee.Lastfm/Banshee.Lastfm.Radio/StationSource.cs:
	* src/Extensions/Banshee.AudioCd/Banshee.AudioCd/AudioCdSource.cs:
	Since the FilterModels property was removed from the ITrackModelSource, no
	longer need to implement it for sources that aren't filterable.

	* src/Core/Banshee.Services/Banshee.Collection.Database/DatabaseTrackListModel.cs:
	* src/Core/Banshee.ThickClient/Banshee.Sources.Gui/CompositeTrackSourceContents.cs:
	* src/Extensions/Banshee.Podcasting/Banshee.Podcasting.Gui/PodcastSourceContents.cs:
	Renamed FilterModels property to CurrentFilters.

	* src/Extensions/Banshee.Podcasting/Banshee.Podcasting.Data/PodcastSource.cs:
	Use the new AvailableFilters and DefaultFilters properties instead of just
	overriding the FilterModels property.

	* src/Core/Banshee.Services/Banshee.Collection.Database/DatabaseAlbumListModel.cs:
	* src/Core/Banshee.Services/Banshee.Collection.Database/DatabaseArtistListModel.cs:
	* src/Core/Banshee.Services/Banshee.Collection.Database/DatabaseQueryFilterModel.cs:
	* src/Extensions/Banshee.Podcasting/Banshee.Podcasting.Data/PodcastFeedModel.cs:
	Pass a name and label to the filter ctor, so we can expose the label in a
	menu later to make the filters customizable.

	* src/Extensions/Banshee.InternetRadio/Banshee.InternetRadio/InternetRadioSource.cs:
	Make the changes necessary to display a genre browser, but keep it hidden
	for now because the Composite widget is hard coded to show three filters,
	even if a source only has one.

	* src/Core/Banshee.Services/Banshee.Collection.Database/DatabaseFilterListModel.cs:
	Set the FilterName and Label from the new ctor args.

	* src/Core/Banshee.Services/Makefile.am:
	* src/Core/Banshee.Services/Banshee.Services.mdp:
	* src/Core/Banshee.Services/Banshee.Sources/IFilterableSource.cs: New
	interface that exposes CurrentFilters property and a FiltersChanged event.

	* src/Core/Banshee.Services/Banshee.Sources/ITrackModelSource.cs: Remove
	the FilterModels property (and comment cruft).

	* src/Core/Banshee.Services/Banshee.Sources/DatabaseSource.cs: Add a bunch
	of methods for allowing customization of filters -
	adding/removing/replacing them, and saving/loading to/from gconf.

	* src/Core/Banshee.Services/Banshee.Sources/Source.cs: Add CreateSchema
	convenience methods that given a name and a T give you a source-scoped
	SchemaEntry.

	* src/Core/Banshee.Services/Banshee.Sources/PrimarySource.cs: Avoid NRE by
	using a lazily-loaded property instead of its backing variable.

	* src/Core/Banshee.Services/Banshee.Collection/IFilterListModel.cs:
	* src/Core/Banshee.Services/Banshee.Collection/FilterListModel.cs: Add
	InvalidateCache method.

2008-07-21  Alexander Hixon  <ahixon@gnome.org>

	* src/Libraries/Lastfm/Lastfm.Data/DataCore.cs: Make sure that we check
	the hash string length before performing a substring operation to avoid
	out-of-range exceptions.

2008-07-21  Alexander Hixon  <ahixon@gnome.org>

	* src/Backends/Banshee.Gnome/Banshee.Gnome.addin.xml: Forgot to commit
	this so that the GNOME ScreensaverManager implementation gets loaded.

2008-07-20  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Core/Banshee.ThickClient/Banshee.Gui/TrackActions.cs: Add curlies.

	* src/Core/Banshee.Services/Banshee.Collection.Database/DatabaseArtistListModel.cs:
	Fix whitespace.

	* src/Core/Banshee.Services/Banshee.Collection/IFilterListModel.cs:
	* src/Core/Banshee.Services/Banshee.Collection/FilterListModel.cs: Add
	FilterName and FilterLabel properties that will be used in making the
	filters configurable.

	* src/Core/Banshee.Services/Banshee.Query/BansheeQuery.cs: Add TODO
	comment, and get rid of static ctor where we set the labels for the
	QueryValue operators (they are set in Hyena now).

	* src/Libraries/Hyena/Hyena.Query/IntegerQueryValue.cs:
	* src/Libraries/Hyena/Hyena.Query/QueryOperator.cs:
	* src/Libraries/Hyena/Hyena.Query/StringQueryValue.cs:
	* src/Libraries/Hyena/Hyena.Query/NullQueryValue.cs:
	* src/Libraries/Hyena/Hyena.Query/RelativeTimeSpanQueryValue.cs:
	* src/Libraries/Hyena/Hyena.Query/DateQueryValue.cs: Set the translated
	labels for the operators in their ctors.

2008-07-20  Bertrand Lorentz  <bertrand.lorentz@gmail.com>

	* src/Core/Banshee.ThickClient/Banshee.Gui.Widgets/ClassicTrackInfoDisplay.cs:
	Add constructors to prevent seemingly random crashes (BGO #540728).

2008-07-20  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Libraries/Lastfm/Lastfm.Data/DataEntry.cs: Patch from Arthur Carli
	fixing issue with parsing percentages from Last.fm without culture
	invariant info (BGO #539528).

2008-07-20  Bertrand Lorentz  <lorentz@siva>

	* src/Core/Banshee.Services/Banshee.Sources/PrimarySource.cs: Add a lock 
	statement on the error_source field, to prevent a deadlock when importing
	songs with invalid mpeg headers (BGO #542915). 

2008-07-20  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Core/Banshee.Services/Banshee.Database/BansheeDbFormatMigrator.cs:
	Patch from Fabian Jost fixing issue with migrations - I added the new
	columns in both the migration and the initial db creation, but I forgot to
	add the columns to the data migration code (BGO #542345).

2008-07-20  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Core/Banshee.Widgets/Banshee.Widgets/Tile.cs: Prevent NRE when
	setting the Pixbuf of a Tile to null (BGO #542921).

2008-07-20  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Core/Banshee.Services/Banshee.Metadata.MusicBrainz/MusicBrainzQueryJob.cs:
	Patch from Peter de Kraker, looks up the release using the AlbumArtist
	instead of the track artist (BGO #539570).

2008-07-20  Gabriel Burt  <gabriel.burt@gmail.com>

	Patch from Peter de Kraker adding support for fetching cover art from
	Last.fm (BGO #536132), with a few tiny changes (mostly HACKING style
	issues) by me.

	* src/Core/Banshee.Services/Banshee.Metadata/MetadataService.cs:
	Whitespace issues, and add the Lastfm provider.

	* src/Core/Banshee.Services/Banshee.Services.addins:
	* src/Core/Banshee.Services/Makefile.am:
	* src/Core/Banshee.Services/Banshee.Services.mdp:
	* src/Core/Banshee.Services/Banshee.Metadata.LastFM/LastFMMetadataProvider.cs:
	* src/Core/Banshee.Services/Banshee.Metadata.LastFM/LastFMQueryJob.cs: New
	files implementing cover art fetching from Last.fm.

	* src/Core/Banshee.Services/Banshee.Metadata.MusicBrainz/MusicBrainzQueryJob.cs:
	Whitespace fixes.

	* src/Libraries/Lastfm/Lastfm.mdp:
	* src/Libraries/Lastfm/Makefile.am:
	* src/Libraries/Lastfm/Lastfm.Data/DataEntry.cs:
	* src/Libraries/Lastfm/Lastfm.Data/LastfmAlbumData.cs: Wrap album
	information from Last.fm.

	* src/Core/Banshee.Core/Banshee.Core.mdp:
	* build/build.environment.mk: Banshee.Services now depends on Lastfm.
	Ideally we will move these providers out into extensions at some point.

	* src/Core/Banshee.Core/Resources/contributors.xml: Add Peter and Sandy.

2008-07-20  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Extensions/Banshee.Daap/Banshee.Daap/DaapSource.cs:
	* src/Dap/Banshee.Dap/Banshee.Dap/RemovableSource.cs:
	* src/Core/Banshee.ThickClient/Banshee.Library.Gui/FileImportSource.cs:
	* src/Core/Banshee.ThickClient/Banshee.Library.Gui/FolderImportSource.cs:
	* src/Core/Banshee.Services/Banshee.PlayerMigration/AmarokPlayerImportSource.cs:
	* src/Core/Banshee.Services/Banshee.Library/ThreadPoolImportSource.cs:
	* src/Core/Banshee.Services/Banshee.Library/HomeDirectoryImportSource.cs:
	* src/Core/Banshee.Services/Banshee.Library/IImportSource.cs: Add a
	SortOrder int property so we can hint at the order import sources should
	be displayed in the import dialog.  In particular, puts the folder import
	first.

	* src/Core/Banshee.ThickClient/Banshee.Library.Gui/ImportDialog.cs: Sort
	the import sources before adding them to the combo box.

	* src/Core/Banshee.Core/Banshee.Collection/TrackInfo.cs: Add a static
	IsPlayingMethod delegate used by the new IsPlaying property to determine
	if the current instance is playing.

	* src/Core/Banshee.Services/Banshee.MediaEngine/PlayerEngineService.cs:
	Set the TrackInfo.IsPlayingMethod to our IsPlaying (track) method.

	* src/Libraries/Hyena.Gui/Hyena.Data.Gui/ListView/ListView_Model.cs: Fix
	issue with the ListView position getting scrolled to the top of the list
	when it probably shouldn't be.  Add RowBoldPropertyName (like
	RowSensitivePropertyName) and IsRowBold method.

	* src/Core/Banshee.ThickClient/Banshee.Collection.Gui/TrackListView.cs:
	Set the RowBoldPropertyName to use TrackInfo's IsPlaying property.

	* src/Libraries/Hyena.Gui/Hyena.Data.Gui/ListView/ListView_Rendering.cs:
	If IsRowBold set the FontWeight property to bold for all ColumnCellText
	cells.

	* src/Core/Banshee.Core/Resources/translators.xml: Automatically updated.

2008-07-20  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Core/Banshee.ThickClient/Banshee.Sources.Gui/FilteredListSourceContents.cs:
	Add comments.

2008-07-20  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Core/Banshee.Services/Banshee.Collection.Database/DatabaseFilterListModel.cs:
	Fix bug where if a filter model (eg artist or album browser) had zero
	items in it (just the All Albums item), it wouldn't filter the view, so
	that if you had an artist selected and searched for a string that didn't
	match, the artist filter would be cleared and the search ran against all
	artists - not what you'd expect.  So this fixed that bug, but it should be
	improved more by remembering and restoring the last filter selection
	before the zero items query, so that when you back out your search you'll
	still have that artist (or albums, etc) selected.

2008-07-20  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Dap/Banshee.Dap/Banshee.Dap/DapService.cs: Use Banshee.Kernel
	instead of ThreadAssist.SpawnFromMain.

2008-07-20  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Core/Banshee.Services/Banshee.Collection.Database/DatabaseTrackInfo.cs:
	Cast CacheEntryIds to ints to get value comparison.  Fixes bug where the
	playback indicator next to the playing track would disappear, which was
	introduced when I committed the genre filter support and made the
	CacheEntryId an object.

2008-07-19  Alexander Hixon  <ahixon@gnome.org>

	Patch from Christopher Halse Rogers to disable the screensaver when
	watching fullscreen video (BGO #531192) under GNOME (with the ability to
	use other backends).

	* src/Extensions/Banshee.NowPlaying/Banshee.NowPlaying/IScreensaverManager.cs: 
	* src/Extensions/Banshee.NowPlaying/Banshee.NowPlaying/ScreensaverManager.cs: 
	* src/Extensions/Banshee.NowPlaying/Banshee.NowPlaying.addin.xml: Add an
	extension point for screensaver extensions for disabling the screensaver
	or power management while playing fullscreen.
	
	* src/Backends/Banshee.Gnome/Banshee.GnomeBackend/GnomeScreensaverManager.cs: 
	Implement a ScreensaverManager to control GNOME screensaver.

	* src/Extensions/Banshee.NowPlaying/Banshee.NowPlaying/NowPlayingInterface.cs: 
	Use ScreensaverManager to inhibit the screensaver when switching to
	fullscreen, and re-enable it when switching away.

	* build/build.environment.mk:
	Add Banshee.NowPlaying to the references for Banshee.GnomeBackend to build
	GnomeScreensaverManager.

2008-07-17  Aaron Bockover  <abock@gnome.org>

	* src/Libraries/Hyena/Hyena.Collections/RangeCollection.cs: Make
	CompareRanges static

2008-07-16  Aaron Bockover  <abock@gnome.org>

	* src/Libraries/Hyena/Hyena.Collections/Tests/RangeCollectionTests.cs:
	Added some more tests, including negative indexes, and a real world
	IP address range test from Alan

	* src/Libraries/Hyena/Hyena.Collections/RangeCollection.cs: Fixed a serious
	bug with range and value-in-range comparisons exposed by MS.NET. The
	IComparable interface was removed from Range and the comparisons were
	split into the respective binary search implementations; no longer is
	Array.BinarySearch used either when searching for a value in a range
	so the comparison can be done inline without extra method calls; should
	be ever so slightly more efficient and works (all tests pass) on Mono
	and MS.NET

2008-07-15  Daniel Nylander <po@danielnylander.se>

	* data/banshee-1.desktop.in.in: Changed Comment to be translatable.

2008-07-15  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Libraries/Hyena/Hyena.Query/UserQueryParser.cs: Patch from Michael
	Kaiser fixing issue with parsing user queries starting with a "-" (BGO
	#538203).  Fixes the two broken query parsing unit tests.

2008-07-01  Aaron Bockover  <abock@gnome.org>

	* src/Extensions/Banshee.NotificationArea/Banshee.NotificationArea/X11NotificationAreaBox.cs:
	Ignore the first size allocation since it's the default window size and
	causes the notification area to resize to a huge dimension until a new
	request is queued for the actual icon size (BGO #540885)

2008-06-27  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Core/Banshee.Services/Banshee.Library/ThreadPoolImportSource.cs:
	Fix NRE that totally broke the Amarok importer.

	* src/Core/Banshee.Services/Banshee.PlayerMigration/AmarokPlayerImportSource.cs:
	Improve the Amarok importer, including fixes for broken rating importing.
	Also, migrate the podcast subscriptions.

2008-06-27  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Extensions/Banshee.Podcasting/Banshee.Podcasting.Data/PodcastFeedModel.cs:
	Sort podcasts by case-insensitive title.

	* src/Extensions/Banshee.Daap/Daap/Database.cs: Fix bug with not
	specifying what meta fields to return when fetching playlists (actually
	crashed new RB and got bad data from old RB).

	* src/Extensions/Banshee.Daap/Banshee.Daap/DaapService.cs: Proxy UI
	actions to the main loop, and don't flash new shares within 5 seconds of
	starting the locator.

	* src/Extensions/Banshee.Daap/Banshee.Daap/DaapSource.cs: Make Disconnect
	and Import actions insensitive unless connected.  Handle disconnecting
	while loading the tracks (BGO #526817).  When we disconnect, show the
	disconnected error view.  Proxy ui actions to main loop.  While loading
	tracks, reload fewer times for big collections.

	* src/Extensions/Banshee.Daap/Banshee.Daap/DaapPlaylistSource.cs: Proxy
	OnUpdated call to main.

	* src/Core/Banshee.ThickClient/Banshee.Gui/SourceActions.cs: Listen for
	the active source's Updated event and UpdateActions when it is raised.

	* src/Core/Banshee.Services/Banshee.Web/Browser.cs: Fix typo in UserAgent
	string (no closing parenthesis.

	* src/Core/Banshee.ThickClient/Banshee.Sources.Gui/SourceView.cs:
	* src/Core/Banshee.Services/Banshee.Sources/SourceManager.cs:
	* src/Core/Banshee.Services/Banshee.Sources/Source.cs: Don't set a source
	as the active source unless source.CanActivate is true.

	* src/Libraries/Migo/Migo.Net/AsyncWebClient.cs: Some servers seem to
	return Bad Request when HttpWebRequest auto redirects (because it sets
	Content-Length:0, apparently) - so work around that by grabbing the final
	URI directly.  Fixes, for example, the ogg podcast of "this WEEK in Tech".

2008-06-27  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Core/Banshee.Services/Banshee.Database/BansheeDbConnection.cs: Fix
	bug I introduced yesterday for people starting w/ no db.

2008-06-26  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Extensions/Banshee.Daap/Banshee.Daap/DaapService.cs: Make the
	service a DelayedInitializeService.  Seems to fix most (all?) of the
	problems finding shares on startup.

2008-06-26  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Core/Banshee.ThickClient/Banshee.Collection.Gui/TrackListView.cs:
	Remove WriteLines.

	* src/Core/Banshee.Services/Banshee.Collection.Database/FilterModelProvider.cs:
	Remove expensive ifnull call; all blank (empty or all white space) strings
	should now be saved as null.

	* src/Core/Banshee.Services/Banshee.Database/BansheeDbConnection.cs:
	Increase the cache size if the library has > 10K tracks, use LogAll = true
	for sql debugging.

	* src/Core/Banshee.Services/Banshee.Database/BansheeDbFormatMigrator.cs:
	Update CoreTracks genre, composer etc to be null if blank/whitespace.
	Drop the CoreCache table - will be recreated as needed, and as a temporary
	table (small performance win).  Vacuum and analyze the db, for good
	measure.

	* src/Core/Banshee.Services/Banshee.Query/BansheeQuery.cs: Remove
	expensive sort by Uri as the fallback for most non-URI sort options.

	* src/Libraries/Hyena/Hyena.Query/QueryTermNode.cs: Explicitly set the
	no-field-specified operator (to contains).

	* src/Libraries/Hyena/Hyena.Data.Sqlite/Tests/SqliteModelProviderTests.cs:
	Test that blank/whitespace strings get saved as null.

	* src/Libraries/Hyena/Hyena.Data.Sqlite/SqliteUtils.cs: If a string is
	empty or whitespace only, save it as null.

	* src/Libraries/Hyena/Hyena.Data.Sqlite/HyenaSqliteConnection.cs: Change
	Exists function to check sqltie_temp_master too.

	* src/Libraries/Hyena/Hyena.Data.Sqlite/SqliteModelCache.cs: Wrap the
	reload query (delete + insert into CoreCache) in a transaction.  Make the
	CoreCache table a TEMP table for performance.

2008-06-26  Gabriel Burt  <gabriel.burt@gmail.com>

	This commit adds manual playlist (including play queue) sorting.  To
	manually sort a playlist, you need to turn off column sorting by clicking
	the sorted column until the sort arrow disappears (it has three states,
	asc, desc, manual sort order).

	* src/Extensions/Banshee.PlayQueue/Banshee.PlayQueue/PlayQueueSource.cs:
	Fix bug with my return-to-previous-playback-source code where if the Play
	Queue was the *next* playback source and was then emptied, it wouldn't
	fall back to the previous and/or current.  Also, force sorting by
	ViewOrder, enabling manual sort order.

	* src/Core/Banshee.ThickClient/Banshee.Collection.Gui/TrackListView.cs:
	Handle DragDrop for playlists, reordering the selected tracks.

	* src/Core/Banshee.Services/Banshee.Collection.Database/DatabaseTrackListModel.cs:
	Handle the new SortType (None) for playlists, sorting by ViewOrder.

	* src/Core/Banshee.Services/Banshee.Playlist/PlaylistSource.cs: Implement
	reordering and setting default order when adding tracks to a playlist.
	Adding tracks still uses a constant number of queries, but reordering uses
	N + 2 or 3 where N is the number of tracks you dragged.

	* src/Core/Banshee.Services/Banshee.Database/BansheeDbFormatMigrator.cs:
	Make sure the playlist order column is initialized w/ decent values.

	* src/Core/Banshee.Core/Banshee.Collection/TrackInfo.cs: Add a
	MediaTypeName property, will be used for menu items and other UI for
	calling an item by a more descriptive name (eg Podcast, Video, etc).

	* src/Libraries/Hyena/Hyena.Data/SortType.cs: Add None type.

	* src/Libraries/Hyena.Gui/Hyena.Data.Gui/ColumnHeaderCellText.cs: Don't
	draw an arrow if sort type is None.

	* src/Libraries/Hyena.Gui/Hyena.Data.Gui/SortableColumn.cs: Explicitly set
	the default sort type to ascending.

	* src/Libraries/Hyena.Gui/Hyena.Data.Gui/ListView/ListView_DragAndDrop.cs:
	Add protected helper method GetDragRow (int y) that returns the drop row
	index for a given y, such that if over the top half of a row, returns that
	index, else returns the one after.

	* src/Libraries/Hyena.Gui/Hyena.Data.Gui/ListView/ListView_Windowing.cs:
	Add protected helper, TranslateToListY that subtracts the header height.

	* src/Libraries/Hyena.Gui/Hyena.Data.Gui/ListView/ListView_Rendering.cs:
	Factor out the reorder line painting into its own method, and fix a bug
	where the line wasn't drawn if the position was after the last row.

2008-06-25  Gabriel Burt  <gabriel.burt@gmail.com>

	This commit has a few goodies.  The track header info for radio stations
	is much improved, showing song information (if we have it) plus the
	station name.  Transferring of DAAP tracks to the library (by DnD and via
	Importing) works now (with smooth progress updates for the transfer).  The
	AddTrack to library job is now cancellable.

	* src/Extensions/Banshee.Daap/Daap/Database.cs: Rework the Fetch/Stream
	methods to not require a Track object, but only the track_id and type,
	which is all they really need.  This lets us avoid the O(n) track lookup.
	Add yield return progress updates to the DownloadTrack method.

	* src/Extensions/Banshee.Daap/Banshee.Daap/DaapSource.cs: Implement
	CopyTrackTo and Import so that dragging and importing tracks from a DAAP
	share into the library works.

	* src/Extensions/Banshee.Daap/Banshee.Daap/DaapTrackInfo.cs: Tweak the
	mimetype to save the DAAP.Track's Format without modification.

	* src/Extensions/Banshee.Daap/Banshee.Daap/DaapPlaylistSource.cs: Get a
	more accurate count if some (or all) tracks are null.

	* src/Extensions/Banshee.InternetRadio/Banshee.InternetRadio/InternetRadioSource.cs:
	Set the track's Album and Artist from the station editor.

	* src/Extensions/Banshee.InternetRadio/Banshee.InternetRadio/StationEditor.cs:
	Factor out the table-row entry code, and add a Station Creator row (aka
	artist).

	* src/Core/Banshee.ThickClient/Banshee.Gui.Widgets/UserJobTileHost.cs:
	Ensure no user job is displayed for less than 1 second, to avoid things
	appearing and disappearing so fast some times.

	* src/Core/Banshee.ThickClient/Banshee.Gui.Widgets/TrackInfoDisplay.cs:
	Refactor a lot of code, and special case RadioTrackInfo objects, tacking
	on "on {radio station name}" to the second line if it has an artist or
	album, or just using the station name as the second line if it doesn't.

	* src/Core/Banshee.ThickClient/Banshee.Gui.Widgets/UserJobTile.cs: When
	the stop button is pressed and confirmed, set the job title to
	"Stopping..." and make the button not sensitive.

	* src/Core/Banshee.Services/Banshee.Sources/DatabaseSource.cs: Not sure
	what SourceMergeType.All is really for, but treat it the same as
	SourceMergeType.Source.

	* src/Core/Banshee.Services/Banshee.Sources/PrimarySource.cs: Override
	AddAllTracks the same as AddSelectedTracks is overriden.  Allow cancelling
	the add job.

	* src/Core/Banshee.Services/Banshee.ServiceStack/IUserJob.cs: Expose
	IsCancelRequested property.

	* src/Core/Banshee.Services/Banshee.Streaming/RadioTrackInfo.cs: Default
	the title/artist/album for the track to its parent's values.

	* src/Core/Banshee.Services/Banshee.Collection.Database/CachedList.cs: Add
	another static helper for creating a cached list from an entire model.

	* src/Core/Banshee.Core/Banshee.Streaming/StreamTagger.cs: Bring code over
	from stable, that when given a new track title splits it on " - " if the
	track.IsLive.

2008-06-25  Bertrand Lorentz <bertrand.lorentz@gmail.com> 

	* build/m4/banshee/boo.m4: Add a disable-boo flag. If boo is not present and
	disable-boo is not set, configure will fail (BGO #532420).

2008-06-25  Bertrand Lorentz <bertrand.lorentz@gmail.com> 

	* src/Extensions/Banshee.Lastfm/Banshee.Lastfm.Radio/LastfmActions.cs: Fix
	bug where the repeat and shuffle mode were restored when switching
	between two Last.fm stations (BGO #538946).

2008-06-25  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Libraries/Hyena/Hyena.Query/Tests/QueryTests.cs: Make the query
	tests that used to pass pass again.

2008-06-25  Aaron Bockover  <abock@gnome.org>

	This commit fixes two new errors exposed due to fixes in gmcs trunk

	* src/Dap/Banshee.Dap.Ipod/Banshee.Dap.Ipod/PodSleuthDevice.cs: Due to 
	different assignment evaluation, type checking happens differently so
	int can't be assigned to short during zero-value initialization
	
	* src/Core/Banshee.Services/Banshee.MediaProfiles/MediaProfileManager.cs:
	Update ignore pragma for the different (more correct) warning 
	that is thrown now

2008-06-24  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Extensions/Banshee.NotificationArea/Banshee.NotificationArea/NotificationAreaService.cs:
	Patch from Sandy Armstrong and Bertrand Lorentz, fixes bug where
	notification popups were no longer showing on track change (BGO #537004).

2008-06-24  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Libraries/Lastfm.Gui/Lastfm.Gui/AccountLoginDialog.cs:
	* src/Libraries/Lastfm.Gui/Lastfm.Gui/AccountLoginForm.cs: Patch from
	Peter de Kraker adds ability to press enter from password entry on Last.fm
	login form to save and close the dialog (BGO #536328).

2008-06-24  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Extensions/Banshee.Daap/Banshee.Daap.mdp: Reflect addins mv and
	proxy file from last commit, new error view file and refs this commit.

	* src/Extensions/Banshee.Daap/Banshee.Daap/DaapSource.cs: Set the
	ErrorView when we fail to login to a share we detected.

	* src/Extensions/Banshee.Daap/Banshee.Daap/DaapErrorView.cs: Tweak for
	trunk, subclassing from RoundedFrame and no border, and implementing
	ISourceContents.

	* src/Extensions/Banshee.Daap/Makefile.am:  Add the new error view.

	* src/Clients/Nereid/Nereid/PlayerInterface.cs: Listen for changed to the
	active source's Nereid.SourceContents property, keeping it synced - so
	that we can change to the error source for a daap share, and then back to
	the normal contents by unsetting the property.

2008-06-24  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Extensions/Banshee.Daap/Daap/Database.cs: Style.

	* src/Extensions/Banshee.Daap/Resources/Banshee.Daap.addin.xml:
	* src/Extensions/Banshee.Daap/Banshee.Daap.addin.xml: Move up from
	Resources, and add original DAAP plugin authors.

	* src/Extensions/Banshee.Daap/Banshee.Daap/DaapProxyWebServer.cs: Copied
	from stable branch.

	* src/Extensions/Banshee.Daap/Banshee.Daap/DaapService.cs: Create a new
	proxy server instance.  Make new shares pulsate.  Dispose shares
	recursively.

	* src/Extensions/Banshee.Daap/Banshee.Daap/DaapSource.cs: Prevent creating
	playlists/smart playlists, initialize count to 0, [un]register our
	database with the proxy server.

	* src/Extensions/Banshee.Daap/Banshee.Daap/DaapTrackInfo.cs: Use the proxy
	server url, don't set CanSavetoDatabase to false, that prevents daap
	tracks from being used with the queue.

	* src/Extensions/Banshee.Daap/Banshee.Daap/DaapPlaylistSource.cs: Override
	quite a few things: no removing/deleting tracks, renaming, unmapping, or
	adding tracks.

	* src/Extensions/Banshee.Daap/Banshee.Daap/DaapContainerSource.cs:
	CanRename = false.

	* src/Extensions/Banshee.Daap/Banshee.Daap/DaapErrorView.cs: Copied from
	stable, not yet used.

	* src/Extensions/Banshee.Daap/Makefile.am: Add the proxy server class,
	move the addins file.

2008-06-24  Aaron Bockover  <abock@gnome.org>

	* src/Core/Banshee.ThickClient/Banshee.Gui.Widgets/TrackInfoDisplay.cs:
	* src/Core/Banshee.ThickClient/Banshee.Gui.Widgets/ClassicTrackInfoDisplay.cs:
	Split out layout rendering and event logic from TrackInfoDisplay, 
	which is now abstract, into ClassicTrackInfoDisplay so the widget is 
	now easier to maintain and also new displays can be built by extending 
	TrackInfoDisplay - the extending class only has to worry about 
	rendering frames (no animation, group, xfade, etc.)

	* src/Extensions/Banshee.NotificationArea/Banshee.NotificationArea/TrackInfoPopup.cs:
	* src/Extensions/Banshee.MiniMode/Banshee.MiniMode/MiniModeWindow.cs:
	* src/Clients/Nereid/Nereid/PlayerInterface.cs:
	Updated to use ClassicTrackInfoDisplay

2008-06-24  Gabriel Burt  <gabriel.burt@gmail.com>

	Importing playlists (.m3u and .pls) should work again.

	* src/Extensions/Banshee.Daap/Banshee.Daap/DaapPlaylistSource.cs: Fix
	typo/bug.

	* src/Core/Banshee.ThickClient/Resources/core-ui-actions-layout.xml:
	* src/Core/Banshee.ThickClient/Banshee.Gui/GlobalActions.cs: Uncomment out
	the playlist import action/handler.

	* src/Core/Banshee.ThickClient/Banshee.Library.Gui/FileImportSource.cs:
	* src/Core/Banshee.ThickClient/Banshee.Library.Gui/FolderImportSource.cs:
	Set some default shortcut folders for the file choosers, and set a
	FileFilter from the white listed files for the File importer.

	* src/Core/Banshee.Services/Banshee.Collection/ImportManager.cs: Add
	exception handling/logging.

	* src/Core/Banshee.Services/Banshee.Collection.Database/DatabaseImportManager.cs:
	Make string [] of white listed extensions public/readonly.

	* src/Core/Banshee.Services/Banshee.Collection.Database/DatabaseTrackInfo.cs:
	Reduce duplication in still-ugly *ForUri static methods.

	* src/Core/Banshee.Services/Banshee.Playlists.Formats/PlaylistParser.cs:
	Dispose of the input stream when finished with it.

	* src/Core/Banshee.Services/Banshee.Playlists.Formats/PlaylistFormatBase.cs:
	Add TODO.

	* src/Core/Banshee.Services/Banshee.Playlist/PlaylistFileUtil.cs: Add
	ImportPlaylistToLibrary method, and use it for the Import Playlist(s)
	actions.  Implement the ImportPlaylistWorker class to work with trunk.

	* src/Core/Banshee.Services/Banshee.Library/LibrarySource.cs: Add
	convenience method GetTrackIdForUrl that uses the DatabaseTrackInfo
	methods.

	* src/Core/Banshee.Services/Banshee.Database/BansheeDbFormatMigrator.cs:
	Add some indices, and fix a bug where the changes from migration 12 were
	not also done for the intial db creation code.

	* src/Libraries/Hyena.Gui/Hyena.Gui/GtkUtilities.cs: Add two methods, one
	for creating a FileFilter from a string [] of extensions, and one for
	setting a bunch of shortcut folders for a file chooser (w/ try/catch).

2008-06-23  Gabriel Burt  <gabriel.burt@gmail.com>

	Some good changes to the DAAP extension.  It should now load the remote
	track list much much faster.  Still needs work though.

	* src/Extensions/Banshee.Podcasting/Banshee.Podcasting.Data/PodcastTrackInfo.cs:
	* src/Core/Banshee.Services/Banshee.Collection.Database/DatabaseTrackInfo.cs:
	Bind the ExternalId in DatabaseTrackInfo.

	* src/Extensions/Banshee.Daap/Daap/ServiceLocator.cs: Clean up logging.

	* src/Extensions/Banshee.Daap/Banshee.Daap/DaapService.cs: Remove the
	container source when disposing the service.

	* src/Extensions/Banshee.Daap/Banshee.Daap/DaapSource.cs: Get rid of the
	Dictionary track_map (instead use the CoreTracks.ExternalId column),
	improve logging, and purge tracks and unmap playlists when disposed.

	* src/Extensions/Banshee.Daap/Banshee.Daap/DaapTrackInfo.cs: Set the
	MimeType and ExternalId properties.

	* src/Extensions/Banshee.Daap/Banshee.Daap/DaapPlaylistSource.cs: First
	pass at making playlists much more efficient (one SQL command instead of
	N).

2008-06-23  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Core/Banshee.Services/Banshee.Sources/SourceManager.cs: Avoid
	collection modified exception in AddSource.

2008-06-23  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Extensions/Banshee.PlayQueue/Banshee.PlayQueue/PlayQueueSource.cs:
	Remember the last playback source when switching to the play queue, so
	when the queue is empty we can switch back to it.

	* src/Core/Banshee.Services/Banshee.PlaybackController/PlaybackControllerService.cs:
	Have the playback source follow the active source when first started up.

2008-06-23  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Core/Banshee.ThickClient/Banshee.Collection.Gui/ColumnCellQueryText.cs:
	New class that shows the Text of the object, or if blank, a given string.

	* src/Core/Banshee.ThickClient/Banshee.Collection.Gui/QueryFilterView.cs:
	A simple ListView derivative for showing a ColumnCellQueryText column.

	* src/Core/Banshee.ThickClient/Banshee.ThickClient.mdp:
	* src/Core/Banshee.ThickClient/Makefile.am: The new files above.

	* src/Core/Banshee.Services/Banshee.Sources/DatabaseSource.cs:
	* src/Core/Banshee.ThickClient/Banshee.Sources.Gui/CompositeTrackSourceContents.cs:
	Add a genre browser, hardcoded in for now (like artist/album).  We should
	make these configurable, rearrangable, etc.

	* src/Core/Banshee.Services/Banshee.Collection.Database/DatabaseQueryFilterModel.cs:
	Class that makes it very easy to have a new database-backed model for
	filters based on arbitrary columns from CoreTracks.  Currently used for
	the new genre browser.

	* src/Core/Banshee.Services/Banshee.Collection.Database/FilterModelProvider.cs:
	New class, derived from SqliteModelProvider, used for the new model
	mentioned above.  Overrides the Select statement so we'll be able to do
	things like "select distinct year/10" to get the decades of a track
	collection.

	* src/Core/Banshee.Services/Banshee.Collection.Database/QueryFilterInfo.cs:
	New class for each result row of the FilterModelProvider.  Holds the
	value, eg the decade in the above example, and has a settable Title.

	* src/Core/Banshee.Services/Banshee.Collection.Database/DatabaseFilterListModel.cs:
	Update FetchCount to 40, implement new CachesValues property, and don't
	require the connection be a BansheeDbConnection.

	* src/Core/Banshee.Services/Banshee.Collection.Database/DatabaseAlbumListModel.cs:
	* src/Core/Banshee.Services/Banshee.Collection.Database/DatabaseArtistListModel.cs:
	Tweak both reload SQL fragments for performance.

	* src/Libraries/Hyena/Hyena.Data.Sqlite/ICacheableDatabaseModel.cs:
	* src/Core/Banshee.Services/Banshee.Collection.Database/CachedList.cs:
	Add CachesValues property.

	* src/Core/Banshee.Services/Banshee.Collection.Database/DatabaseTrackListModel.cs:
	Implement CachesValues, and fix IndexOf to use new, improved
	cache.IndexOf.

	* src/Core/Banshee.Services/Banshee.Collection.Database/IDatabaseTrackModelCache.cs:
	Change IndexOf method to accept a ICacheableItem, and add an override that
	takes a cache_entry_id object.

	* src/Core/Banshee.Services/Banshee.Services.mdp:
	* src/Core/Banshee.Services/Makefile.am: Add new files.

	* src/Libraries/Migo/Migo.Syndication/MigoItem.cs:
	* src/Libraries/Hyena/Hyena.Data/ICacheableItem.cs:
	* src/Core/Banshee.Core/Banshee.Collection/CacheableItem.cs: CacheEntryId
	is now an object.

	* src/Libraries/Hyena/Hyena.Query/IntegerQueryValue.cs:
	* src/Libraries/Hyena/Hyena.Query/StringQueryValue.cs:
	* src/Libraries/Hyena/Hyena.Query/NullQueryValue.cs:
	* src/Libraries/Hyena/Hyena.Query/DateQueryValue.cs:
	* src/Libraries/Hyena/Hyena.Query/QueryValue.cs:
	* src/Libraries/Hyena/Hyena.Query/TimeSpanQueryValue.cs:
	* src/Libraries/Hyena/Hyena.Query/QueryField.cs: Add abstract LoadString
	method and implement in subclasses.  Also fix the
	NullQueryValue.IsNullOrEmpty operator.

	* src/Libraries/Hyena/Hyena.Data.Sqlite/SqliteModelProvider.cs: Add new
	AddColumn protected method so subclasses can manually define their
	columns.

	* src/Libraries/Hyena/Hyena.Data.Sqlite/DatabaseColumn.cs: Make classes
	public, not internal.

	* src/Libraries/Hyena/Hyena.Data.Sqlite/SqliteModelCache.cs: Implement new
	IndexOf methods, and check model.CachesValues, and if so, select straight
	out of the CoreCache table the stored distinct genre values, say.

	* src/Libraries/Hyena.Gui/Hyena.Data.Gui/IListView.cs: Expose the
	SelectionProxy.

	* src/Libraries/Hyena.Gui/Hyena.Query.Gui/StringQueryValueEntry.cs: Use
	ParseUserQuery instead of SetValue, since the input text is from the user.

2008-06-23  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Extensions/Banshee.Lastfm/Banshee.Lastfm.Recommendations/RecommendationPane.cs:
	Use the Banshee.Kernel to schedule/cancel recommendation refresh jobs.

2008-06-23  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Extensions/Banshee.Podcasting/Banshee.Podcasting.Gui/DownloadManager/DownloadUserJob.cs:
	Change the download user job's name to specify it's downloading podcasts.

2008-06-23  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Extensions/Banshee.Lastfm/Banshee.Lastfm.Radio/LastfmSource.cs:
	Don't put (disconnected) in the source name; it confuses some users,
	making them think scrobbling won't work, it's not very useful, and it
	makes the source name quite long.

2008-06-21  Aaron Bockover  <abock@gnome.org>

	* src/Extensions/Banshee.NowPlaying/Banshee.NowPlaying.addin.xml: Define
	the new FullscreenAdapter extension point

	* src/Extensions/Banshee.NowPlaying/Banshee.NowPlaying/FullscreenAdapter.cs:
	The manager fullscreen adapter that also provides stock GTK fullscreening

	* src/Extensions/Banshee.NowPlaying/Banshee.NowPlaying/FullscreenWindow.cs:
	Get rid of the type hint since it really confuses older Compiz (on 10.3)

	* src/Extensions/Banshee.NowPlaying/Banshee.NowPlaying/IFullscreenAdapter.cs:
	A basic interface for FullscreenAdapter extensions which allow platforms
	to define solid fullscreen behavior above and beyond that which stock
	GTK can provide

	* src/Extensions/Banshee.NowPlaying/Banshee.NowPlaying/NowPlayingInterface.cs:
	Use the FullscreenAdapter stuff to go fullscreen

	* src/Backends/Banshee.NowPlaying.X11/Banshee.NowPlaying.X11: An X11 
	specific backend for providing an IFullscreenAdapter extension to the
	now playing video extension; this binds the hard and valued work of
	BaconResize found in Totem. Respek.

	* build/m4/banshee/bnpx11.m4:
	* src/Backends/Banshee.NowPlaying.X11/libbnpx11/bacon-resize.c: 
	* src/Backends/Banshee.NowPlaying.X11/libbnpx11/bacon-resize.h: Lovingly
	borrowed from our good friends, Totem. <3 Bastien. That is, the X11/XRandR
	support for doing proper fullscreen in some annoying situations, and the
	configure foo to detect it at build time

2008-06-20  Aaron Bockover  <abock@gnome.org>

	* src/Extensions/Banshee.Lastfm/Banshee.Lastfm.Recommendations/RecommendationPane.cs:
	Fix remaining layout and style issues, handle height allocation enforcement

	* src/Extensions/Banshee.Lastfm/Banshee.Lastfm.Recommendations/SimilarArtistTile.cs:
	Created a SimilarArtist tile

2008-06-20  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Core/Banshee.Core/Banshee.Collection/IBasicTrackInfo.cs: Patch from
	Peter de Kraker adding AlbumArtist property (BGO #539305).

2008-06-19  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Core/Banshee.Core/Banshee.Collection/TrackInfo.cs: Have AlbumArtist
	fall back on ArtistName.  Fixes issue with Last.fm cover art.

2008-06-19  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Extensions/Banshee.Podcasting/Banshee.Podcasting/PodcastService.cs:
	Try to subscribe to any uri passed on the command line that contains rss,
	xml, feed, or starts with itpc.

2008-06-19  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Extensions/Banshee.Lastfm/Makefile.am: MD sorting.

	* src/Clients/Nereid/Nereid/ViewContainer.cs: Change the main vbox spacing
	to 8px, like all the other boxes.

2008-06-19  Aaron Bockover  <abock@gnome.org>

	* src/Core/Banshee.ThickClient/Banshee.Gui/ViewActions.cs:
	* src/Core/Banshee.ThickClient/Resources/core-ui-actions-layout.xml:
	Enabled the equalizer again in the UI

	* gstreamer/equalizer/gstiirequalizer.c:
	* gstreamer/equalizer/remove-n-and-3-bands.diff: Rename the built-in
	equalizer element 'banshee-equalizer' so we don't have to do as much
	inspection at runtime to figure out if the element is built-in or not

	* libbanshee/banshee-player-equalizer.c: Added a _bp_equalizer_new function
	that will always return a non-buggy equalizer or NULL; that is, it will
	check to see if the built-in equalizer is available, and if not, if
	the system equalizer is available /and/ is 0.10.9 or newer; the detection
	state is saved so the probing only needs to be done once

	* libbanshee/banshee-player-pipeline.c: Use _bp_equalizer_new and only
	create the other elements if we were actually given an equalizer (instead
	of always creating the other elements and unreffing if the equalizer was
	not returned)

	* libbanshee/banshee-player-equalizer.h: Expose _bp_equalizer_new	

	* libbanshee/banshee-player-private.h: Added a equalizer_status field to
	the private player structure

	* src/Core/Banshee.Core/Resources/translators.xml: Updated

2008-06-19  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Libraries/Hyena.Gui/Hyena.Widgets/RoundedFrame.cs: Fix the
	OnSizeRequested override so that the Recommendations pane is the right
	height.  Proper implementation gleaned from gtkframe.c.

2008-06-19  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Extensions/Banshee.NotificationArea/Banshee.NotificationArea/NotificationAreaService.cs:
	* src/Core/Banshee.ThickClient/Banshee.Collection.Gui/DefaultColumnController.cs:
	* src/Core/Banshee.Services/Banshee.Collection.Database/DatabaseTrackInfo.cs:
	Fix misleading API, where setting the Rating on a DatabaseTrackInfo would
	automatically save.  Now if you want that behavior, use the SavedRating
	property.  This is the property now bound to the ListView, for example.

2008-06-19  Sebastian Dröge  <slomo@circular-chaos.org>

	* gstreamer/equalizer/Makefile.am:
	Link the equalizer with libgstaudio-0.10 to actually make it work.

2008-06-18  Gabriel Burt  <gabriel.burt@gmail.com>

	First pass at bringing the recommendations extension back.  It's got three
	big bugs atm: 1) background isn't white 2) height is too small 3) the
	similar artist tiles are not sized properly (they're tiny).

	* src/Extensions/Banshee.Lastfm/Banshee.Lastfm.Recommendations/RecommendationActions.cs:
	Small class for adding/removing/handling the Show Recommendations action.

	* src/Extensions/Banshee.Lastfm/Banshee.Lastfm.Recommendations/RecommendationService.cs:
	Ported from 0.13.2, listens to the source changes and player engine
	changes and shows the recommendation pane when appropriate.

	* src/Extensions/Banshee.Lastfm/Banshee.Lastfm.Recommendations/RecommendationPane.cs:
	Ported from 0.13.2 but made to use the Lastfm library, shows similar
	artists and the top albums and tracks for an artist.

	* src/Extensions/Banshee.Lastfm/Banshee.Lastfm.Radio/LastfmSourceContents.cs:
	Move the TitledList class to not be an inner class; should really be in
	its own file.

	* src/Extensions/Banshee.Lastfm/Banshee.Lastfm.addin.xml: Update authors,
	add recommendations service.

	* src/Extensions/Banshee.Lastfm/Banshee.Lastfm.mdp: Add recommendations
	source files, and add hyena refs.

	* src/Extensions/Banshee.Lastfm/Makefile.am: Add recommendation sources
	and resouces.

	* src/Extensions/Banshee.Lastfm/Resources/RecommendationMenu.xml: Brought
	over verbatim from 0.13.2.

	* src/Clients/Nereid/Nereid/PlayerInterface.cs:
	* src/Core/Banshee.ThickClient/Banshee.Gui/BaseClientWindow.cs: Add
	ViewContainer property so that recommendations can put itself below the
	track list.

